<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ex="http://exslt.org/dates-and-times" extension-element-prefixes="ex" xmlns:ra="urn:oasis:names:specification:ubl:schema:xsd:ReceiptAdvice-2" xmlns:da="urn:oasis:names:specification:ubl:schema:xsd:DespatchAdvice-2" xmlns:in="urn:oasis:names:specification:ubl:schema:xsd:Invoice-2" xmlns:or="urn:oasis:names:specification:ubl:schema:xsd:Order-2" xmlns:cn="urn:oasis:names:specification:ubl:schema:xsd:CreditNote-2" xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2" xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2" xmlns:cac-pl="urn:pl:extended:CommonAggregateComponents-2" xmlns:cbc-pl="urn:pl:extended:CommonBasicComponents-2" xmlns:ext="urn:oasis:names:specification:ubl:schema:xsd:CommonExtensionComponents-2" xmlns:ccts="urn:oasis:names:specification:ubl:schema:xsd:CoreComponentParameters-2" xmlns:sdt="urn:oasis:names:specification:ubl:schema:xsd:SpecializedDatatypes-2" xmlns:udt="urn:un:unece:uncefact:data:specification:UnqualifiedDataTypesSchemaModule:2" exclude-result-prefixes="in cn or da ra cac cbc ccts sdt udt">
	<xsl:output method="html" encoding="utf-8" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:param name="stylesheet_url" select="'NONE'"/>
	<xsl:template name="doc-head">
		<meta charset="utf-8"/>
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
		<xsl:choose>
			<xsl:when test="$stylesheet_url = 'NONE'">
				<style>* 
{
    box-sizing: border-box;
}

:root {
  --white: #ffffff;
  --grey: #f3f3f2;
  --Line-color: #979797;
  --font-color: #484848;
}

/* Text styles */

h1 {
  font-family: Helvetica;
  font-size: 2.0vw;
  font-weight: bold;
  font-style: normal;
  font-stretch: normal;
  line-height: 2.1vw;
  letter-spacing: normal;
  color: #484848;
}

h2 {
  font-family: Helvetica;
  font-size: 1.5vw;
  font-weight: bold;
  font-style: normal;
  font-stretch: normal;
  line-height: 1.7vw;
  letter-spacing: normal;
  color: #484848;
  margin:0px;
}

h3 {
  font-family: Helvetica;
  font-size: 1.2vw;  
  font-weight: bold;
  font-style: normal;
  font-stretch: normal;
  line-height: 1.4vw;	
  letter-spacing: normal;
  color: #484848;
  margin:0px;
}


h4 {
  font-family: Helvetica;
  font-size: 1.1vw;
  font-weight: bold;
  font-style: normal;
  font-stretch: normal;
  line-height: 1.3vw;
  letter-spacing: normal;
  color: #484848;
  margin:0px;
}

p,th,td {
  font-family: Helvetica;
  font-size: 1.2vw;
  font-style: normal;
  font-stretch: normal;
  line-height: 2.0vw;
  letter-spacing: normal;
  color: #484848;
  margin-top:0.5vw;
  margin-bottom:0.5vw;
}


table
{
	
	/*border: 2px solid black;*/
	width: 100%;
	
}
table, th, td
{
border-collapse: collapse;
}

tr
{
	vertical-align: top;
}

tr:nth-child(even) {
    background-color: #ffffff;
}

td
{
	vertical-align: top;
	border-bottom:1px solid #979797;
	/*border:2px solid black;*/
	font-weight:normal;
}


th
{
	border: 1px solid #979797;
	font-weight:bold;
}

th#PEF2-start
{
	width: 100%; 
	text-align: left;
	background-color:lightgrey;
}

th.party
{
	width: 25%;
	text-align: left;
	valign: top;
}


td.column_h-1
{
	width:33.33%; 
}

td.column_h-2
{
	width:33.34%; 
}

td.column_h-3
{
	width:33.33%; 
}


td.UBLLine
{
	color:#979797;
	margin: 0em;
}

hr
{
color:var(--Line-color);

}

.col-1 {width: 8.33%;}
.col-2 {width: 16.66%;}
.col-3 {width: 25%;}
.col-4 {width: 33.33%;}
.col-5 {width: 41.66%;}
.col-6 {width: 50%;}
.col-7 {width: 58.33%;}
.col-8 {width: 66.66%;}
.col-9 {width: 75%;}
.col-10 {width: 83.33%;}
.col-11 {width: 91.66%;}
.col-12 {width: 100%;}

[class*="col-"] {
    float: left;
    padding: 1px;
	margin-top:1px;
	border: solid 0px #979797;
}

.row::after {
    content: "";
    clear: both;
    display: table;
}
#bottomrow{

border-bottom:2px solid #979797;
}
#wrapper{
backgroud-color:red;
padding:1vw;
border: 1px solid #979797;
}
#footer
{
border-top: 2px solid #979797;
background-color: #f3f3f2;
padding:0px;
margin-top:1vw;
}
#header
{
padding: 0.5vw;
}
#headerrow
{
padding-top:1vw;
border-bottom:1px solid #979797;
}
#tablerow
{
padding-top:1vw;
line-height: 2.0vw;
}

</style>

			</xsl:when>
			<xsl:otherwise>
				<link rel="stylesheet" href="{$stylesheet_url}"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:variable name="invoiceBaseType" select="document(concat('UBLInvoiceBaseType_',$lang, '.xml'))"/>
	<xsl:variable name="invoiceBaseType_en" select="document('UBLInvoiceBaseType_pl.xml')"/>
	<xsl:variable name="UNCL1001" select="document(concat('UNCL1001_', $lang, '.xml'))"/>
	<xsl:variable name="UNCL1001_en" select="document('UNCL1001_pl.xml')"/>
	<xsl:variable name="UNCL4461" select="document(concat('UNCL4461_', $lang, '.xml'))"/>
	<xsl:variable name="UNCL4461_en" select="document('UNCL4461_pl.xml')"/>
	<xsl:variable name="UNCL5189" select="document(concat('UNCL5189_', $lang, '.xml'))"/>
	<xsl:variable name="UNCL5189_en" select="document('UNCL5189_pl.xml')"/>
	<xsl:variable name="UNCL7161" select="document(concat('UNCL7161_', $lang, '.xml'))"/>
	<xsl:variable name="UNCL7161_en" select="document('UNCL7161_pl.xml')"/>
	<xsl:variable name="ISO3166_pl" select="document('ISO3166_pl.xml')"/>
	<xsl:variable name="lang" select="'pl'"/>
	<xsl:variable name="moduleDocBT" select="document(concat('Headlines-BT_', $lang, '.xml'))"/>
	<xsl:variable name="UBLDescriptionCode" select="document(concat('UBLPeriodDescriptionCode_', $lang, '.xml'))"/>
	<xsl:variable name="UBLDescriptionCode_en" select="document('UBLPeriodDescriptionCode_pl.xml')"/>
	<xsl:variable name="UBLTaxCategoryCode" select="document(concat('UBLTaxCategoryCode_', $lang, '.xml'))"/>
	<xsl:variable name="UBLTaxCategoryCode_en" select="document('UBLTaxCategoryCode_pl.xml')"/>
	<xsl:variable name="UBLClassificationCode" select="document(concat('UBLClassificationCode_', $lang, '.xml'))"/>
	<xsl:variable name="UBLClassificationCode_en" select="document('UBLClassificationCode_pl.xml')"/>
	<xsl:variable name="UNECE" select="document(concat('UNECE_', $lang, '.xml'))"/>
	<xsl:variable name="UNECE_en" select="document('UNECE_pl.xml')"/>
	
	<xsl:template name="LabelName">
		<xsl:param name="BT-ID"/>
		<xsl:param name="Colon-Suffix"/>
		<xsl:choose>
			<xsl:when test="count($moduleDocBT/SemanticModel/BusinessTerm[@id=$BT-ID]/DisplayName) >0 ">
				<xsl:value-of select="$moduleDocBT/SemanticModel/BusinessTerm[@id=$BT-ID]/DisplayName"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$moduleDocBT/SemanticModel/BusinessTerm[@id=$BT-ID]/TermName"/>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="$Colon-Suffix">
			<xsl:choose>
				<xsl:when test="count($moduleDocBT/SemanticModel/BusinessTerm[@id=$BT-ID]/DisplayName) &gt; 0">
					<xsl:if test="$moduleDocBT/SemanticModel/BusinessTerm[@id=$BT-ID]/DisplayName !=''">
					:&#160;
				</xsl:if>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="$moduleDocBT/SemanticModel/BusinessTerm[@id=$BT-ID]/TermName !=''">
					:&#160;
				</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template name="ISO3166Code">
		<xsl:param name="ISO3166Code"/>
		<xsl:for-each select="($ISO3166_pl/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$ISO3166Code])[1]">
				<xsl:value-of select="."/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="UNECECode">
		<xsl:param name="UNECECode"/>
		<xsl:choose>
			<xsl:when test="count($UNECE/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$UNECECode]) >0">
				<xsl:value-of select="$UNECE/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$UNECECode]"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$UNECE_en/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$UNECECode]"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
<!-- ===============================================================================================================================================
#
#			POTWIERDZENIE ODBIORU   -   RECEIPT ADVICE
#
-->	
	<!-- Początek dokumentu Potwierdzenia odbioru / Start ReceiptAdvice -->
	<xsl:template match="ra:ReceiptAdvice">
		<html>
			<xsl:call-template name="doc-head"/>
			<head>
				<meta name="viewport" content="width=device-width,initial-scale=1"/>
				<title>
					<!-- POTWIERDZENIE ODBIORU -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-301-1'"/>
						<xsl:with-param name="Colon-Suffix" select="false()"/>
					</xsl:call-template>
				</title>
			</head>
			<body>
				<div id="document">
					<!-- Początek nagłówka Potwierdzenia odbioru / Start ReceiptAdvice Header -->
					<table>
						<tbody>
							<tr>
							<th id="PEF2-start" colspan="3">
								<!-- Wydruk dokumentu elektronicznego z Platformy Elektronicznego Fakturowania -->
								<xsl:call-template name="DocumentInfo"/>
							</th>
							</tr>
							<tr>
							<td class="column_h-1" style="background-color:lightgrey">
								<h2 style="margin-bottom:0px">
									<!-- POTWIERDZENIE ODBIORU -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-301-1'"/>
										<xsl:with-param name="Colon-Suffix" select="false()"/>
									</xsl:call-template>
								</h2>
								<p align="left">
									<strong>
										<!-- Numer potwierdzenia odbioru -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-320'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
									<xsl:value-of select="cbc:ID"/>
								</p>
							</td>
							<td class="column_h-2">
								<xsl:if test="contains(cbc:Note,'KONTRAKTPEF')">
								<p>
									<strong>
									<!-- Numer kontraktu -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-12'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
									<xsl:value-of select="substring-before(substring-after(cbc:Note, '$KONTRAKTPEF{'),  '}$KONTRAKTPEF')"/>
									<br/>
								</p>
								</xsl:if>
									<xsl:if test="cac:OrderReference !=''">
										<!-- Numer zamówienia -->
										<p align="left">
											<strong>
												<!-- Numer zamówienia wg kupującego -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-13'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- numer zamówienia wartość -->
											<xsl:value-of select="cac:OrderReference/cbc:ID"/>
											<br/>
										</p>
									</xsl:if>
									<xsl:if test="cac:DespatchDocumentReference !=''">
										<!-- Numer awiza -->
										<p align="left">
											<strong>
												<!-- Numer awiza -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-16'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- numer awiza wartość -->
											<xsl:value-of select="cac:DespatchDocumentReference/cbc:ID"/>
											<br/>
										</p>
									</xsl:if>
							</td>
							<td class="column_h-3">
								<p align="left">
									<strong>
										<!-- Data utworzenia -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-408'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
									<xsl:value-of select="cbc:IssueDate"/>
									<br/>
								</p>
								<p>
									<strong>
										<!-- Godzina wystawienia -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-319'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
									<xsl:value-of select="cbc:IssueTime"/>
									<br/>
								</p>
							</td>
						  </tr>
							<tr>
								<td colspan="3" style="width:100%;">
									<!-- Uwagi ogólne do faktury -->
									<strong>
										<xsl:call-template name="Invoice_Note">
										</xsl:call-template>
									</strong>
								</td>
							</tr>
						</tbody>
					</table>
					<!-- Koniec nagłówka Potwierdzenia odbioru / End ReceiptAdvice header -->
					
					<div id="sellersupplier_info">
						<table>
							<tbody>
								<tr>
									<td class="column_h-1">
									<!-- Początek danych Sprzedawcy / Start SellerSupplierParty -->
										<p>
											<h3>
												<!-- SPRZEDAWCA -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BG-4'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</h3>
											<br/><br/>
											<strong>
												<xsl:call-template name="SupplierParty_Name"/>
											</strong>
											<br/>
											<br/>
											<xsl:call-template name="SupplierParty_Address"/>
										</p>
									<!-- Koniec danych Sprzedawcy / End SellerSupplierParty -->
									</td>
									<td class="column_h-2">
									</td>
									<td class="column_h-3">
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					
					<!-- Początek danych Wysyłającego / Start DespatchSupplierParty -->
					<div id="despatchsupplier_info">
						<table>
							<tbody>
								<tr>
									<td class="column_h-1">
										<p>
											<h3>
												<!-- WYSYŁAJĄCY TOWAR/USŁUGĘ -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-303-1'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</h3>
											<br/><br/>
											<strong>
												<xsl:call-template name="DespatchParty_Name"/>
											</strong>
											<br/>
											<br/>
											<xsl:call-template name="DespatchParty_Address"/>
										</p>
									</td>
									<td class="column_h-2">
										<xsl:if test="count(cac:DespatchSupplierParty/cac:Party/cac:PartyLegalEntity) >0 ">
											<p>
												<br/>
												<xsl:call-template name="DespatchParty_Registration"/>
											</p>
										</xsl:if>
									</td>
									<td class="column_h-3">
										<xsl:if test="count(cac:DespatchSupplierParty/cac:Party/cac:Contact) >0 ">
											<p>
												<br/>
												<xsl:call-template name="DespatchParty_Contact"/>
											</p>
										</xsl:if>
										<p>
											<xsl:if test="cac:DespatchSupplierParty/cac:Party/cbc:EndpointID">
												<!-- Elektroniczny identyfikator PEF -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-34-1'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:DespatchSupplierParty/cac:Party/cbc:EndpointID"/>
												<xsl:if test="cac:DespatchSupplierParty/cac:Party/cbc:EndpointID/@schemeID !='' ">
													[<xsl:value-of select="cac:DespatchSupplierParty/cac:Party/cbc:EndpointID/@schemeID"/>]
												</xsl:if>
											</xsl:if>
										</p>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					<!-- Koniec danych Wysyłającego / End DespatchSupplierParty -->
					
					<!-- Początek danych Odbiorcy potwierdzenia / Start DeliveryCustomerParty -->
					<div id="buyercustomer_info">
						<table>
							<tbody>
								<tr>
									<td class="column_h-1">
									<!-- Początek danych Nabywcy / Start BuyerCustomerParty -->
										<p>
											<h3>
												<!-- NABYWCA -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BG-7'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</h3>
											<br/><br/>
											<strong>
												<xsl:call-template name="BuyerParty_Name"/>
											</strong>
											<br/>
											<br/>
											<xsl:call-template name="BuyerParty_Address"/>
										</p>
									<!-- Koniec danych Nabywcy / End BuyerCustomerParty -->
									</td>
									<td class="column_h-2">
									
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					
					<!-- Początek danych Odbiorcy potwierdzenia / Start DeliveryCustomerParty -->
					<div id="deliverycustomer_info">
						<table>
							<tbody>
								<tr>
									<td class="column_h-1">
										<p>
											<h3>
												<!-- ODBIORCA TOWARU/USŁUGI -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-303-2'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</h3>
											<br/><br/>
											<strong>
												<xsl:call-template name="DeliveryParty_Name"/>
											</strong>
											<br/>
											<br/>
											<xsl:call-template name="DeliveryParty_Address"/>
										</p>
									</td>
									<td class="column_h-2">
										<xsl:if test="count(cac:DeliveryCustomerParty/cac:Party/cac:PartyLegalEntity) >0 ">
											<p>
												<br/>
												<xsl:call-template name="DeliveryParty_Registration"/>
												<br/>
											</p>
										</xsl:if>
									</td>
									<td class="column_h-3">
										<xsl:if test="cac:DeliveryCustomerParty/cac:DeliveryContact">
											<p>
												<br/>
												<xsl:call-template name="DeliveryParty_DeliveryContact"/>
											</p>
										</xsl:if>
										<p>
											<xsl:if test="cac:DeliveryCustomerParty/cac:Party/cbc:EndpointID">
												<!-- Elektroniczny identyfikator PEF -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-34-1'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:DeliveryCustomerParty/cac:Party/cbc:EndpointID"/>
												<xsl:if test="cac:DeliveryCustomerParty/cac:Party/cbc:EndpointID/@schemeID !='' ">
													[<xsl:value-of select="cac:DeliveryCustomerParty/cac:Party/cbc:EndpointID/@schemeID"/>]
												</xsl:if>
											</xsl:if>
										</p>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					<!-- Koniec danych Odbiorcy potwierdzenia / End DeliveryCustomerParty -->
					
					<!-- Początek opisu przesyłki / Start Shipment -->
					<div id="shipment_info">
						<table>
							<tbody>
								<tr>
									<td class="column_h-1">
										<p>
											<h3>
												<!-- Wysyłka -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-305'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</h3>
											<br/><br/>
											<xsl:apply-templates select="cac:Shipment/cac:Delivery/cac:Despatch/cac:DespatchAddress"/>
										</p>
									</td>
									<td class="column_h-2">
										<p>
											<br/>
											<small>
												<!-- Identyfikator dostawy -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-502'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:Shipment/cbc:ID"/>
											</small>
											<br/>
											<small>
												<!-- Identyfikator trasy -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-307'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:Shipment/cac:Delivery/cbc:TrackingID"/>
											</small>
											<br/>
											<small>
												<!-- Przewidywana data wysyłki -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-306'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:Shipment/cac:Delivery/cac:Despatch/cbc:ActualDespatchDate"/>
                                                &#160;
                                                <xsl:apply-templates select="cac:Shipment/cac:Delivery/cac:Despatch/cbc:ActualDespatchTime"/>
											</small>
											<br/>
											<small>
												<!-- Opis przesyłki -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-308'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:Shipment/cbc:Information"/>
											</small>
										</p>
									</td>
									<td class="column_h-3">
										<p>
											<br/>
											<small>
												<!-- Waga przesyłki brutto -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-309'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:Shipment/cbc:GrossWeightMeasure"/>&#160;
                                                <xsl:if test="cac:Shipment/cbc:GrossWeightMeasure/@unitCode !=''">
													<small>
														<xsl:call-template name="UNECECode">
															<xsl:with-param name="UNECECode" select="cac:Shipment/cbc:GrossWeightMeasure/@unitCode"/>
														</xsl:call-template>
                                                    </small>
												</xsl:if>
											</small>
											<br/>
											<small>
												<!-- Objętość przesyłki brutto -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-310'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:Shipment/cbc:GrossVolumeMeasure"/>&#160;
                                                <xsl:if test="cac:Shipment/cbc:GrossVolumeMeasure/@unitCode !=''">
													<small>
														<xsl:call-template name="UNECECode">
															<xsl:with-param name="UNECECode" select="cac:Shipment/cbc:GrossVolumeMeasure/@unitCode"/>
														</xsl:call-template>
                                                    </small>
												</xsl:if>
											</small>
											<br/>
											<small>
												<!-- Ilość opakowań transportowych -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-311'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:Shipment/cbc:TotalTransportHandlingUnitQuantity"/>
											</small>
										</p>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					<!-- Koniec opisu przesyłki / End Shipment -->
					
					<br/>
					<!-- Początek opisu partii towaru / Start Consignment-->
					<div class="row" id="tablerow">
						<div class="col-12">
							<table>
								<tr>
									<th class="party">
										<strong>
											<!-- Identyfikator przesyłki -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-312-1'"/>
												<xsl:with-param name="Colon-Suffix" select="false()"/>
											</xsl:call-template>
										</strong>
									</th>
									<th class="party">
										<strong>
											<!-- Przewoźnik -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-312-2'"/>
												<xsl:with-param name="Colon-Suffix" select="false()"/>
											</xsl:call-template>
										</strong>
									</th>
									<th class="party">
										<strong>
											<!-- Licencja kierowcy -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-312-3'"/>
												<xsl:with-param name="Colon-Suffix" select="false()"/>
											</xsl:call-template>
										</strong>
									</th>
									<th class="party">
										<strong>
											<!-- Rodaj Licencji kierowcy -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-312-4'"/>
												<xsl:with-param name="Colon-Suffix" select="false()"/>
											</xsl:call-template>
										</strong>
									</th>
								</tr>
								<xsl:if test="count(cac:Shipment/cac:Consignment)>0">
									<xsl:apply-templates select="cac:Shipment/cac:Consignment"/>
								</xsl:if>
								<tr>
									<td colspan="4"> <br /></td>
								</tr>
							</table>
						</div>
					</div>
					<!-- Koniec opisu partii towaru / End Consignment-->
					
					<!-- Początek danych dokumentów referencyjnych / Start Document Reference -->
					<div id="documentreference_info">
						<table>
							<tbody>
								<tr>
									<td class="column_h-3">
										<p>
									<!-- Referencje do dokumentów / AdditionalDocumentReference -->
										<div>
											<xsl:if test="cac:AdditionalDocumentReference !=''">
													<br/>
													<h3>
														<xsl:if test="local-name(.) = 'ReceiptAdvice'">
														<!-- DOKUMENTY DODATKOWE DO POTWIERDZENIA ODBIORU -->
															<xsl:call-template name="LabelName">
																<xsl:with-param name="BT-ID" select="'BT-321'"/>
																<xsl:with-param name="Colon-Suffix" select="false()"/>
															</xsl:call-template>
														</xsl:if>
													</h3>
												</xsl:if>
											</div>
										</p>
									</td>
									<td class="column_h-2">
										<p>
										</p>
									</td>
									<td class="column_h-3">
										<p>
											<div>
												<br/>
													<xsl:apply-templates select="cac:AdditionalDocumentReference" mode="Supporting"/>
											</div>
										</p>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					<!-- Koniec danych dokumentów referencyjnych / End Document Reference -->
					
					<!-- Początek Tabeli pozycji Potwierdzenia odbioru -->
					<div class="row" id="tablerow">
						<div class="col-12">
							<table>
								<tr valign="bottom">
									<th id="th_ra_col1">
											<!-- Lp. -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-126'"/>
												<xsl:with-param name="Colon-Suffix" select="false()"/>
											</xsl:call-template>
									</th>
									<th id="th_ra_col2" align="left">
											<!-- Nazwa -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-153'"/>
												<xsl:with-param name="Colon-Suffix" select="false()"/>
											</xsl:call-template>
									</th>
									<th id="th_ra_col3">
											<!-- Pozycja zamówienia -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-313'"/>
												<xsl:with-param name="Colon-Suffix" select="false()"/>
											</xsl:call-template>
									</th>
									<th id="th_ra_col4">
											<!-- Pozycja awiza -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-313-1'"/>
												<xsl:with-param name="Colon-Suffix" select="false()"/>
											</xsl:call-template>
									</th>
									<th id="th_ra_col5" align="right">
											<!-- Odebrano -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-313-2'"/>
												<xsl:with-param name="Colon-Suffix" select="false()"/>
											</xsl:call-template>
									</th>
									<th id="th_ra_col6" align="right">
											<!-- Braki -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-313-3'"/>
												<xsl:with-param name="Colon-Suffix" select="false()"/>
											</xsl:call-template>
									</th>
									<th id="th_ra_col7" align="right">
											<!-- Nadmiar -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-313-4'"/>
												<xsl:with-param name="Colon-Suffix" select="false()"/>
											</xsl:call-template>
									</th>
									<th id="th_ra_col8" align="right">
											<!-- Odrzucono -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-313-5'"/>
												<xsl:with-param name="Colon-Suffix" select="false()"/>
											</xsl:call-template>
									</th>
									<th id="th_ra_col9" align="left">
											<!-- Pozostałe -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-313-6'"/>
												<xsl:with-param name="Colon-Suffix" select="false()"/>
											</xsl:call-template>
									</th>
								</tr>
								<xsl:if test="count(cac:ReceiptLine)>0">
									<xsl:apply-templates select="cac:ReceiptLine"/>
								</xsl:if>
							</table>
						</div>
					</div>
					<!-- Koniec Tabeli pozycji Potwierdzenia odbioru -->
					
					<!-- Zakończenie dokumentu Potwierdzenia odbioru -->
					<div id="wrapper">
						<div class="row" id="tablerow">
							<div class="col-12">
								<p>
									<small>
										<xsl:value-of select="cbc:UBLVersionID"/>
										<br/>
										<xsl:if test="local-name(.) = 'ReceiptAdvice'">
											<!-- Identyfikator specyfikacji potwierdzenia odbioru -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-327'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</xsl:if>
										<xsl:value-of select="cbc:CustomizationID"/>
										<xsl:if test="cbc:UUID !=''">
											<xsl:value-of select="cbc:UUID"/>
											<br/>
										</xsl:if>
										<!-- Ten dokument został wygenerowany na podstawie wizualizacji PEF.v_1.14 -->
										<xsl:call-template name="VisualisationInfo"/>
									</small>
								</p>
							</div>
						</div>
					</div>
				</div>
			</body>
		</html>
	</xsl:template>
	<!-- Koniec dokumentu Potwierdzenia odbioru / End document -->
	
	
<!-- ===============================================================================================================================================
#
#			AWIZO DOSTAWY   -   DESPATCH ADVICE
#
-->	
	<!-- Początek dokumentu Awizo dostawy / Start DespatchAdvice -->
	<xsl:template match="da:DespatchAdvice">
		<html>
			<xsl:call-template name="doc-head"/>
			<head>
				<meta name="viewport" content="width=device-width,initial-scale=1"/>
				<title>
					<!-- AWIZO DOSTAWY -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-500'"/>
						<xsl:with-param name="Colon-Suffix" select="false()"/>
					</xsl:call-template>
				</title>
			</head>
			<body>
				<div id="document">
					<!-- Początek nagłówka Awiza dostawy / Start  DespatchAdvice Header -->
					<table>
						<tbody>
							<tr>
							<th id="PEF2-start" colspan="3">
								<!-- Wydruk dokumentu elektronicznego z Platformy Elektronicznego Fakturowania -->
								<xsl:call-template name="DocumentInfo"/>
							</th>
							</tr>
							<tr>
							<td class="column_h-1" style="background-color:lightgrey">
								<h2 style="margin-bottom:0px">
									<!-- AWIZO DOSTAWY -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-500'"/>
										<xsl:with-param name="Colon-Suffix" select="false()"/>
									</xsl:call-template>
								</h2>
								<p align="left">
									<strong>
										<!-- Numer Awiza dostawy -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-501'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
									<xsl:value-of select="cbc:ID"/>
								</p>
							</td>
							<td class="column_h-2">
								<xsl:if test="contains(cbc:Note,'KONTRAKTPEF')">
								<p>
									<strong>
									<!-- Numer kontraktu -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-12'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
									<xsl:value-of select="substring-before(substring-after(cbc:Note, '$KONTRAKTPEF{'),  '}$KONTRAKTPEF')"/>
									<br/>
								</p>
								</xsl:if>
									<xsl:if test="cac:OrderReference !=''">
										<!-- Numer zamówienia -->
										<p align="left">
											<strong>
												<!-- Numer zamówienia wg kupującego -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-13'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- numer zamówienia wartość -->
											<xsl:value-of select="cac:OrderReference/cbc:ID"/>
											<br/>
										</p>
									</xsl:if>
							</td>
							<td class="column_h-3">
								<p align="left">
									<strong>
										<!-- Data awiza dostawy -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-72-1'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
									<xsl:value-of select="cbc:IssueDate"/>
									<br/>
								</p>
								<p>
									<strong>
										<!-- Godzina wystawienia -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-508'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
									<xsl:value-of select="cbc:IssueTime"/>
									<br/>
								</p>
							</td>
							</tr>
							<tr>
								<td colspan="3" style="width:100%;">
									<!-- Uwagi ogólne do faktury -->
									<strong>
										<xsl:call-template name="Invoice_Note">
										</xsl:call-template>
									</strong>
								</td>
							</tr>
						</tbody>
					</table>
					<!-- Koniec nagłówka Awiza dostawy / End  DespatchAdvice Header -->
					
					<!-- Początek danych DOSTAWCY / Start SellerSupplierParty -->
					<div id="despatchsupplier_info">
						<table>
							<tbody>
								<tr>
									<td class="column_h-1">
										<p>
											<h3>
												<!-- DOSTAWCA -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-209'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</h3>
											<br/><br/>
											<xsl:apply-templates select="cac:SellerSupplierParty"/>
										</p>
									</td>
									<td class="column_h-2">
										<xsl:if test="count(cac:SellerSupplierParty/cac:Party/cac:PartyLegalEntity) >0 ">
											<p>
												<br/>
												<h4>
													<!-- Dane w rejestrze podmiotów -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-627'"/>
														<xsl:with-param name="Colon-Suffix" select="true()"/>
													</xsl:call-template>
												</h4>
												<xsl:apply-templates select="cac:SellerSupplierParty/cac:Party/cac:PartyLegalEntity"/>
											</p>
										</xsl:if>
									</td>
									<td class="column_h-3">
										<xsl:if test="count(cac:SellerSupplierParty/cac:Party/cac:Contact) >0 ">
											<p>
												<br/>
												<h4>
													<!-- Punkt kontaktowy / osoba -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-56'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</h4>
												<xsl:apply-templates select="cac:SellerSupplierParty/cac:Party/cac:Contact"/>
											</p>
										</xsl:if>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					<!-- Koniec danych DOSTAWCY / End SellerSupplierParty -->
					
					<!-- Początek danych NABYWCY / Start BuyerCustomerParty -->
					<div id="buyercustomer_info">
						<table>
							<tbody>
								<tr>
									<td class="column_h-1">
										<p>
											<h3>
												<!-- NABYWCA -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BG-7'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</h3>
											<br/><br/>
											<xsl:apply-templates select="cac:BuyerCustomerParty"/>
										</p>
									</td>
									<td class="column_h-2">
										<xsl:if test="count(cac:BuyerCustomerParty/cac:Party/cac:PartyLegalEntity) >0 ">
											<p>
												<br/>
												<h4>
													<!-- Punkt kontaktowy / osoba -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-56'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</h4>
												<xsl:apply-templates select="cac:BuyerCustomerParty/cac:Party/cac:PartyLegalEntity"/>
											</p>
										</xsl:if>
									</td>
									<td class="column_h-3">
										<xsl:if test="count(cac:BuyerCustomerParty/cac:Party/cac:Contact) >0 ">
											<p>
												<br/>
												<h4>
													<!-- Punkt kontaktowy / osoba -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-56'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</h4>
												<xsl:apply-templates select="cac:BuyerCustomerParty/cac:Party/cac:Contact"/>
											</p>
										</xsl:if>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					<!-- Koniec danych NABYWCY / End BuyerCustomerParty -->
					
					<!-- Początek danych ODBIORCY / Start DeliveryCustomerParty -->
					<div id="deliverycustomer_info">
						<table>
							<tbody>
								<tr>
									<td class="column_h-1">
										<p>
											<h3>
												<!-- ODBIORCA -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-303-3'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</h3>
											<br/><br/>
											<xsl:apply-templates select="cac:DeliveryCustomerParty"/>
										</p>
									</td>
									<td class="column_h-2">
										<xsl:if test="count(cac:DeliveryCustomerParty/cac:Party/cac:PartyLegalEntity) >0 ">
											<p>
												<br/>
												<h4>
													<!-- Dane w rejestrze podmiotów -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-627'"/>
														<xsl:with-param name="Colon-Suffix" select="true()"/>
													</xsl:call-template>
												</h4>
												<xsl:apply-templates select="cac:DeliveryCustomerParty/cac:Party/cac:PartyLegalEntity"/>
											</p>
										</xsl:if>
									</td>
									<td class="column_h-3">
										<xsl:if test="cac:DeliveryCustomerParty/cac:DeliveryContact">
											<p>
												<br/>
												<h4>
													<!-- Kontakt -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-218'"/>
														<xsl:with-param name="Colon-Suffix" select="true()"/>
													</xsl:call-template>
												</h4>
												<xsl:apply-templates select="cac:DeliveryCustomerParty/cac:DeliveryContact"/>
											</p>
										</xsl:if>
										<p>
											<xsl:if test="cac:DeliveryCustomerParty/cac:Party/cbc:EndpointID">
												<!-- Elektroniczny identyfikator PEF -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-34-1'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:DeliveryCustomerParty/cac:Party/cbc:EndpointID"/>
												<xsl:if test="cac:DeliveryCustomerParty/cac:Party/cbc:EndpointID/@schemeID !='' ">
													[<xsl:value-of select="cac:DeliveryCustomerParty/cac:Party/cbc:EndpointID/@schemeID"/>]
												</xsl:if>
											</xsl:if>
										</p>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					<!-- Koniec danych ODBIORCY / End DeliveryCustomerParty -->
					
					<!-- Początek danych WYSYŁAJĄCEGO / Start DespatchSupplierParty -->
					<div id="despatchsupplier_id">
						<table>
							<tbody>
								<tr>
									<td class="column_h-1">
										<p>
											<h3>
												<!-- WYSYŁAJĄCY -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-303-1'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</h3>
											<br/><br/>
											<xsl:apply-templates select="cac:DespatchSupplierParty"/>
										</p>
									</td>
									<td class="column_h-2">
										<xsl:if test="count(cac:DespatchSupplierParty/cac:Party/cac:PartyLegalEntity) >0 ">
											<p>
												<br/>
												<h4>
													<!-- Dane w rejestrze podmiotów -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-627'"/>
														<xsl:with-param name="Colon-Suffix" select="true()"/>
													</xsl:call-template>
												</h4>
												<xsl:apply-templates select="cac:DespatchSupplierParty/cac:Party/cac:PartyLegalEntity"/>
											</p>
										</xsl:if>
									</td>
									<td class="column_h-3">
										<xsl:if test="count(cac:DespatchSupplierParty/cac:Party/cac:Contact) >0 ">
											<p>
												<br/>
												<h4>
													<!-- Kontakt -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-218'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</h4>
												<xsl:apply-templates select="cac:DespatchSupplierParty/cac:Party/cac:Contact"/>
											</p>
										</xsl:if>
										<p>
											<xsl:if test="cac:DespatchSupplierParty/cac:Party/cbc:EndpointID">
												<!-- Elektroniczny identyfikator PEF -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-34-1'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:DespatchSupplierParty/cac:Party/cbc:EndpointID"/>
												<xsl:if test="cac:DespatchSupplierParty/cac:Party/cbc:EndpointID/@schemeID !='' ">
													[<xsl:value-of select="cac:DespatchSupplierParty/cac:Party/cbc:EndpointID/@schemeID"/>]
												</xsl:if>
											</xsl:if>
										</p>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					<!-- Koniec danych WYSYŁAJĄCEGO / End DespatchSupplierParty -->
					
					<!-- Początek danych ZAMAWIAJĄCEGO / Start OriginatorCustomerParty -->
					<div id="originalcustomer_info">
						<table>
							<tbody>
								<tr>
									<td class="column_h-1">
										<p>
											<strong>
												<!-- ZAMAWIAJĄCY -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-631-1'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
											<br/><br/>
											<xsl:apply-templates select="cac:OriginatorCustomerParty"/>
										</p>
									</td>
									<td class="column_h-2"/>
									<td class="column_h-3">
										<xsl:if test="cac:OriginatorCustomerParty/cac:Party/cac:Contact">
											<p>
												<br/>
												<h4>
													<!-- Kontakt -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-218'"/>
														<xsl:with-param name="Colon-Suffix" select="true()"/>
													</xsl:call-template>
												</h4>
												<xsl:apply-templates select="cac:OriginatorCustomerParty/cac:Party/cac:Contact"/>
											</p>
										</xsl:if>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					<!-- Początek danych ZAMAWIAJĄCEGO / End OriginatorCustomerParty -->
					
					<!-- Początek opisu wysyłki / Start Shipment -->
					<div id="shipment_id">
						<table>
							<tbody>
								<tr>
									<td class="column_h-1">
										<p>
											<h3>
												<!-- Wysyłka -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-305'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</h3>
											<br/><br/>
											<xsl:apply-templates select="cac:Shipment/cac:Delivery/cac:Despatch/cac:DespatchAddress"/>
										</p>
									</td>
									<td class="column_h-2">
										<p>
											<br/>
											<small>
												<!-- Identyfikator wysyłki -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-502'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:Shipment/cbc:ID"/>
											</small>
											<br/>
											<small>
												<!-- Identyfikator trasy -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-307'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:Shipment/cac:Delivery/cbc:TrackingID"/>
											</small>
											<br/>
											<small>
												<!-- Przewidywana data wysyłki -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-306'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:Shipment/cac:Delivery/cac:Despatch/cbc:ActualDespatchDate"/>
                                                &#160;
                                                <xsl:apply-templates select="cac:Shipment/cac:Delivery/cac:Despatch/cbc:ActualDespatchTime"/>
											</small>
											<br/>
											<small>
												<!--Przybliżony termin dostawy od -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-503'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:Shipment/cac:Delivery/cac:EstimatedDeliveryPeriod/cbc:StartDate"/>
                                                &#160;
                                                <xsl:apply-templates select="cac:Shipment/cac:Delivery/cac:EstimatedDeliveryPeriod/cbc:StartTime"/>
											</small>
											<br/>
											<small>
												<!-- Przybliżony termin dostawy do -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-503-1'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:Shipment/cac:Delivery/cac:EstimatedDeliveryPeriod/cbc:EndDate"/>
                                                &#160;
                                                <xsl:apply-templates select="cac:Shipment/cac:Delivery/cac:EstimatedDeliveryPeriod/cbc:EndTime"/>
											</small>
											<br/>
											<small>
												<!--Opis przesyłki -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-308'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:Shipment/cbc:Information"/>
											</small>
										</p>
									</td>
									<td class="column_h-3">
										<p>
											<br/>
											<small>
												<!-- Waga wysyłki brutto -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-309'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:Shipment/cbc:GrossWeightMeasure"/>&#160;
                                                <xsl:if test="cac:Shipment/cbc:GrossWeightMeasure/@unitCode !=''">
													<small>
														<xsl:call-template name="UNECECode">
															<xsl:with-param name="UNECECode" select="cac:Shipment/cbc:GrossWeightMeasure/@unitCode"/>
														</xsl:call-template>
                                                    </small>
												</xsl:if>
											</small>
											<br/>
											<small>
												<!-- Objętość wysyłki brutto -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-310'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:Shipment/cbc:GrossVolumeMeasure"/>&#160;
                                                <xsl:if test="cac:Shipment/cbc:GrossVolumeMeasure/@unitCode !=''">
													<small>
														<xsl:call-template name="UNECECode">
															<xsl:with-param name="UNECECode" select="cac:Shipment/cbc:GrossVolumeMeasure/@unitCode"/>
														</xsl:call-template>
                                                    </small>
												</xsl:if>
											</small>
											<br/>
											<small>
												<!-- Ilość opakowań transportowych -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-311'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:Shipment/cbc:TotalTransportHandlingUnitQuantity"/>
											</small>
										</p>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					<!-- Koniec opisu przesyłki / End Shipment -->
					
					<!-- Początek opisu partii towaru / Start Consignment-->
					<div class="row" id="tablerow">
						<div class="col-12">
							<table>
								<tr>
									<th class="party">
											<!-- Identyfikator przesyłki -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-312-1'"/>
												<xsl:with-param name="Colon-Suffix" select="false()"/>
											</xsl:call-template>
									</th>
									<th class="party">
											<!-- Przewoźnik -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-312-2'"/>
												<xsl:with-param name="Colon-Suffix" select="false()"/>
											</xsl:call-template>
									</th>
									<th class="party">
											<!-- Licencja kierowcy -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-312-3'"/>
												<xsl:with-param name="Colon-Suffix" select="false()"/>
											</xsl:call-template>
									</th>
									<th class="party">
											<!-- Rodzaj licencji kierowcy -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-312-4'"/>
												<xsl:with-param name="Colon-Suffix" select="false()"/>
											</xsl:call-template>
									</th>
								</tr>
								<xsl:if test="count(cac:Shipment/cac:Consignment)>0">
									<xsl:apply-templates select="cac:Shipment/cac:Consignment"/>
								</xsl:if>
								<tr>
									<td colspan="4"> <br /></td>
								</tr>
							</table>
						</div>
					</div>
					<!-- Koniec opisu partii towaru / End Consignment-->
					
					<!-- Początek Tabeli pozycji Awiza wysyłki -->
					<div id="tablerow">
						<table>
							<tr id="tableHeader">
								<th id="th_des_col1">
										<!-- Lp. -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-126'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
								</th>
								<th id="th_des_col2" align="left">
										<!-- Nazwa pozycji -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-153'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
								</th>
								<th id="th_des_col3">
										<!-- Pozycja zamówienia -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-313'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
								</th>
								<th id="th_des_col4" align="right">
										<!-- Ilośc wysłana -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-504'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
								</th>
								<th id="th_des_col5" align="right">
										<!-- Ilośc zaległa -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-505'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
								</th>
								<th id="th_des_col6" align="center">
										<!-- Powód zaległości -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-506'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
								</th>
								<th id="th_des_col7" align="left">
										<!-- Pozostałe -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-313-6'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
								</th>
							</tr>
							<xsl:if test="count(cac:DespatchLine)>0">
								<xsl:apply-templates select="cac:DespatchLine"/>
							</xsl:if>
						</table>
					</div>
					<!-- Koniec Tabeli pozycji Awiza wysyłki -->
					
					<!-- Zakończenie dokumentu Awiza wysyłki -->
					<div id="wrapper">
						<div class="row" id="tablerow">
							<div class="col-12">
								<p>
									<small>
										<xsl:value-of select="cbc:UBLVersionID"/>
										<br/>
										<xsl:if test="local-name(.) = 'DespatchAdvice'">
											<!-- Identyfikator specyfikacji awizo dostawy -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-168'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</xsl:if>
										<xsl:value-of select="cbc:CustomizationID"/>
										<xsl:if test="cbc:UUID !=''">
											<xsl:value-of select="cbc:UUID"/>
											<br/>
										</xsl:if>
										<!-- Ten dokument został wygenerowany na podstawie wizualizacji PEF v_1.14 -->
										<xsl:call-template name="VisualisationInfo"/>
									</small>
								</p>
							</div>
						</div>
					</div>
				</div>
				<!-- end wrapper -->
			</body>
		</html>
	</xsl:template>
	<!-- Koniec dokumentu Awiza wysyłki / End document -->
	
<!-- ===============================================================================================================================================
#
#			FAKTURA KOREKTA / NOTA KSIĘGOWA   -   CREDIT NOTE
#
-->	
	<!-- Początek dokumentu Faktura korekta i Nota księgowa / Start CreditNote -->
	<xsl:template match="cn:CreditNote">
		<html>
			<xsl:call-template name="doc-head"/>
			<head>
				<meta name="viewport" content="width=device-width,initial-scale=1"/>
					<xsl:if test="contains(cbc:ProfileID, 'account_corr')">
						<title>
							<!-- NOTA KSIĘGOWA -->
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-400-1'"/>
								<xsl:with-param name="Colon-Suffix" select="false()"/>
							</xsl:call-template>
						</title>
					</xsl:if>
					<xsl:if test="contains(cbc:ProfileID, 'corr_inv')">
						<title>
							<!-- FAKTURA KORYGUJĄCA -->
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BG-33'"/>
								<xsl:with-param name="Colon-Suffix" select="false()"/>
							</xsl:call-template>
						</title>
					</xsl:if>
			</head>
			<body>
				<div id="document">
					<!-- Start CreditNote Header -->
					<table>
						<tr>
							<th id="PEF2-start" colspan="3">
								<!-- Wydruk dokumentu elektronicznego z Platformy Elektronicznego Fakturowania -->
								<xsl:call-template name="DocumentInfo"/>
							</th>
							</tr>
							<tr>
							<td class="column_h-1" style="background-color:lightgrey">
								<h2 style="margin-bottom:0px">
									<!-- Nota ksiegowa / Faktura korygująca -->
									<xsl:if test="contains(cbc:ProfileID, 'account_corr')">
										<!-- NOTA KSIĘGOWA -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-400-1'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="contains(cbc:ProfileID, 'corr_inv')">
										<!-- FAKTURA KORYGUJĄCA -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BG-33'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
									</xsl:if>
								</h2>
							</td>
						</tr>
						<tr>
							<td class="column_h-1" style="background-color:lightgrey">
								<p align="left">
									<strong>
										<xsl:if test="contains(cbc:ProfileID, 'account_corr')">
											<!-- Nota Księgowa -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-407'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</xsl:if>
										<xsl:if test="contains(cbc:ProfileID, 'corr_inv')">
											<!-- Faktura Korygująca -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-700'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</xsl:if>
									</strong>
									<!-- Numer faktury korygującej / noty księgowej -->
									<xsl:value-of select="cbc:ID"/>
									<br/>
								</p>
								<xsl:if test="contains(cbc:ProfileID, 'corr_inv')">
									<br/><br/><br/>
									<p align="left">
										<strong>
											<!-- Waluta -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-410'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</strong>
										<xsl:value-of select="cbc:DocumentCurrencyCode"/>
										<br/>
									</p>
									<xsl:choose>
										<!-- Kwota do zapłaty -->
										<xsl:when test="cac:LegalMonetaryTotal/cbc:PayableAmount &lt; 0">
											<!-- płatność ujemna na czerwono -->
											<p align="left" style="color:red">
												<!-- kwota do zapłaty labelka -->
												<strong>
													<!--Kwota do zapłaty -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-115'"/>
														<xsl:with-param name="Colon-Suffix" select="true()"/>
													</xsl:call-template>
												</strong>
												<!-- kwota do zapłaty wartość -->
												<xsl:value-of select='format-number(ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection/cac-pl:LegalMonetaryTotal/cbc-pl:PayableAmount, "#0.00")'/>&#160;<xsl:value-of select="ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection/cac-pl:LegalMonetaryTotal/cbc-pl:PayableAmount/@currencyID"/>
												<br/>
											</p>
										</xsl:when>
										<xsl:otherwise>
											<!-- płatność dodatnia -->
											<p align="left">
												<!-- kwota do zapłaty labelka -->
												<strong>
													<!-- Kwota do zapłaty -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-115'"/>
														<xsl:with-param name="Colon-Suffix" select="true()"/>
													</xsl:call-template>
												</strong>
												<!-- kwota do zapłaty wartość -->
												<xsl:value-of select='format-number(ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection/cac-pl:LegalMonetaryTotal/cbc-pl:PayableAmount, "#0.00")'/>&#160;<xsl:value-of select="ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection/cac-pl:LegalMonetaryTotal/cbc-pl:PayableAmount/@currencyID"/>
												<br/>
											</p>
										</xsl:otherwise>
									</xsl:choose>
									<xsl:if test="cac:PaymentMeans/cbc:PaymentDueDate !=''">
										<p align="left">
											<!-- Termin płatności labelka -->
											<strong>
												<!-- Termin płatności -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-9'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- Termin płatności wartość:  -->
											<xsl:value-of select="cac:PaymentMeans/cbc:PaymentDueDate"/>
											<br/>
										</p>
									</xsl:if>
								</xsl:if>
							</td>
							<td class="column_h-2">
								<xsl:if test="contains(cbc:ProfileID, 'corr_inv')">
									<xsl:if test="cac:ContractDocumentReference !=''">
										<!-- Numer kontraktu -->
										<p align="left">
											<strong>
												<!-- Numer kontraktu -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-12'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- numer kontraktu wartość -->
											<xsl:value-of select="cac:ContractDocumentReference/cbc:ID"/>
											<br/>
										</p>
									</xsl:if>
									<xsl:if test="cac:DespatchDocumentReference !=''">
										<!-- Numer awiza -->
										<p align="left">
											<strong>
												<!-- Numer awiza -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-16'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- numer awiza wartość -->
											<xsl:value-of select="cac:DespatchDocumentReference/cbc:ID"/>
											<br/>
										</p>
									</xsl:if>
									<xsl:if test="cac:ReceiptDocumentReference !=''">
										<!-- Numer zamówienia -->
										<p align="left">
											<strong>
												<!-- Numer zamówienia wg kupującego -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-15'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- numer zamówienia wartość -->
											<xsl:value-of select="cac:ReceiptDocumentReference/cbc:ID"/>
											<br/>
										</p>
									</xsl:if>
									<xsl:if test="cac:BillingReference !=''">
										<!-- Numer faktury korygowanej -->
										<p align="left">
											<strong>
												<!-- Numer faktury korygowanej -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-706'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- numer faktury korygowanej wartość -->
											<xsl:value-of select="cac:BillingReference/cac:InvoiceDocumentReference/cbc:ID"/>
											<br/>
											<strong>
												<!-- Data faktury korygowanej -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-707'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- data faktury korygowanej wartość -->
											<xsl:value-of select="cac:BillingReference/cac:InvoiceDocumentReference/cbc:IssueDate"/>
											<br/>
										</p>
									</xsl:if>
								</xsl:if>
							</td>
							<td class="column_h-3">
								<p align="left">
									<strong>
										<!-- Data utworzenia -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-408'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
									<xsl:value-of select="cbc:IssueDate"/>&#160;<xsl:value-of select="cbc:IssueTime"/>
									<br/>
								</p>
								<!-- terminy obowiązywania dokumentu (od - do) -->
								<xsl:if test="cac:ValidityPeriod !=''">
									<xsl:if test="cac:ValidityPeriod/cbc:EndDate !='' ">
										<p align="left">
											<!-- data końcowa labelka -->
											<strong>
												<!-- Data ważności zamówiena -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-206'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- data końcowa wartość -->
											<xsl:apply-templates select="cac:ValidityPeriod/cbc:EndDate"/>
										</p>
									</xsl:if>
								</xsl:if>
								<xsl:if test="cac:InvoicePeriod !=''">
									<xsl:if test="cac:InvoicePeriod/cbc:StartDate !=''">
										<p align="left">
											<!-- data początkowa labelka -->
											<strong>
												<!-- Data początkowa okresu faktury -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-73'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- data końcowa wartość -->
											<xsl:apply-templates select="cac:InvoicePeriod/cbc:StartDate"/>
											<br/>
										</p>
									</xsl:if>
									<xsl:if test="cac:InvoicePeriod/cbc:EndDate !='' ">
										<p align="left">
											<!-- data końcowa labelka -->
											<strong>
												<!-- Data końcowa okresu faktury  -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-74'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- data początkowa wartość -->
											<xsl:apply-templates select="cac:InvoicePeriod/cbc:EndDate"/>
										</p>
									</xsl:if>
								</xsl:if>
								<xsl:if test="local-name(.) = 'Invoice'">
									<xsl:if test="cac:OrderReference !=''">
										<!-- Numer zamówienia -->
										<p align="left">
											<strong>
												<!-- Numer zamówienia wg kupującego -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-13'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- numer zamówienia wartość -->
											<xsl:value-of select="cac:OrderReference/cbc:ID"/>
											<br/>
										</p>
									</xsl:if>
								</xsl:if>
								<xsl:if test="cbc:AccountingCost">
									<p align="left">
										<strong>
											<!-- Miejsce powstania kosztu -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-411'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</strong>
										<xsl:apply-templates select="cbc:AccountingCost"/>
									</p>
								</xsl:if>
							</td>
						</tr>
						<tr>
							<td colspan="3" style="width:100%;">
								<!-- Uwagi ogólne do faktury -->
								<strong>
									<xsl:call-template name="Invoice_Note">
									</xsl:call-template>
								</strong>
							</td>
						</tr>
					</table>
					<!-- Koniec nagłówka Noty księgowej lub Faktury korygującej / End CreditNote header -->
					
					<!-- Poczatek danych WYSTAWCY NOTY lub SPRZEDAWCY / Start AccountingSupplierParty -->
					<div id="accountingsupplier_info">
						<table>
							<tbody>
								<tr>
									<td class="column_h-1">
										<p>
											<h3>
												<xsl:if test="contains(cbc:ProfileID, 'account_corr')">
													<!-- WYSTAWCA NOTY -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-608-2'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</xsl:if>
												<xsl:if test="contains(cbc:ProfileID, 'corr_inv')">
													<!-- SPRZEDAWCA -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BG-4'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</xsl:if>
											</h3>
											<br/><br/>
											<!-- Nazwa sprzedawcy / Wystawcy noty -->
											<strong>
												<xsl:call-template name="SellerParty_Name"/>
											</strong>
											<br/>
											<br/>
											<xsl:call-template name="SellerParty_Address"/>
										</p>
									</td>
									<td class="column_h-2">
										<xsl:if test="count(cac:AccountingSupplierParty/cac:Party/cac:PartyLegalEntity) >0 ">
											<p>
												<br/>
												<xsl:call-template name="SellerParty_Registration"/>
											</p>
										</xsl:if>
									</td>
									<td class="column_h-3">
										<xsl:if test="count(cac:AccountingSupplierParty/cac:Party/cac:Contact) >0 ">
											<p>
												<br/>
												<xsl:call-template name="SellerParty_Contact"/>
											</p>
										</xsl:if>
										<p>
											<xsl:if test="cac:AccountingSupplierParty/cac:Party/cbc:EndpointID">
												<!-- Elektroniczny identyfikator PEF -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-34-1'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<xsl:apply-templates select="cac:AccountingSupplierParty/cac:Party/cbc:EndpointID"/>
												<xsl:if test="cac:AccountingSupplierParty/cac:Party/cbc:EndpointID/@schemeID !='' ">
													[<xsl:value-of select="cac:AccountingSupplierParty/cac:Party/cbc:EndpointID/@schemeID"/>]
												</xsl:if>
											</xsl:if>
										</p>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					<!-- Koniec danych WYSTAWCY NOTY  lub SPRZEDAWCY / End AccountingSupplierParty -->
					
					<!-- Początek danych ODBIORCY NOTY lub NABYWCY / Start AccountingCustomerParty -->
					<div id="accountingcustomer_info">
						<table>
							<tbody>
								<tr>
									<td class="column_h-1">
										<p>
											<h3>
												<xsl:if test="contains(cbc:ProfileID, 'account_corr')">
													<!-- ODBIORCA NOTY -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-608-1'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</xsl:if>
												<xsl:if test="contains(cbc:ProfileID, 'corr_inv')">
													<!-- NABYWCA -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BG-7'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</xsl:if>
											</h3>
											<br/><br/>
											<strong>
												<xsl:call-template name="CustomerParty_Name"/>
											</strong>
											<br/>
											<br/>
											<xsl:call-template name="CustomerParty_Address"/>
										</p>
									</td>
									<td class="column_h-2">
										<xsl:if test="count(cac:AccountingCustomerParty/cac:Party/cac:PartyLegalEntity) >0 ">
											<p>
												<br/>
												<xsl:call-template name="CustomerParty_Registration"/>
											</p>
										</xsl:if>
									</td>
									<td class="column_h-3" width="33%">
										<xsl:if test="count(cac:AccountingCustomerParty/cac:Party/cac:Contact) >0 ">
											<p>
												<br/>
												<xsl:call-template name="CustomerParty_Contact"/>
											</p>
										</xsl:if>
											<p>
												<xsl:if test="cac:AccountingCustomerParty/cac:Party/cbc:EndpointID">
													<!-- Elektroniczny identyfikator PEF -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-34-1'"/>
														<xsl:with-param name="Colon-Suffix" select="true()"/>
													</xsl:call-template>
													<xsl:apply-templates select="cac:AccountingCustomerParty/cac:Party/cbc:EndpointID"/>
													<xsl:if test="cac:AccountingCustomerParty/cac:Party/cbc:EndpointID/@schemeID !='' ">
														[<xsl:value-of select="cac:AccountingCustomerParty/cac:Party/cbc:EndpointID/@schemeID"/>]
													</xsl:if>
												</xsl:if>
											</p>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					<!--  Koniec danych ODBIORCY NOTY lub NABYWCY / End AccountingCustomerParty -->
					
		
					<!-- Początek danych PRZEDSTAWICIELA PODATKOWEGO SPRZEDAWCY / Start TaxRepresentativeParty -->
					<xsl:if test="contains(cbc:ProfileID, 'corr_inv') and (cac:TaxRepresentativeParty != '')">
						<div id="taxrep_info">
							<table>
								<tbody>
									<tr>
										<td width="100%">
											<!-- Dane przedstawiciela-->
											<p>
												<h3>
													<!-- PRZEDSTAWICIEL PODATKOWY SPRZEDAWCY-->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BG-11'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</h3>
											</p>
											<p>
												<!-- Nazwa przedstawiciela -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-62'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<!-- Nazwa przedstawiciela -->
												<strong>
													<xsl:call-template name="TaxRepresentativeParty_Name">
												</xsl:call-template>
												</strong>
												<br/> <br/>
												<xsl:call-template name="TaxRepresentativeParty_Address">
												</xsl:call-template>
												<!-- Dane rejestrowe przedstawiciela -->
												<br/>
												<xsl:call-template name="TaxRepresentativeParty_Registration"/>
												<br/><br/>
											</p>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
					</xsl:if>
					<!--  Koniec danych WYSTAWCY NOTY lub NABYWCY / End AccountingCustomerParty -->

						<div id="delivery_info">
							<table>
								<tbody>
								<tr>
									<td class="column_h-1">
										<div>
											<xsl:apply-templates select="cac:Delivery" mode="DocumentHeader"/>
											<xsl:if test="count(cac:Delivery/cbc:ActualDeliveryDate)>0">
												<xsl:if test="count(cac:Delivery/cbc:ActualDeliveryDate) >0">
													<p>
														<strong>
															<!-- Aktualna data dostawy -->
															<xsl:call-template name="LabelName">
																<xsl:with-param name="BT-ID" select="'BT-72'"/>
																<xsl:with-param name="Colon-Suffix" select="true()"/>
															</xsl:call-template>
														</strong>
														<xsl:apply-templates select="cac:Delivery/cbc:ActualDeliveryDate"/>
														<br/>
													</p>
												</xsl:if>
											</xsl:if>
										</div>
										<div>
											<xsl:if test="cac:Delivery/cac:RequestedDeliveryPeriod !=''">
												<p>
													<strong>
														<!-- Początkowa data dostawy -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-215'"/>
															<xsl:with-param name="Colon-Suffix" select="true()"/>
														</xsl:call-template>
													</strong>
													<xsl:value-of select="cac:Delivery/cac:RequestedDeliveryPeriod/cbc:StartDate"/>
													<br/>
													<strong>
														<!-- Końcowa data dostawy -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-216'"/>
															<xsl:with-param name="Colon-Suffix" select="true()"/>
														</xsl:call-template>
													</strong>
													<xsl:value-of select="cac:Delivery/cac:RequestedDeliveryPeriod/cbc:EndDate"/>
												</p>
											</xsl:if>
										</div>
									</td>
									<td class="column_h-2">
										<div>
											<xsl:if test="cac:PayeeParty !=''">
												<!-- Inserting Payee Party -->
												<p>
													<h3>
														<!--ODBIORCA PŁATNOŚCI -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BG-10'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</h3>
													<br/><br/>
													<xsl:call-template name="PayeeParty"/>
												</p>
											</xsl:if>
										</div>
									</td>
									<td class="column_h-3">
										<div>
										</div>
									</td>
								</tr>
								<tr>
									<td class="column_h-1">
										<div>
											<!-- AdditionalDocumentReference -->
											<xsl:if test="cac:AdditionalDocumentReference !=''">
												<p>
													<h3>
														<xsl:if test="local-name(.) = 'CreditNote'">
															<!-- DOKUMENTY DODATKOWE DO FAKTURY -->
															<xsl:call-template name="LabelName">
																<xsl:with-param name="BT-ID" select="'BG-24'"/>
																<xsl:with-param name="Colon-Suffix" select="false()"/>
															</xsl:call-template>
														</xsl:if>
													</h3>
													<br/><br/>
													<xsl:choose>
														<xsl:when test="count(cbc:DocumentTypeCode)>0">
															<xsl:apply-templates select="cac:AdditionalDocumentReference[cbc:DocumentTypeCode != '130' and cbc:DocumentTypeCode != '50' or false()]" mode="Supporting"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:apply-templates select="cac:AdditionalDocumentReference[cbc:DocumentTypeCode != '130' and cbc:DocumentTypeCode != '50' or true()]" mode="Supporting"/>
														</xsl:otherwise>
													</xsl:choose>
												</p>
											</xsl:if>
										</div>
									</td>
									<td class="column_h-2">
										<div>
												<p>
													<xsl:for-each select="cac:BillingReference/cac:InvoiceDocumentReference">
														<br/><br/>
														<strong>
															<!-- Numer faktury poprzedzającej -->
															<xsl:call-template name="LabelName">
																<xsl:with-param name="BT-ID" select="'BT-25'"/>
																<xsl:with-param name="Colon-Suffix" select="true()"/>
															</xsl:call-template>
														</strong>
														<!-- Inserting Preceding invoice number  -->
														<xsl:value-of select="cbc:ID"/>
														<!-- Inserting Preceding Invoice Issue Date  -->
														<xsl:if test="cbc:IssueDate != ''">
															 ( <xsl:value-of select="cbc:IssueDate"/> )
														 </xsl:if>
													</xsl:for-each>
													<xsl:apply-templates select="cac:AdditionalDocumentReference[cbc:DocumentTypeCode='130' or cbc:DocumentTypeCode='50']" mode="InvoicedObject"/>
												</p>
										</div>
									</td>
									<td class="column_h-3" width="33%">
										<div>
												<p>
													<br/>
													<xsl:if test="cac:OriginatorDocumentReference/cbc:ID">
														<br/>
														<strong>
															<!-- Numer ogłoszenia o przetargu lub jego części -->
															<xsl:call-template name="LabelName">
																<xsl:with-param name="BT-ID" select="'BT-17'"/>
																<xsl:with-param name="Colon-Suffix" select="true()"/>
															</xsl:call-template>
														</strong>
														<!-- Inserting Originator advice reference  -->
														<xsl:value-of select="cac:OriginatorDocumentReference/cbc:ID"/>
													</xsl:if>
													<!-- Dokument inicjujący zamówienie -->
													<xsl:if test="cac:ProjectReference/cbc:ID">
														<br/>
														<strong>
															<!-- Numer projektu -->
															<xsl:call-template name="LabelName">
																<xsl:with-param name="BT-ID" select="'BT-11'"/>
																<xsl:with-param name="Colon-Suffix" select="true()"/>
															</xsl:call-template>
														</strong>
														<!-- Inserting Project advice reference  -->
														<xsl:value-of select="cac:ProjectReference/cbc:ID"/>
													</xsl:if>
													<!-- Dokument ofertowy -->
													<xsl:if test="cac:QuotationDocumentReference/cbc:ID">
														<br/>
														<strong>
															<!-- Numer dokumentu ofertowego -->
															<xsl:call-template name="LabelName">
																<xsl:with-param name="BT-ID" select="'BT-220'"/>
																<xsl:with-param name="Colon-Suffix" select="true()"/>
															</xsl:call-template>
														</strong>
														<!-- Inserting Project advice reference  -->
														<xsl:value-of select="cac:QuotationDocumentReference/cbc:ID"/>
													</xsl:if>
													<!-- Dokument zamówienia bazowego -->
													<xsl:if test="cac:OrderDocumentReference/cbc:ID">
														<br/>
														<strong>
															<!-- Numer zamówienia bazowego -->
															<xsl:call-template name="LabelName">
																<xsl:with-param name="BT-ID" select="'BT-221'"/>
																<xsl:with-param name="Colon-Suffix" select="true()"/>
															</xsl:call-template>
														</strong>
														<!-- Inserting Project advice reference  -->
														<xsl:value-of select="cac:OrderDocumentReference/cbc:ID"/>
													</xsl:if>
												</p>
										</div>
									</td>
								</tr>
								</tbody>
							</table>
						</div>
						
					<xsl:choose>
						<xsl:when test="ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cbc:Comment">
							<!-- Start Faktura korygująca cz. 1 przed korektą -->
							<p>
								<h3>
									<!-- Stan przed korektą: -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-702'"/>
										<xsl:with-param name="Colon-Suffix" select="false()"/>
									</xsl:call-template>
								</h3>
								<br/>
							</p>
							
							<!-- Początek Tabeli pozycji Faktury korekty (pozycje korygowane) -->
							<div  class="row" id="tablerow">
							  <div class="col-12">
								<table>
									<tr id="tableHeader" valign="bottom">
										<th id="th_cn_col1">
												<!-- Lp. -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-126'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th id="th_col3" align="left">
												<!-- Nazwa -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-153'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th id="th_col4" align="right">
												<!-- Ilość -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-129'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th id="th_col5" align="right">
												<!-- Cena netto-->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-146'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th id="th_col6">
												<!-- Kategoria VAT-->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-151'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th id="th_col7">
												<!-- Kwota upustu-->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-136'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
												<br/>
												<!-- Kwota obciążenia w linii faktury -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-141'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th id="th_col8" align="right">
												<!-- Kwota netto -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-131'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
									</tr>
									<xsl:call-template name="InvoiceLine-Korekta">
										<xsl:with-param name="Original" select="false()"/>
									</xsl:call-template>
								</table>
							  </div>
							</div>
							<!-- Koniec Tabeli pozycji Faktury korekty (pozycje korygowane) -->
							
							<!-- podsumowanie części pierwszej -->
							<div class="row" id="sum">
								<div class="col-6">
									<h3 align="left">
										<!-- Razem -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-412'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</h3>
								</div>
								<div class="col-12">
									<h2 align="right">
										<xsl:value-of select='format-number(ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:LegalMonetaryTotal/cbc-pl:LineExtensionAmount, "#0.00")'/>&#160;<xsl:value-of select="ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:LegalMonetaryTotal/cbc-pl:LineExtensionAmount/@currencyID"/>
									</h2>
								</div>
							</div>
							
							<!-- Podsumowania obciążeń, upustów, podatków wg. stawek i sum dla dokumentu -->
							<div>
							<xsl:apply-templates select="ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData"/>
							</div>
							
							<!-- Start Faktura korygująca cz. 2 po korekcie -->
							<p>
								<h3>
									<br/>
									<!-- Stan po korekcie: -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-703'"/>
										<xsl:with-param name="Colon-Suffix" select="false()"/>
									</xsl:call-template>
								</h3>
								<br/>
							</p>
							
							<!-- Początek Tabeli pozycji Faktury korekty (pozycje po korekcie) -->
							<div  class="row" id="tablerow">
								<table>
									<tr id="tableHeader" valign="bottom">
										<th id="th_col1">
												<!-- Lp. -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-126'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th id="th_col3" align="left">
												<!-- Nazwa pozycji -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-153'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th id="th_col4" align="right">
												<!-- Ilość -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-129'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th id="th_col5" align="right">
												<!-- Cena netto -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-146'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th id="th_col6">
												<!-- Kategoria VAT -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-151'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th id="th_col7">
												<!-- Kwota upustu -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-136'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
												<br/>
												<!-- Kwota obciążenia w linii faktury -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-141'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th id="th_col8" align="right">
												<!-- Kwota netto -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-131'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
									</tr>
									<xsl:call-template name="InvoiceLine-Korekta">
										<xsl:with-param name="Original" select="true()"/>
									</xsl:call-template>
								</table>
							</div>
							<!-- Koniec Tabeli pozycji Faktury korekty (pozycje po korekcie) -->
							
							<xsl:call-template name="PodsumowaniePozycji"/>
							
						</xsl:when>
						<xsl:otherwise>
						
							<!-- Początek Tabeli pozycji Noty księgowej / Start CreditNoteLine-->
							<div id="tablerow">
								<table>
									<tr class="tableHeader">
										<th id="th_cn_col">
												<!-- Lp. -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-126'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th id="th_cn_col" align="left">
												<!-- Nazwa pozycji -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-153'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th id="th_cn_col">
												<!-- Stanowisko kosztów -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-401'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th id="th_cn_col" align="right">
												<!-- Kwota -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-402'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
									</tr>
									<xsl:if test="count(cac:CreditNoteLine)>0">
										<xsl:apply-templates select="cac:CreditNoteLine"/>
									</xsl:if>
								</table>
							</div>
							<!-- Koniec Tabeli pozycji Noty księgowej / End CreditNoteLine-->
							
							<xsl:call-template name="PodsumowaniePozycji"/>
							
						</xsl:otherwise>
					</xsl:choose>
					
					
					<!-- Początek Tabeli korekty kwot podatku wg stawek dla Faktury korekty / Start CreditNote tax subtotal correction-->
					<xsl:if test="contains(cbc:ProfileID, 'corr_inv')">
							
					<!-- Podsumowania obciążeń, upustów, podatków wg. stawek i sum dla dokumentu -->
					<div>
					<xsl:call-template name="CreditNoteInfo"/>
					</div>
				
					<xsl:if test="count(ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection/cac-pl:TaxTotal/cac-pl:TaxSubtotal)>0">
					<div class="row" id="Podsumowanie">
						<div class="col-6">
						<br/>
						<p>
							<h3>
								<!-- Podsumowanie -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-704'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</h3>
						</p>
						</div>
						<div id="tablesummary">
							<table>
								<tbody>
									<h4>
									<tr>
										<th id="th_cn_col">Rodzaj i stawka VAT</th>
										<th id="th_cn_col">Kwota netto</th>
										<th id="th_cn_col">Podatek</th>
									</tr>
									</h4>
									<xsl:call-template name="InvoiceLine-Tax-Korekta"/>
								</tbody>
							</table>
						</div>
					</div>
				</xsl:if>
				</xsl:if>
				<!-- Koniec Tabeli korekty kwot podatku wg stawek dla Faktury korekty / End CreditNote tax subtotal correction-->
				
				<xsl:if test="contains(cbc:ProfileID, 'corr_inv')">
					<xsl:apply-templates select="ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection"/>
				</xsl:if>
				
					<div>
						<!-- podsumowanie -->
						<xsl:if test="contains(cbc:ProfileID, 'account_corr')">
						<div class="row" id="sum">
							<br/>
							<br/>
							<div class="col-6">
								<h3 align="left">
									<!-- Do zapłaty -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-705'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</h3>
							</div>
							<div class="col-12">
								<h3 align="right">
										<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:PayableAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:LegalMonetaryTotal/cbc:PayableAmount/@currencyID"/>
								</h3>
							</div>
						</div>
						</xsl:if>
					</div>
					<div id="wrapper">
						<div class="row" id="tablerow">
							<div class="col-12">
								<p>
									<small>
										<xsl:value-of select="cbc:UBLVersionID"/>
										<br/>
										<xsl:if test="local-name(.) = 'CreditNote'">
											<!-- Wersja komunikatu -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-24'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</xsl:if>
										<xsl:value-of select="cbc:CustomizationID"/>
										<xsl:if test="cbc:UUID !=''">
											<xsl:value-of select="cbc:UUID"/>
											<br/>
										</xsl:if>
										<!-- Ten dokument został wygenerowany na podstawie wizualizacji PEF.v_1.14 -->
										<xsl:call-template name="VisualisationInfo"/>
									</small>
								</p>
							</div>
						</div>
					</div>
				</div>
				<!-- Koniec dokumentu / End document -->
			</body>
		</html>
	</xsl:template>
	<!-- Koniec dokumentu Faktura korekta i Nota księgowa / Endt CreditNote -->
	
	<xsl:template name="PodsumowaniePozycji">
		<!-- Początek podsumowania pozycji Noty księgowej / Start sum of CreditNoteLine amount: -->
		<div class="row" id="sum">
			<div class="col-6">
				<h3 align="left">
					<!-- Razem -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-412'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
				</h3>
			</div>
			<div class="col-12">
				<h3 align="right">
					<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:LineExtensionAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:LegalMonetaryTotal/cbc:LineExtensionAmount/@currencyID"/>
				</h3>
			</div>
		</div>
		<!--  Koniec podsumowania pozycji Noty księgowej / End sum of CreditNoteLine amount: -->
	</xsl:template>
	
	<!-- Początek pozycji korekty kwot podatku wg stawek dla Faktury korekty / Start CreditNote tax subtotal correction lines-->
	<xsl:template name="InvoiceLine-Tax-Korekta">
		<xsl:variable name="invoiceDiv" select="ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection"/>
		<xsl:for-each select="$invoiceDiv/cac-pl:TaxTotal/cac-pl:TaxSubtotal">
			<tr>
				<td align="center">
					<!-- stawka podatku -->
					<xsl:value-of select="/cac-pl:TaxCategory/cbc-pl:ID"/>&#160;,
					<xsl:value-of select='format-number(cac-pl:TaxCategory/cbc-pl:Percent, "#0.00")'/>&#160;%
				</td>
				<td align="center">
					<!-- kwota netto -->
					<xsl:value-of select='format-number(cbc-pl:TaxableAmount, "#0.00")'/>&#160;
					<xsl:value-of select="cbc-pl:TaxableAmount/@currencyID"/>
				</td>
				<td align="center">
					<!-- podatek -->
					<xsl:value-of select='format-number(cbc-pl:TaxAmount, "#0.00")'/>&#160;
					<xsl:value-of select="cbc-pl:TaxAmount/@currencyID"/>
				</td>
			</tr>
		</xsl:for-each>
	</xsl:template>
	<!-- Koniec pozycji korekty kwot podatku wg stawek dla Faktury korekty / End CreditNote tax subtotal correction lines-->
	
	<!-- Poczatek informacji o obciążeniach, upustach i podatku oraz sumach przed korektą  -->
	<xsl:template match="ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData">
		<xsl:call-template name="ZestawInfo"/>
	</xsl:template>
	
	<!-- Poczatek informacji o obciążeniach, upustach i podatku oraz sumach (różnice)  -->
	<xsl:template match="ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:InvoiceCorrection">
		<xsl:call-template name="ZestawInfo"/>
	</xsl:template>
	
	<xsl:template name="ZestawInfo">
					<!-- Start Allowances and charges on document level: -->
					<!--Start Document allowances-->
					<xsl:if test="cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator ='false']">
						<div class="row" id="tablerow">
							<div class="col-12">
								<h3>
									<!-- UPUSTY NA POZIOMIE DOKUMENTU -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BG-20'"/>
										<xsl:with-param name="Colon-Suffix" select="false()"/>
									</xsl:call-template>
								</h3>
								<table>
									<tr>
										<th align="left" valign="top" colspan="2" width="20%">
												<!--Kod przyczyny upustu -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-98'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th align="left" valign="top" colspan="2" width="20%">
												<!-- Przyczyna upustu -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-97'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th align="left" valign="top" width="20%">
												<!-- Kod kategorii VAT -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-95'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th align="right" valign="top" width="20%">
												<!-- Podstawa obliczenia -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-100'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th valign="top" align="right" width="20%">
												<!-- Kwota upustu -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-92'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
									</tr>
									<xsl:for-each select="cac-pl:AllowanceCharge">
										<xsl:if test="cbc-pl:ChargeIndicator ='false'">
											<xsl:call-template name="Allowance-pl"/>
										</xsl:if>
									</xsl:for-each>
								</table>
							</div>
						</div>
					</xsl:if>
					<!-- End Document allowances -->
					
					<!-- Start AllowanceTotal Amount: -->
					<xsl:if test="cac-pl:LegalMonetaryTotal/cbc-pl:AllowanceTotalAmount !='' ">
						<div class="row" id="sum">
							<div class="col-6">
								<p align="left">
									<h3>
										<!-- Suma upustów na poziomie dokumentu -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-107'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</h3>
								</p>
							</div>
							<div class="col-12">
								<p align="right">
									<strong>
										<xsl:value-of select='format-number(cac-pl:LegalMonetaryTotal/cbc-pl:AllowanceTotalAmount, "#0.00")'/>&#160;<xsl:apply-templates select="cac-pl:LegalMonetaryTotal/cbc-pl:AllowanceTotalAmount/@currencyID"/>
									</strong>
								</p>
							</div>
						</div>
					</xsl:if>
					<!-- End AllowanceTotal Amount -->
					
					<!-- Start Document Charges -->
					<xsl:if test="cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator ='true']">
						<div class="row" id="tablerow">
							<div class="col-12">
								<h3>
									<!-- OBCIĄŻENIA NA POZIOMIE DOKUMENTU -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BG-21'"/>
										<xsl:with-param name="Colon-Suffix" select="false()"/>
									</xsl:call-template>
								</h3>
								<table>
									<tr>
										<th align="left" valign="top" colspan="2" width="20%">
											<strong>
												<!-- Kod przyczyny obciążenia -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-105'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="left" valign="top" colspan="2" width="20%">
											<strong>
												<!-- Przyczyna obciążenia -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-104'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="left" valign="top" width="20%">
											<strong>
												<!-- Kod kategorii VAT -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-102'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="right" valign="top" width="20%">
											<strong>
												<!-- Podstawa obliczenia -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-93'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th valign="top" align="right" width="20%">
											<strong>
												<!-- Kwota obciążenia -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-99'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
									</tr>
									<xsl:for-each select="cac-pl:AllowanceCharge">
										<xsl:if test="cbc-pl:ChargeIndicator ='true'">
											<xsl:call-template name="Charge-pl"/>
										</xsl:if>
									</xsl:for-each>
								</table>
							</div>
						</div>
					</xsl:if>
					<!-- End Document Charges -->
					
					<!-- Start ChargeTotal Amount: -->
					<xsl:if test="cac-pl:LegalMonetaryTotal/cbc-pl:ChargeTotalAmount !='' ">
						<div class="row" id="sum">
							<div class="col-6">
								<p align="left">
									<h4>
										<!-- Suma obciążeń na poziomie dokumentu -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-108'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</h4>
								</p>
							</div>
							<div class="col-12">
								<p align="right">
									<strong>
										<xsl:value-of select='format-number(cac-pl:LegalMonetaryTotal/cbc-pl:ChargeTotalAmount, "#0.00")'/>&#160;<xsl:value-of select="cac-pl:LegalMonetaryTotal/cbc-pl:ChargeTotalAmount/@currencyID"/>
									</strong>
								</p>
							</div>
						</div>
					</xsl:if>
					<!-- End ChargeTotal Amount -->
					
					<!-- Start VAT Breakdown: -->
					<xsl:if test="cac-pl:TaxTotal/cac-pl:TaxSubtotal">
					<div class="row" id="tablerow">
						<div class="col-12">
							<h3>
								<!-- ROZLICZENIE VAT WG STAWEK -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BG-23'"/>
									<xsl:with-param name="Colon-Suffix" select="false()"/>
								</xsl:call-template>
							</h3>
							<xsl:if test="cbc-pl:TaxPointDate !=''">
								<p>
									<strong>
										<!-- Data powstania obowiązku podatkowego -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-7'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
									<xsl:value-of select="cbc-pl:TaxPointDate"/>
									<xsl:if test="cac-pl:InvoicePeriod/cbc-pl:DescriptionCode != ''">
										<br/>
										<strong>
											<!-- Kod daty powstania obowiązku podatkowego -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-8'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</strong>
										<xsl:call-template name="UBLDescriptionCode">
											<xsl:with-param name="Code" select="cac-pl:InvoicePeriod/cbc-pl:DescriptionCode"/>
										</xsl:call-template>
									</xsl:if>
									<br/>
								</p>
							</xsl:if>
						</div>
					</div>
					
					<!-- Start Tabeli z rozliczeniem VAT -->
					<div class="row" id="tablerow">
						<div class="col-12">
							<table>
								<xsl:if test="cac-pl:TaxTotal">
									<tr class="TAXInformationHeader">
										<th align="left" valign="top" colspan="2" width="25%">
												<!-- Kod kategorii VAT -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-118'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th align="left" valign="top" colspan="2" width="25%">
												<!-- Przyczyna zwolnienia VAT -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-120'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th align="right" valign="top" colspan="2" width="25%">
												<!-- Kwota podstawy opodatkowania w kategorii VAT -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-116'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th valign="top" align="right" width="25%">
												<!-- Kwota podatku w kategorii VAT -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-117'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
									</tr>
									<xsl:apply-templates select="cac-pl:TaxTotal/cac-pl:TaxSubtotal"/>
								</xsl:if>
							</table>
						</div>
					</div>
					</xsl:if>
					<!-- End VAT Breakdown -->
					
					<!-- Start Tax Amount: -->
					<xsl:if test="cbc-pl:TaxCurrencyCode !=''">
						<div class="row">
							<div class="col-12">
								<p>
									<strong>
										<!-- Kod waluty podatku VAT -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-6'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
									<xsl:value-of select="cbc-pl:TaxCurrencyCode"/>
								</p>
							</div>
						</div>
					</xsl:if>
					<xsl:if test="cac-pl:TaxTotal/cbc-pl:TaxAmount">
						<xsl:if test="cac-pl:TaxTotal/cbc-pl:TaxAmount[@currencyID=../../cbc-pl:DocumentCurrencyCode]">
							<div class="row" id="headerrow">
								<xsl:if test="local-name(.) = 'CreditNote'">
									<div class="col-6">
										<p>
											<strong>
												<!-- Całkowita suma podatku VAT faktury -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-110'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
										</p>
									</div>
									<div class="col-12">
										<p align="right">
											<xsl:apply-templates select="cac-pl:TaxTotal/cbc-pl:TaxAmount[@currencyID=../../cbc-pl:TaxCurrencyCode]"/>&#160;<xsl:apply-templates select="cac-pl:TaxTotal/cbc-pl:TaxAmount[@currencyID=../../cbc-pl:TaxCurrencyCode]/@currencyID"/>
										</p>
									</div>
									<div class="col-12">
										<p align="right">
											<strong>
												<xsl:apply-templates select="cac-pl:TaxTotal/cbc-pl:TaxAmount[@currencyID=../../cbc-pl:DocumentCurrencyCode]"/>&#160;<xsl:apply-templates select="cac-pl:TaxTotal/cbc-pl:TaxAmount[@currencyID=../../cbc-pl:DocumentCurrencyCode]/@currencyID"/>
											</strong>
										</p>
									</div>
								</xsl:if>
							</div>
						</xsl:if>
					</xsl:if>
					<!-- End Tax Amount -->
					
					<!-- Start TaxExclusive Amount: -->
					<div class="row" id="headerrow">
						<div class="col-6">
							<p align="left">
								<strong>
										<!-- Suma faktury bez podatku VAT -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-109'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
								</strong>
							</p>
						</div>
						<div class="col-12">
							<p align="right">
									<xsl:value-of select='format-number(cac-pl:LegalMonetaryTotal/cbc-pl:TaxExclusiveAmount, "#0.00")'/>&#160;<xsl:value-of select="cac-pl:LegalMonetaryTotal/cbc-pl:TaxExclusiveAmount/@currencyID"/>
							</p>
						</div>
					</div>
					<!-- End TaxExclusive Amount -->
					
					<!-- Start TaxInclusive Amount: -->
					<div class="row" id="headerrow">
						<div class="col-6">
							<p align="left">
								<strong>
										<!-- Całkowita kwota faktury z podatkiem VAT -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-112'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
								</strong>
							</p>
						</div>
						<div class="col-12">
							<p align="right">
								<strong>
										<xsl:value-of select='format-number(cac-pl:LegalMonetaryTotal/cbc-pl:TaxInclusiveAmount, "#0.00")'/>&#160;<xsl:value-of select="cac-pl:LegalMonetaryTotal/cbc-pl:TaxInclusiveAmount/@currencyID"/>
								</strong>
							</p>
						</div>
					</div>
					<!-- End TaxInclusive Amount -->
					
					<!-- Start Prepaid Amount: -->
					<xsl:if test="cac-pl:LegalMonetaryTotal/cbc-pl:PrepaidAmount !='' ">
						<div class="row" id="headerrow">
							<div class="col-6">
								<p align="left">
									<strong>
										<!-- Kwota przedpłacona -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-113'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
								</p>
							</div>
							<div class="col-12">
								<p align="right">
									<xsl:value-of select='format-number(cac-pl:LegalMonetaryTotal/cbc-pl:PrepaidAmount, "#0.00")'/>&#160;<xsl:value-of select="cac-pl:LegalMonetaryTotal/cbc-pl:PrepaidAmount/@currencyID"/>
								</p>
							</div>
						</div>
					</xsl:if>
					<!-- End Prepaid Amount -->
					
					<!-- Start Rounding Amount: -->
					<xsl:if test="cac-pl:LegalMonetaryTotal/cbc-pl:PayableRoundingAmount !='' ">
						<div class="row" id="headerrow">
							<div class="col-6">
								<p align="left">
									<strong>
									<!-- Kwota zaokrągleń -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-114'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
								</p>
							</div>
							<div class="col-12">
								<p align="right">
									<xsl:value-of select='format-number(cac-pl:LegalMonetaryTotal/cbc-pl:PayableRoundingAmount, "#0.00")'/>&#160;<xsl:value-of select="cac-pl:LegalMonetaryTotal/cbc-pl:PayableRoundingAmount/@currencyID"/>
								</p>
							</div>
						</div>
					</xsl:if>
					<!-- End Rounding Amount -->
					
					<!-- Start Payable Amount: -->
					<div class="row" id="headerrow">
							<xsl:choose>
								<xsl:when test="cac-pl:LegalMonetaryTotal/cbc-pl:PayableAmount &lt; '0'">
									<div class="col-6">
										<h2 align="left" style="color:red">
											<!-- Kwota do zapłaty -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-115'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</h2>
									</div>
									<div class="col-12">
										<h2 align="right" style="color:red">
											<xsl:value-of select='format-number(cac-pl:LegalMonetaryTotal/cbc-pl:PayableAmount, "#0.00")'/>&#160;<xsl:value-of select="cac-pl:LegalMonetaryTotal/cbc-pl:PayableAmount/@currencyID"/>
										</h2>
									</div>
								</xsl:when>
								<xsl:otherwise>
									<div class="col-6">
										<h2 align="left">
											<!-- Kwota do zapłaty -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-115'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</h2>
									</div>
									<div class="col-12">
										<h2 align="right">
											<xsl:value-of select='format-number(cac-pl:LegalMonetaryTotal/cbc-pl:PayableAmount, "#0.00")'/>&#160;<xsl:value-of select="cac-pl:LegalMonetaryTotal/cbc-pl:PayableAmount/@currencyID"/>
										</h2>
									</div>
								</xsl:otherwise>
							</xsl:choose>
					</div>
					<!-- End Payable Amount -->
					<div class="col-12">======================================================================================================================================</div>
				</xsl:template>
				
				<!-- Poczatek informacji o obciążeniach, upustach i podatku oraz sumach po korekcie  -->
				<xsl:template name="CreditNoteInfo">
					<!-- Start Allowances and charges on document level: -->
					<!--Start Document allowances-->
					<xsl:if test="cac:AllowanceCharge[cbc:ChargeIndicator ='false']">
						<div class="row" id="tablerow">
							<div class="col-12">
								<h3>
									<!-- UPUSTY NA POZIOMIE DOKUMENTU -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BG-20'"/>
										<xsl:with-param name="Colon-Suffix" select="false()"/>
									</xsl:call-template>
								</h3>
								<table>
									<tr>
										<th align="left" valign="top" colspan="2" width="20%">
											<strong>
												<!--Kod przyczyny upustu -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-98'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="left" valign="top" colspan="2" width="20%">
											<strong>
												<!-- Przyczyna upustu -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-97'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="left" valign="top" width="20%">
											<strong>
												<!-- Kod kategorii VAT -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-95'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="right" valign="top" width="20%">
											<strong>
												<!-- Podstawa obliczenia -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-100'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th valign="top" align="right" width="20%">
											<strong>
												<!-- Kwota upustu -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-92'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
									</tr>
									<xsl:for-each select="cac:AllowanceCharge">
										<xsl:if test="cbc:ChargeIndicator ='false'">
											<xsl:call-template name="Allowance"/>
										</xsl:if>
									</xsl:for-each>
								</table>
							</div>
						</div>
					</xsl:if>
					<!-- End Document allowances -->
					
					<!-- Start AllowanceTotal Amount: -->
					<xsl:if test="cac:LegalMonetaryTotal/cbc:AllowanceTotalAmount !='' ">
						<div class="row" id="sum">
							<div class="col-6">
								<p align="left">
									<strong>
										<!-- Suma upustów na poziomie dokumentu -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-107'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
								</p>
							</div>
							<div class="col-12">
								<p align="right">
									<strong>
										<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:AllowanceTotalAmount, "#0.00")'/>&#160;<xsl:apply-templates select="cac:LegalMonetaryTotal/cbc:AllowanceTotalAmount/@currencyID"/>
									</strong>
								</p>
							</div>
						</div>
					</xsl:if>
					<!-- End AllowanceTotal Amount -->
					
					<!-- Start Document Charges -->
					<xsl:if test="cac:AllowanceCharge[cbc:ChargeIndicator ='true']">
						<div class="row" id="tablerow">
							<div class="col-12">
								<h3>
									<!-- OBCIĄŻENIA NA POZIOMIE DOKUMENTU -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BG-21'"/>
										<xsl:with-param name="Colon-Suffix" select="false()"/>
									</xsl:call-template>
								</h3>
								<table>
									<tr>
										<th align="left" valign="top" colspan="2" width="20%">
											<strong>
												<!-- Kod przyczyny obciążenia -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-105'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="left" valign="top" colspan="2" width="20%">
											<strong>
												<!-- Przyczyna obciążenia -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-104'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="left" valign="top" width="20%">
											<strong>
												<!-- Kod kategorii VAT -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-102'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="right" valign="top" width="20%">
											<strong>
												<!-- Podstawa obliczenia -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-93'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th valign="top" align="right" width="20%">
											<strong>
												<!-- Kwota obciążenia -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-99'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
									</tr>
									<xsl:for-each select="cac:AllowanceCharge">
										<xsl:if test="cbc:ChargeIndicator ='true'">
											<xsl:call-template name="Charge"/>
										</xsl:if>
									</xsl:for-each>
								</table>
							</div>
						</div>
					</xsl:if>
					<!-- End Document Charges -->
					
					<!-- Start ChargeTotal Amount: -->
					<xsl:if test="cac:LegalMonetaryTotal/cbc:ChargeTotalAmount !='' ">
						<div class="row" id="sum">
							<div class="col-6">
								<p align="left">
									<strong>
										<!-- Suma obciążeń na poziomie dokumentu -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-108'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
								</p>
							</div>
							<div class="col-12">
								<p align="right">
									<strong>
										<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:ChargeTotalAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:LegalMonetaryTotal/cbc:ChargeTotalAmount/@currencyID"/>
									</strong>
								</p>
							</div>
						</div>
					</xsl:if>
					<!-- End ChargeTotal Amount -->
					
					<!-- Start VAT Breakdown: -->
					<xsl:if test="cac:TaxTotal/cac:TaxSubtotal">
					<div class="row" id="tablerow">
						<div class="col-12">
							<h3>
								<!-- ROZLICZENIE VAT WG STAWEK -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BG-23'"/>
									<xsl:with-param name="Colon-Suffix" select="false()"/>
								</xsl:call-template>
							</h3>
							<p>
								<xsl:if test="cbc:TaxPointDate !=''">
									<strong>
										<!-- Data powstania obowiązku podatkowego -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-7'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
									<xsl:value-of select="cbc:TaxPointDate"/>
									<xsl:if test="cac:InvoicePeriod/cbc:DescriptionCode != ''">
										<br/>
										<strong>
											<!-- Kod daty powstania obowiązku podatkowego -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-8'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</strong>
										<xsl:call-template name="UBLDescriptionCode">
											<xsl:with-param name="Code" select="cac:InvoicePeriod/cbc:DescriptionCode"/>
										</xsl:call-template>
									</xsl:if>
									<br/>
								</xsl:if>
							</p>
						</div>
					</div>
					
					<!-- Start Tabeli z rozliczeniem VAT -->
					<div class="row" id="tablerow">
						<div class="col-12">
							<table>
								<xsl:if test="cac:TaxTotal">
									<tr class="TAXInformationHeader">
										<th align="left" valign="top" colspan="2" width="25%">
											<strong>
												<!-- Kod kategorii VAT -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-118'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="left" valign="top" colspan="2" width="25%">
											<strong>
												<!-- Przyczyna zwolnienia VAT -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-120'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="right" valign="top" colspan="2" width="25%">
											<strong>
												<!-- Kwota podstawy opodatkowania w kategorii VAT -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-116'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th valign="top" align="right" width="25%">
											<strong>
												<!-- Kwota podatku w kategorii VAT -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-117'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
									</tr>
									<xsl:apply-templates select="cac:TaxTotal/cac:TaxSubtotal"/>
								</xsl:if>
							</table>
						</div>
					</div>
					</xsl:if>
					<!-- End VAT Breakdown -->
					
					<!-- Start Tax Amount: -->
					<xsl:if test="cbc:TaxCurrencyCode !=''">
						<div class="row">
							<div class="col-12">
								<p>
									<strong>
										<!-- Kod waluty podatku VAT -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-6'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
									<xsl:value-of select="cbc:TaxCurrencyCode"/>
								</p>
							</div>
						</div>
					</xsl:if>
					<xsl:if test="cac:TaxTotal/cbc:TaxAmount">
						<xsl:if test="cac:TaxTotal/cbc:TaxAmount[@currencyID=../../cbc:DocumentCurrencyCode]">
							<div class="row" id="headerrow">
								<xsl:if test="local-name(.) = 'CreditNote'">
									<div class="col-6">
										<p>
											<strong>
												<!-- Całkowita suma podatku VAT faktury -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-110'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
										</p>
									</div>
									<div class="col-12">
										<p align="right">
											<xsl:apply-templates select="cac:TaxTotal/cbc:TaxAmount[@currencyID=../../cbc:TaxCurrencyCode]"/>&#160;<xsl:apply-templates select="cac:TaxTotal/cbc:TaxAmount[@currencyID=../../cbc:TaxCurrencyCode]/@currencyID"/>
										</p>
									</div>
									<div class="col-12">
										<p align="right">
											<strong>
												<xsl:apply-templates select="cac:TaxTotal/cbc:TaxAmount[@currencyID=../../cbc:DocumentCurrencyCode]"/>&#160;<xsl:apply-templates select="cac:TaxTotal/cbc:TaxAmount[@currencyID=../../cbc:DocumentCurrencyCode]/@currencyID"/>
											</strong>
										</p>
									</div>
								</xsl:if>
							</div>
						</xsl:if>
					</xsl:if>
					<!-- End Tax Amount -->
					
					<!-- Start TaxExclusive Amount: -->
					<div class="row" id="headerrow">
						<div class="col-6">
							<p align="left">
								<strong>
									<xsl:if test="local-name(.) = 'Invoice'">
										<!-- Suma faktury bez podatku VAT -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-109'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="local-name(.) = 'Order'">
										<!-- Całkowita kwota zamówienia bez podatku VAT -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-227'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</xsl:if>
								</strong>
							</p>
						</div>
						<div class="col-12">
							<p align="right">
								<xsl:if test="local-name(.) = 'Invoice'">
									<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:TaxExclusiveAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:LegalMonetaryTotal/cbc:TaxExclusiveAmount/@currencyID"/>
								</xsl:if>
								<xsl:if test="local-name(.) = 'Order'">
									<xsl:if test="local-name(.) = 'Order'">
										<xsl:value-of select='format-number(cac:AnticipatedMonetaryTotal/cbc:TaxExclusiveAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:AnticipatedMonetaryTotal/cbc:TaxExclusiveAmount/@currencyID"/>
									</xsl:if>
								</xsl:if>
							</p>
						</div>
					</div>
					<!-- End TaxExclusive Amount -->
					
					<!-- Start TaxInclusive Amount: -->
					<div class="row" id="headerrow">
						<div class="col-6">
							<p align="left">
								<strong>
									<xsl:if test="local-name(.) = 'Invoice'">
										<!-- Całkowita kwota faktury z podatkiem VAT -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-112'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="local-name(.) = 'Order'">
										<!-- Całkowita kwota zamówienia z podatkiem VAT -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-226'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</xsl:if>
								</strong>
							</p>
						</div>
						<div class="col-12">
							<p align="right">
								<strong>
									<xsl:if test="local-name(.) = 'Invoice'">
										<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:TaxInclusiveAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:LegalMonetaryTotal/cbc:TaxInclusiveAmount/@currencyID"/>
									</xsl:if>
									<xsl:if test="local-name(.) = 'Order'">
										<xsl:value-of select='format-number(cac:AnticipatedMonetaryTotal/cbc:TaxInclusiveAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:AnticipatedMonetaryTotal/cbc:TaxInclusiveAmount/@currencyID"/>
									</xsl:if>
								</strong>
							</p>
						</div>
					</div>
					<!-- End TaxInclusive Amount -->
					
					<!-- Start Prepaid Amount: -->
					<xsl:if test="cac:LegalMonetaryTotal/cbc:PrepaidAmount !='' ">
						<div class="row" id="headerrow">
							<div class="col-6">
								<p align="left">
									<strong>
										<!-- Kwota przedpłacona -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-113'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
								</p>
							</div>
							<div class="col-12">
								<p align="right">
									<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:PrepaidAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:LegalMonetaryTotal/cbc:PrepaidAmount/@currencyID"/>
								</p>
							</div>
						</div>
					</xsl:if>
					<!-- End Prepaid Amount -->
					
					<!-- Start Rounding Amount: -->
					<xsl:if test="cac:LegalMonetaryTotal/cbc:PayableRoundingAmount !='' ">
						<div class="row" id="headerrow">
							<div class="col-6">
								<p align="left">
									<strong>
									<!-- Kwota zaokrągleń -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-114'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
								</p>
							</div>
							<div class="col-12">
								<p align="right">
									<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:PayableRoundingAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:LegalMonetaryTotal/cbc:PayableRoundingAmount/@currencyID"/>
								</p>
							</div>
						</div>
					</xsl:if>
					<!-- End Rounding Amount -->
					
					<!-- Start Payable Amount: -->
					<div class="row" id="headerrow">
							<xsl:choose>
								<xsl:when test="cac:LegalMonetaryTotal/cbc:PayableAmount &lt; '0'">
									<div class="col-6">
										<h2 align="left" style="color:red">
											<!-- Kwota do zapłaty -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-115'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</h2>
									</div>
									<div class="col-12">
										<h2 align="right" style="color:red">
											<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:PayableAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:LegalMonetaryTotal/cbc:PayableAmount/@currencyID"/>
										</h2>
									</div>
								</xsl:when>
								<xsl:otherwise>
									<div class="col-6">
										<h2 align="left">
											<!-- Kwota do zapłaty -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-115'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</h2>
									</div>
									<div class="col-12">
										<h2 align="right">
											<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:PayableAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:LegalMonetaryTotal/cbc:PayableAmount/@currencyID"/>
										</h2>
									</div>
								</xsl:otherwise>
							</xsl:choose>
					</div>
					<!-- End Payable Amount -->
					
					<!-- Start document totals: -->
					<!-- Start on PAYMENT TERMS information -->
					<xsl:if test="cac:PaymentTerms !=''">
						<div class="row" id="tablerow">
							<div class="col-12">
								<h3>
									<!-- Warunki płatności -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-20'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</h3>
								<p>
									<xsl:apply-templates select="cac:PaymentTerms"/>
								</p>
							</div>
						</div>
					</xsl:if>
					
					<!-- Start on PAYMENT MEANS information -->
					<div class="row" id="tablerow">
						<div class="col-12">
							<h3>
								<!-- Numer awiza wysyłki -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BG-16'"/>
									<xsl:with-param name="Colon-Suffix" select="false()"/>
								</xsl:call-template>
							</h3>
							<xsl:if test="cac:PaymentMeans/cac:PayeeFinancialAccount !=''">
								<table>
									<tr>
										<th align="left" valign="top">
											<strong>
												<!-- Kod typu płatności -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-81'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>&#160;&#160;
										</th>
										<th align="left" valign="top" colspan="2">
											<strong>
												<!-- Identyfikator dostawcy usługi płatniczej -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-86'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="left" valign="top" colspan="2">
											<strong>
												<!-- Identyfikator konta odbioru płatnosci -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-84'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="left" valign="top" colspan="2">
											<strong>
												<!-- Identyfikator dostawcy usługi płatniczej -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-85'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="right" valign="top">
											<strong>
												<!-- Identyfikacja płatności -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-83'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
									</tr>
									<xsl:for-each select="cac:PaymentMeans">
										<xsl:if test="cac:PayeeFinancialAccount !=''">
											<xsl:call-template name="PaymentMeans_PayeeFinancialAccount"/>
										</xsl:if>
									</xsl:for-each>
								</table>
							</xsl:if>
							<xsl:if test="cac:PaymentMeans/cac:CardAccount !=''">
								<table>
									<tr>
										<th align="left" valign="top">
											<strong>
												<!-- Kod typu płatności -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-81'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>&#160;&#160;
										</th>
										<th align="left" valign="top" colspan="2">
											<strong>
												<!-- Identyfikator dostawcy usługi płatniczej -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-86'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="left" valign="top" colspan="2">
											<strong>
												<!-- Numer podstawowego konta karty płatniczej -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-87'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="left" valign="top" colspan="2">
											<strong>
												<!-- Nazwa właściciela karty płatniczej -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-88'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="right" valign="top">
											<strong>
												<!-- Identyfikacja płatności -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-83'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
									</tr>
									<xsl:for-each select="cac:PaymentMeans">
										<xsl:if test="cac:CardAccount !=''">
											<xsl:call-template name="PaymentMeans_CardAccount"/>
										</xsl:if>
									</xsl:for-each>
								</table>
							</xsl:if>
							<xsl:if test="cac:PaymentMeans/cac:PaymentMandate !=''">
								<table>
									<tr>
										<th align="left" valign="top">
											<strong>
												<!-- Kod typu płatności -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-81'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>&#160;&#160;
										</th>
										<th align="left" valign="top" colspan="2">
											<strong>
												<!-- Identyfikator obciążanego konta -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-91'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="left" valign="top" colspan="2">
											<strong>
												<!-- Identyfikator polecenia zapłaty jako wskazanej metody płatności -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-89'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="right" valign="top">
											<strong>
												<!-- Identyfikacja płatności -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-83'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
									</tr>
									<xsl:for-each select="cac:PaymentMeans">
										<xsl:if test="cac:PaymentMandate !=''">
											<xsl:call-template name="PaymentMeans_PaymentMandate"/>
										</xsl:if>
									</xsl:for-each>
								</table>
							</xsl:if>
						</div>
					</div>
					<div class="col-12"> </div>
					<div class="col-12">======================================================================================================================================</div>
					<!-- End of PAYMENT MEANS information -->
	</xsl:template>

<!-- ===============================================================================================================================================
#
#			FAKTURA / ZAMÓWIENIE   -   INVOICE / ORDER
#
-->	
	<!-- Początek dokumentu Faktura lub Zamówienie / Start Invoice or Order -->
	<xsl:template match="in:Invoice | or:Order">
		<!-- Start HTML -->
		<html>
			<xsl:call-template name="doc-head"/>
			<head>
				<meta name="viewport" content="width=device-width,initial-scale=1"/>
				<title>
					<xsl:if test="local-name(.)  = 'Order'">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-601-1'"/>
							<xsl:with-param name="Colon-Suffix" select="false()"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="local-name(.)  = 'Invoice'">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BG-1-1'"/>
							<xsl:with-param name="Colon-Suffix" select="false()"/>
						</xsl:call-template>
					</xsl:if>
				</title>
			</head>
			<body>
				<div id="document">
					
					<table>
						<tr>
							<th id="PEF2-start" colspan="3">
								<!-- Wydruk dokumentu elektronicznego z Platformy Elektronicznego Fakturowania -->
								<xsl:call-template name="DocumentInfo"/>
							</th>
							</tr>
							<tr>
							<td class="column_h-1" style="background-color:lightgrey">
								<!-- Nazwa i typ dokumentu -->
								<xsl:if test="local-name(.)  = 'Invoice'">
									<!-- Typ faktury -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-3'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
									<xsl:if test="contains(cbc:Note, 'Faktura marża')">
											<span>Faktura marża</span>
									</xsl:if>
									<h2 style="margin-bottom:0px">
										<xsl:call-template name="DocumentHeader">
											<xsl:with-param name="DocumentCode" select="local-name(.)"/>
										</xsl:call-template>
									</h2>
									<xsl:if test="cbc:InvoiceTypeCode !='380'">
										<h3 style="margin-top:0px">
											<xsl:call-template name="DocumentCode">
												<xsl:with-param name="DCode" select="cbc:InvoiceTypeCode"/>
											</xsl:call-template>
										</h3>
									</xsl:if>
								</xsl:if>
							</td>
						</tr>
						
						<tr>
							<td class="column_h-1" style="background-color:lightgrey">
								<xsl:if test="local-name(.)  = 'Order'">
									<h4 style="margin-bottom:0px">
										<xsl:call-template name="DocumentHeader">
											<xsl:with-param name="DocumentCode" select="local-name(.)"/>
										</xsl:call-template>
									</h4>
								</xsl:if>
								<!-- numer dokumentu -->
								<p align="left">
									<!-- numer dokumentu labelka-->
									<strong>
										<xsl:if test="local-name(.)  = 'Order'">
											<!-- Numer zamówienia -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-201'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</xsl:if>
										<xsl:if test="local-name(.)  = 'Invoice'">
											<!-- Numer faktury -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-1'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</xsl:if>
									</strong>
									<!-- numer dokumentu wartość -->
									<xsl:value-of select="cbc:ID"/>
									<br/>
								</p>
								<xsl:if test="local-name(.) = 'Invoice'">
									<br/><br/><br/>
								<!-- Waluta dokumentu -->
								<p align="left">
									<strong>
											<!-- Waluta faktury -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-163'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
									</strong>
									<!-- waluta wartość -->
									<xsl:value-of select="cbc:DocumentCurrencyCode"/>
									<br/>
								</p>
									<xsl:choose>
										<!-- Kwota do zapłaty -->
										<xsl:when test="cac:LegalMonetaryTotal/cbc:PayableAmount &lt; 0">
											<!-- płatność ujemna na czerwono -->
											<p align="left" style="color:red">
												<!-- kwota do zapłaty labelka -->
												<strong>
													<!--Kwota do zapłaty -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-115'"/>
														<xsl:with-param name="Colon-Suffix" select="true()"/>
													</xsl:call-template>
												</strong>
												<!-- kwota do zapłaty wartość -->
												<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:PayableAmount, "#0.00")'/>&#160;<xsl:value-of select="cbc:DocumentCurrencyCode"/>
												<br/>
											</p>
										</xsl:when>
										<xsl:otherwise>
											<!-- płatność dodatnia -->
											<p align="left">
												<!-- kwota do zapłaty labelka -->
												<strong>
													<!-- Kwota do zapłaty -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-115'"/>
														<xsl:with-param name="Colon-Suffix" select="true()"/>
													</xsl:call-template>
												</strong>
												<!-- kwota do zapłaty wartość -->
												<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:PayableAmount, "#0.00")'/>&#160;<xsl:value-of select="cbc:DocumentCurrencyCode"/>
												<br/>
											</p>
										</xsl:otherwise>
									</xsl:choose>
									<p align="left">
										<!-- Termin płatności labelka -->
										<strong>
											<!-- Termin płatności -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-9'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</strong>
										<!-- Termin płatności wartość:  -->
										<xsl:if test="local-name(.) = 'Invoice'">
											<xsl:value-of select="cbc:DueDate"/>
										</xsl:if>
										<br/>
									</p>
								</xsl:if>
								<xsl:if test="local-name(.) = 'Order'">
									<br/><br/>
											<!-- Waluta zamówienia -->
									<strong>
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-205'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
									</strong>
									<!-- waluta wartość -->
									<xsl:value-of select="cbc:DocumentCurrencyCode"/>
									<br/>
									<!-- kwota zamówienia -->
									<p align="left">
										<!-- Wartość zamówienia labelka -->
										<strong>
											<!-- Wartość zamówienia  -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-207'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</strong>
										<!-- kwota zamówienia wartość -->
										<xsl:value-of select='format-number(cac:AnticipatedMonetaryTotal/cbc:LineExtensionAmount, "#0.00")'/>&#160;<xsl:value-of select="cbc:DocumentCurrencyCode"/>
									</p>
								<xsl:if test="cac:ValidityPeriod !=''">
									<xsl:if test="cac:ValidityPeriod/cbc:EndDate !='' ">
										<p align="left">
											<!-- data końcowa labelka -->
											<strong>
												<!-- Data ważności zamówiena -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-206'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- data końcowa wartość -->
											<xsl:apply-templates select="cac:ValidityPeriod/cbc:EndDate"/>
										</p>
									</xsl:if>
								</xsl:if>
								</xsl:if>
							</td>
							
							<td class="column_h-2">
								<xsl:if test="local-name(.) = 'Invoice'">
									<xsl:if test="cac:ContractDocumentReference !=''">
										<!-- Numer awiza -->
										<p align="left">
											<strong>
												<!-- Numer kontraktu -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-12'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- numer kontraktu wartość -->
											<xsl:value-of select="cac:ContractDocumentReference/cbc:ID"/>
											<br/>
										</p>
									</xsl:if>
									<xsl:if test="cac:OrderReference !=''">
										<!-- Numer zamówienia -->
										<p align="left">
											<strong>
												<!-- Numer zamówienia wg kupującego -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-13'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- numer zamówienia wartość -->
											<xsl:value-of select="cac:OrderReference/cbc:ID"/>
											<br/>
										</p>
									</xsl:if>
									<xsl:if test="cac:DespatchDocumentReference !=''">
										<!-- Numer awiza -->
										<p align="left">
											<strong>
												<!-- Numer awiza -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-16'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- numer awiza wartość -->
											<xsl:value-of select="cac:DespatchDocumentReference/cbc:ID"/>
											<br/>
										</p>
									</xsl:if>
									<xsl:if test="cac:ReceiptDocumentReference !=''">
										<!-- Numer zamówienia -->
										<p align="left">
											<strong>
												<!-- Numer zamówienia wg kupującego -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-15'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- numer zamówienia wartość -->
											<xsl:value-of select="cac:ReceiptDocumentReference/cbc:ID"/>
											<br/>
										</p>
									</xsl:if>
								</xsl:if>
								<xsl:if test="local-name(.) = 'Order'">
									<xsl:if test="cac:Contract !=''">
										<!-- Numer kontraktu -->
										<p align="left">
											<strong>
												<!-- Nr kontraktu -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-12'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- numer kontraktu wartość -->
											<xsl:value-of select="cac:Contract/cbc:ID"/>
											<br/>
										</p>
									</xsl:if>
									<xsl:if test="cbc:SalesOrderID !=''">
										<!-- Numer zamówienia -->
										<p align="left">
											<strong>
												<!-- Nr zamówienia wg sprzedającego -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-208'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- numer zamówienia wartość -->
											<xsl:value-of select="cbc:SalesOrderID"/>
											<br/>
										</p>
									</xsl:if>
								</xsl:if>
							</td>
							
							<td class="column_h-3">
								<p align="left">
									<!-- Data dokumentu labelka-->
									<strong>
										<xsl:if test="local-name(.)  = 'Order'">
											<!-- Data wystawienia zamówienia -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-202'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</xsl:if>
										<xsl:if test="local-name(.)  = 'Invoice'">
											<!-- Data wystawienia faktury -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-2'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</xsl:if>
									</strong>
									<!-- Data dokumentu wartość -->
									<xsl:value-of select="cbc:IssueDate"/>
								</p>
								<!-- terminy obowiązywania dokumentu (od - do) -->
								<xsl:if test="cac:InvoicePeriod !=''">
									<xsl:if test="cac:InvoicePeriod/cbc:StartDate !=''">
										<p align="left">
											<!-- data początkowa labelka -->
											<strong>
												<!-- Data początkowa okresu faktury -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-73'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- data końcowa wartość -->
											<xsl:apply-templates select="cac:InvoicePeriod/cbc:StartDate"/>
											<br/>
										</p>
									</xsl:if>
									<xsl:if test="cac:InvoicePeriod/cbc:EndDate !='' ">
										<p align="left">
											<!-- data końcowa labelka -->
											<strong>
												<!-- Data końcowa okresu faktury  -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-74'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
											<!-- data początkowa wartość -->
											<xsl:apply-templates select="cac:InvoicePeriod/cbc:EndDate"/>
										</p>
									</xsl:if>
								</xsl:if>
								<xsl:if test="local-name(.) = 'Invoice'">
									<!-- Znak pisma kupującego -->
									<p align="left">
										<strong>
											<!-- Znak kupującego -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-10'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</strong>
										<!-- Znak pisma wartość -->
										<xsl:value-of select="cbc:BuyerReference"/>
										<br/>
									</p>
								</xsl:if>
							</td>
						</tr>
						<tr>
							<td colspan="3" style="width:100%;">
								<!-- Uwagi ogólne do faktury -->
								<strong>
									<xsl:call-template name="Invoice_Note">
									</xsl:call-template>
								</strong>
							</td>
						</tr>
					</table>
					</div>
					<xsl:if test="local-name(.) = 'Invoice'">
						<div id="buyer_info">
							<table>
								<tbody>
									<tr>
										<td class="column_h-1">
											<!-- Dane sprzedawcy-->
											<p>
												<h3>
													<!-- SPRZEDAWCA -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BG-4'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</h3>
												<br/><br/>
												<!-- Nazwa sprzedawcy -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-27'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<!-- Nazwa sprzedawcy -->
												<strong>
													<xsl:call-template name="SellerParty_Name">
												</xsl:call-template>
												</strong>
												<br/>
												<br/>
												<xsl:call-template name="SellerParty_Address">
												</xsl:call-template>
												<!--<xsl:apply-templates select="cac:AccountingSupplierParty"/>-->
											</p>
										</td>
										<td class="column_h-2">
											<!-- Dane rejestrowe sprzedawcy -->
											<p>
												<br/>
												<xsl:call-template name="SellerParty_Registration"/>
											</p>
										</td>
										<td class="column_h-3">
											<!-- Dane kontaktowe sprzedawcy -->
											<p>
												<br/>
												<xsl:call-template name="SellerParty_Contact"/>
											</p>
											<p>
												<xsl:if test="cac:AccountingSupplierParty/cac:Party/cbc:EndpointID">
													<!-- Elektroniczny identyfikator PEF -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-34-1'"/>
														<xsl:with-param name="Colon-Suffix" select="true()"/>
													</xsl:call-template>
												<br/>
													<xsl:apply-templates select="cac:AccountingSupplierParty/cac:Party/cbc:EndpointID"/>
													<xsl:if test="cac:AccountingSupplierParty/cac:Party/cbc:EndpointID/@schemeID !='' ">
														[<xsl:value-of select="cac:AccountingSupplierParty/cac:Party/cbc:EndpointID/@schemeID"/>]
													</xsl:if>
												</xsl:if>
											</p>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
					</xsl:if>
					
					<xsl:if test="local-name(.) = 'Order'">
						<div id="supplier_info">
							<table>
								<tbody>
									<tr>
										<td class="column_h-1">
											<!-- Dane Dostawcy-->
											<p>
												<strong>
													<!-- DOSTAWCA -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-209'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
													<br/><br/>
													<xsl:call-template name="SupplierParty_Name"/>
												</strong>
												<br/>
												<br/>
												<xsl:call-template name="SupplierParty_Address"/>
											</p>
										</td>
										<td class="column_h-2">
											<!-- Dane rejestrowe dostawcy -->
											<p>
												<br/>
												<xsl:call-template name="SupplierParty_Registration"/>
											</p>
										</td>
										<td class="column_h-3">
											<!-- Dane kontaktowe dostawcy -->
											<p>
												<br/>
												<xsl:call-template name="SupplierParty_Contact"/>
											</p>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
					</xsl:if>
					
					<div id="receiver_info">
						<table>
							<tbody>
								<tr>
									<td class="column_h-1">
										<!-- Dane Nabywcy-->
										<p>
											<!-- Nabywca labelka 1 -->
											<h3>
												<!-- NABYWCA -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BG-7'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</h3>
											<br/><br/>
											<!-- Nabywca labelka 2  w treści ma termin płatności-->
											<!-- Nazwa sprzedawcy -->
											<strong>
												<xsl:call-template name="CustomerParty_Name">
												</xsl:call-template>
											</strong>
											<br/>
											<br/>
											<xsl:call-template name="CustomerParty_Address"/>
										</p>
									</td>
									<td class="column_h-2">
										<!-- Dane rejestrowe nabywcy -->
										<p>
											<br/>
											<xsl:call-template name="CustomerParty_Registration"/>
										</p>
									</td>
									<td class="column_h-3">
										<!-- Dane kontaktowe nabywcy -->
										<p>
											<br/>
											<xsl:call-template name="CustomerParty_Contact"/>
										</p>
										<p>
											<xsl:if test="cac:AccountingCustomerParty/cac:Party/cbc:EndpointID">
												<!-- Elektroniczny identyfikator PEF -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-34-1'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<br/>
												<xsl:apply-templates select="cac:AccountingCustomerParty/cac:Party/cbc:EndpointID"/>
												<xsl:if test="cac:AccountingCustomerParty/cac:Party/cbc:EndpointID/@schemeID !='' ">
													[<xsl:value-of select="cac:AccountingCustomerParty/cac:Party/cbc:EndpointID/@schemeID"/>]
												</xsl:if>
											</xsl:if>
										</p>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					
					<xsl:if test="(local-name(.) = 'Invoice') and (cac:TaxRepresentativeParty != '')">
						<div id="taxrep_info">
							<table>
								<tbody>
									<tr>
										<td width="100%">
											<!-- Dane przedstawiciela-->
											<p>
												<h3>
													<!-- PRZEDSTAWICIEL PODATKOWY SPRZEDAWCY-->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BG-11'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</h3>
											</p>
											<p>
												<!-- Nazwa przedstawiciela -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-62'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<!-- Nazwa przedstawiciela -->
												<strong>
													<xsl:call-template name="TaxRepresentativeParty_Name">
												</xsl:call-template>
												</strong>
												<br/> <br/>
												<xsl:call-template name="TaxRepresentativeParty_Address">
												</xsl:call-template>
											<!-- Dane rejestrowe przedstawiciela -->
												<br/>
												<xsl:call-template name="TaxRepresentativeParty_Registration"/>
												<br/><br/>
											</p>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
					</xsl:if>
					
					<div id="buyer_info">
						<table>
							<tbody>
								<tr>
									<td class="column_h-1">
										<xsl:if test="(local-name(.) = 'Order')">
											<div>
											<p>
												<h3>
													<!-- ODBIORCA -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-303-3'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</h3>
												<br/><br/>
												<!-- Nazwa przedstawiciela -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-62'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<!-- Nazwa przedstawiciela -->
												<strong>
													<xsl:call-template name="BuyerParty_Name">
												</xsl:call-template>
												</strong>
												<br/> <br/>
												<xsl:call-template name="BuyerParty_Address">
												</xsl:call-template>
												<br/><br/>
											</p>
											</div>
										</xsl:if>
										<xsl:if test="(local-name(.) = 'Invoice')">
											<div>
												<!-- ODBIORCA -->
												<xsl:apply-templates select="cac:Delivery" mode="DocumentHeader"/>
												<xsl:if test="count(cac:Delivery/cbc:ActualDeliveryDate)>0">
													<xsl:if test="count(cac:Delivery/cbc:ActualDeliveryDate) >0">
														<p>
															<strong>
																<!-- Aktualna data dostawy -->
																<xsl:call-template name="LabelName">
																	<xsl:with-param name="BT-ID" select="'BT-72'"/>
																	<xsl:with-param name="Colon-Suffix" select="true()"/>
																</xsl:call-template>
															</strong>
															<xsl:apply-templates select="cac:Delivery/cbc:ActualDeliveryDate"/>
															<br/>
														</p>
													</xsl:if>
												</xsl:if>
											</div>
										</xsl:if>
									</td>
									<td class="column_h-2">
										<xsl:if test="(local-name(.) = 'Order')">
											<!-- Dane rejestrowe przedstawiciela -->
												<br/>
												<xsl:call-template name="BuyerParty_Registration"/>
										</xsl:if>
											<xsl:if test="cac:PayeeParty !=''">
												<!-- Inserting Payee Party -->
												<p>
													<h3>
														<!--ODBIORCA PŁATNOŚCI -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BG-10'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</h3>
													<br/><br/>
													<xsl:call-template name="PayeeParty"/>
												</p>
											</xsl:if>
									</td>
									<td class="column_h-3">
										<div>
											<p>
												<br/>
												<xsl:call-template name="Buyer_Contact"/>
											</p>
										</div>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					
					<xsl:if test="(local-name(.) = 'Order')">
					<div id="order_info">
						<table>
							<tbody>
								<tr>
									<td class="column_h-1">
											<div>
											<p>
												<h3>
													<!-- ZLECAJĄCY ZAKUP -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-633'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</h3>
												<br/><br/>
												<!-- Nazwa przedstawiciela -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-62'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
												<!-- Nazwa przedstawiciela -->
												<strong>
													<xsl:call-template name="Originator_Name">
												</xsl:call-template>
												</strong>
												<br/><br/>
												<xsl:if test="cac:OriginatorCustomerParty/cac:Party/cac:PartyIdentification/cbc:ID !=''">
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-634'"/>
														<xsl:with-param name="Colon-Suffix" select="true()"/>
													</xsl:call-template>
													<xsl:value-of select="cac:OriginatorCustomerParty/cac:Party/cac:PartyIdentification/cbc:ID/@schemeID"/>
													<xsl:apply-templates select="cac:OriginatorCustomerParty/cac:Party/cac:PartyIdentification/cbc:ID"/>
													<xsl:choose>
														<xsl:when test="cac:OriginatorCustomerParty/cac:Party/cac:PartyIdentification/cbc:ID/@schemeID !=''">
															&#160;[<xsl:apply-templates select="cac:OriginatorCustomerParty/cac:Party/cac:PartyIdentification/cbc:ID/@schemeID"/>]
														</xsl:when>
														<xsl:otherwise>
															&#160;[No schemeID]
														</xsl:otherwise>
													</xsl:choose>
												</xsl:if>
											</p>
											</div>
									</td>
									<td class="column_h-2">
									</td>
									<td class="column_h-3">
										<div>
											<p>
												<br/>
												<xsl:call-template name="Originator_Contact"/>
											</p>
										</div>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					</xsl:if>
					
					<div id="order_info">
						<table>
							<tbody>
								<xsl:if test="(local-name(.) = 'Order')">
								<tr>
									<td class="column_h-1">
											<div>
												<p>
													<h3>
														<!-- DOSTAWA -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BG-15'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</h3>
													<xsl:apply-templates select="cac:Delivery" mode="DocumentHeader"/>
												</p>
											</div>
									</td>
									<td class="column_h-2">
										<div>
											<xsl:if test="count(cac:Delivery/cbc:ActualDeliveryDate)>0">
												<xsl:if test="count(cac:Delivery/cbc:ActualDeliveryDate) >0">
													<p>
														<strong>
															<!-- Aktualna data dostawy -->
															<xsl:call-template name="LabelName">
																<xsl:with-param name="BT-ID" select="'BT-72'"/>
																<xsl:with-param name="Colon-Suffix" select="true()"/>
															</xsl:call-template>
														</strong>
														<xsl:apply-templates select="cac:Delivery/cbc:ActualDeliveryDate"/>
														<br/>
													</p>
												</xsl:if>
											</xsl:if>
											<xsl:if test="cac:Delivery/cac:RequestedDeliveryPeriod !=''">
												<p>
													<br/>
													<strong>
														<!-- Początkowa data dostawy -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-215'"/>
															<xsl:with-param name="Colon-Suffix" select="true()"/>
														</xsl:call-template>
													</strong>
													<xsl:value-of select="cac:Delivery/cac:RequestedDeliveryPeriod/cbc:StartDate"/>
													<br/>
													<strong>
														<!-- Końcowa data dostawy -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-216'"/>
															<xsl:with-param name="Colon-Suffix" select="true()"/>
														</xsl:call-template>
													</strong>
													<xsl:value-of select="cac:Delivery/cac:RequestedDeliveryPeriod/cbc:EndDate"/>
												</p>
											</xsl:if>
										</div>
									</td>
									<td class="column_h-3">
										<div>
											<p>
												<br/>
												<xsl:call-template name="Delivery_Contact"/>
											</p>
										</div>
									</td>
								</tr>
								</xsl:if>
								
								<tr>
									<td class="column_h-1">
										<div>
											<!-- AdditionalDocumentReference -->
											<xsl:if test="cac:AdditionalDocumentReference !=''">
												<p>
													<h3>
														<xsl:if test="local-name(.) = 'Invoice'">
															<!-- DOKUMENTY DODATKOWE DO FAKTURY -->
															<xsl:call-template name="LabelName">
																<xsl:with-param name="BT-ID" select="'BG-24'"/>
																<xsl:with-param name="Colon-Suffix" select="false()"/>
															</xsl:call-template>
														</xsl:if>
														<xsl:if test="local-name(.) = 'Order'">
															<!-- DOKUMENTY DODATKOWE DO ZAMÓWIENIA</ -->
															<xsl:call-template name="LabelName">
																<xsl:with-param name="BT-ID" select="'BT-212'"/>
																<xsl:with-param name="Colon-Suffix" select="false()"/>
															</xsl:call-template>
														</xsl:if>
													</h3>
													<br/><br/>
													<xsl:choose>
														<xsl:when test="count(cbc:DocumentTypeCode)>0">
															<xsl:apply-templates select="cac:AdditionalDocumentReference[cbc:DocumentTypeCode != '130' and cbc:DocumentTypeCode != '50' or false()]" mode="Supporting"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:apply-templates select="cac:AdditionalDocumentReference[cbc:DocumentTypeCode != '130' and cbc:DocumentTypeCode != '50' or true()]" mode="Supporting"/>
														</xsl:otherwise>
													</xsl:choose>
												</p>
											</xsl:if>
										</div>
									</td>
									<td class="column_h-2">
										<div>
												<p>
													<xsl:for-each select="cac:BillingReference/cac:InvoiceDocumentReference">
														<br/><br/>
														<strong>
															<!-- Numer faktury poprzedzającej -->
															<xsl:call-template name="LabelName">
																<xsl:with-param name="BT-ID" select="'BT-25'"/>
																<xsl:with-param name="Colon-Suffix" select="true()"/>
															</xsl:call-template>
														</strong>
														<!-- Inserting Preceding invoice number  -->
														<xsl:value-of select="cbc:ID"/>
														<!-- Inserting Preceding Invoice Issue Date  -->
														<xsl:if test="cbc:IssueDate != ''">
															 ( <xsl:value-of select="cbc:IssueDate"/> )
														 </xsl:if>
													</xsl:for-each>
													<xsl:apply-templates select="cac:AdditionalDocumentReference[cbc:DocumentTypeCode='130' or cbc:DocumentTypeCode='50']" mode="InvoicedObject"/>
												</p>
										</div>
									</td>
									<td class="column_h-3">
										<div>
												<p>
													<br/>
													<xsl:if test="cac:OriginatorDocumentReference/cbc:ID">
														<br/>
														<strong>
															<!-- Numer ogłoszenia o przetargu lub jego części -->
															<xsl:call-template name="LabelName">
																<xsl:with-param name="BT-ID" select="'BT-17'"/>
																<xsl:with-param name="Colon-Suffix" select="true()"/>
															</xsl:call-template>
														</strong>
														<!-- Inserting Originator advice reference  -->
														<xsl:value-of select="cac:OriginatorDocumentReference/cbc:ID"/>
													</xsl:if>
													<!-- Dokument inicjujący zamówienie -->
													<xsl:if test="cac:ProjectReference/cbc:ID">
														<br/>
														<strong>
															<!-- Numer projektu -->
															<xsl:call-template name="LabelName">
																<xsl:with-param name="BT-ID" select="'BT-11'"/>
																<xsl:with-param name="Colon-Suffix" select="true()"/>
															</xsl:call-template>
														</strong>
														<!-- Inserting Project advice reference  -->
														<xsl:value-of select="cac:ProjectReference/cbc:ID"/>
													</xsl:if>
													<!-- Stanowisko kosztów -->
													<xsl:if test="cbc:AccountingCost">
														<br/>
														<strong>
															<!-- Znak stanowiska kosztów u nabywcy -->
															<xsl:call-template name="LabelName">
																<xsl:with-param name="BT-ID" select="'BT-19'"/>
																<xsl:with-param name="Colon-Suffix" select="true()"/>
															</xsl:call-template>
														</strong>
														<!-- Znak stanowiska kosztów u nabywcy wartość  -->
														<xsl:value-of select="cbc:AccountingCost"/>
													</xsl:if>
													<!-- Dokument ofertowy -->
													<xsl:if test="cac:QuotationDocumentReference/cbc:ID">
														<br/>
														<strong>
															<!-- Numer dokumentu ofertowego -->
															<xsl:call-template name="LabelName">
																<xsl:with-param name="BT-ID" select="'BT-220'"/>
																<xsl:with-param name="Colon-Suffix" select="true()"/>
															</xsl:call-template>
														</strong>
														<!-- Inserting Project advice reference  -->
														<xsl:value-of select="cac:QuotationDocumentReference/cbc:ID"/>
													</xsl:if>
													<!-- Dokument zamówienia bazowego -->
													<xsl:if test="cac:OrderDocumentReference/cbc:ID">
														<br/>
														<strong>
															<!-- Numer zamówienia bazowego -->
															<xsl:call-template name="LabelName">
																<xsl:with-param name="BT-ID" select="'BT-221'"/>
																<xsl:with-param name="Colon-Suffix" select="true()"/>
															</xsl:call-template>
														</strong>
														<!-- Inserting Project advice reference  -->
														<xsl:value-of select="cac:OrderDocumentReference/cbc:ID"/>
													</xsl:if>
												</p>
										</div>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					
					<br/>
					
					<div class="row" id="tablerow">
						<div class="col-12">
						<table>
							<tr valign="bottom">
								<th id="th_col1">
									<strong>
										<!-- Lp. -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-126'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
									</strong>
								</th>
								<th id="th_col3" align="left">
									<strong>
										<!-- Nazwa -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-153'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
									</strong>
								</th>
								<th id="th_col4" align="right">
									<strong>
										<!-- Typ systemu -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-129'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
									</strong>
								</th>
								<th id="th_col5" align="right">
									<strong>
										<!-- Cena netto -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-146'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
									</strong>
								</th>
								<th id="th_col6">
									<strong>
										<!-- Kategoria VAT -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-151'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
									</strong>
								</th>
								<th id="th_col7">
									<strong>
										<!-- Kwota upustu -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-136'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
										<br/>
										<!-- Kwota obciążenia w linii faktury -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-141'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
									</strong>
								</th>
								<th id="th_col8" align="right">
									<strong>
										<!-- Kwota netto -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-131'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
									</strong>
								</th>
							</tr>
							<xsl:if test="local-name(.) = 'Invoice'">
								<xsl:call-template name="InvoiceLine"/>
							</xsl:if>
							<xsl:if test="local-name(.) = 'Order'">
								<xsl:call-template name="OrderLine"/>
							</xsl:if>
						</table>
					</div>
				</div>
				<div id="wrapper">
					<!-- Start sum of invoice line net amount: -->
					<div class="row" id="sum">
						<div class="col-6">
							<p align="left">
								<strong>
									<xsl:if test="local-name(.) = 'Invoice'">
										<!-- Suma wartości netto z pozycji faktury -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-106'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="local-name(.) = 'Order'">
										<!-- Suma wartości netto z pozycji zamówienia -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-225'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</xsl:if>
								</strong>
							</p>
						</div>
						<div class="col-12">
							<p align="right">
								<strong>
									<xsl:if test="local-name(.) = 'Invoice'">
										<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:LineExtensionAmount, "#0.00")'/>&#160;<xsl:apply-templates select="cac:LegalMonetaryTotal/cbc:LineExtensionAmount/@currencyID"/>
									</xsl:if>
									<xsl:if test="local-name(.) = 'Order'">
										<xsl:value-of select='format-number(cac:AnticipatedMonetaryTotal/cbc:LineExtensionAmount, "#0.00")'/>&#160;<xsl:apply-templates select="cac:AnticipatedMonetaryTotal/cbc:LineExtensionAmount/@currencyID"/>
									</xsl:if>
								</strong>
							</p>
						</div>
					</div>
					<!-- End Sum of invoice line net amount -->
					
					<!-- Start Allowances and charges on document level: -->
					<!--Start Document allowances-->
					<xsl:if test="cac:AllowanceCharge[cbc:ChargeIndicator ='false']">
						<div class="row" id="tablerow">
							<div class="col-12">
								<h3>
									<!-- UPUSTY NA POZIOMIE DOKUMENTU -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BG-20'"/>
										<xsl:with-param name="Colon-Suffix" select="false()"/>
									</xsl:call-template>
								</h3>
								<table>
									<tr>
										<th align="left" valign="top" colspan="2" width="20%">
											<strong>
												<!--Kod przyczyny upustu -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-98'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="left" valign="top" colspan="2" width="20%">
											<strong>
												<!-- Przyczyna upustu -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-97'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="left" valign="top" width="20%">
											<strong>
												<!-- Kod kategorii VAT -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-95'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="right" valign="top" width="20%">
											<strong>
												<!-- Podstawa obliczenia -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-100'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th valign="top" align="right" width="20%">
											<strong>
												<!-- Kwota upustu -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-92'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
									</tr>
									<xsl:for-each select="cac:AllowanceCharge">
										<xsl:if test="cbc:ChargeIndicator ='false'">
											<xsl:call-template name="Allowance"/>
										</xsl:if>
									</xsl:for-each>
								</table>
							</div>
						</div>
					</xsl:if>
					<!-- End Document allowances -->
					
					<!-- Start AllowanceTotal Amount: -->
					<xsl:if test="cac:LegalMonetaryTotal/cbc:AllowanceTotalAmount !='' ">
						<div class="row" id="sum">
							<div class="col-6">
								<p align="left">
									<strong>
										<!-- Suma upustów na poziomie dokumentu -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-107'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
								</p>
							</div>
							<div class="col-12">
								<p align="right">
									<strong>
										<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:AllowanceTotalAmount, "#0.00")'/>&#160;<xsl:apply-templates select="cac:LegalMonetaryTotal/cbc:AllowanceTotalAmount/@currencyID"/>
									</strong>
								</p>
							</div>
						</div>
					</xsl:if>
					<!-- End AllowanceTotal Amount -->
					
					<!-- Start Document Charges -->
					<xsl:if test="cac:AllowanceCharge[cbc:ChargeIndicator ='true']">
						<div class="row" id="tablerow">
							<div class="col-12">
								<h3>
									<!-- OBCIĄŻENIA NA POZIOMIE DOKUMENTU -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BG-21'"/>
										<xsl:with-param name="Colon-Suffix" select="false()"/>
									</xsl:call-template>
								</h3>
								<table>
									<tr>
										<th align="left" valign="top" colspan="2" width="20%">
											<strong>
												<!-- Kod przyczyny obciążenia -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-105'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="left" valign="top" colspan="2" width="20%">
											<strong>
												<!-- Przyczyna obciążenia -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-104'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="left" valign="top" width="20%">
											<strong>
												<!-- Kod kategorii VAT -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-102'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="right" valign="top" width="20%">
											<strong>
												<!-- Podstawa obliczenia -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-93'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th valign="top" align="right" width="20%">
											<strong>
												<!-- Kwota obciążenia -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-99'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
									</tr>
									<xsl:for-each select="cac:AllowanceCharge">
										<xsl:if test="cbc:ChargeIndicator ='true'">
											<xsl:call-template name="Charge"/>
										</xsl:if>
									</xsl:for-each>
								</table>
							</div>
						</div>
					</xsl:if>
					<!-- End Document Charges -->
					
					<!-- Start ChargeTotal Amount: -->
					<xsl:if test="cac:LegalMonetaryTotal/cbc:ChargeTotalAmount !='' ">
						<div class="row" id="sum">
							<div class="col-6">
								<p align="left">
									<strong>
										<!-- Suma obciążeń na poziomie dokumentu -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-108'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
								</p>
							</div>
							<div class="col-12">
								<p align="right">
									<strong>
										<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:ChargeTotalAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:LegalMonetaryTotal/cbc:ChargeTotalAmount/@currencyID"/>
									</strong>
								</p>
							</div>
						</div>
					</xsl:if>
					<!-- End ChargeTotal Amount -->
					
					<!-- Start VAT Breakdown: -->
					<xsl:if test="cac:TaxTotal/cac:TaxSubtotal">
					<div class="row" id="tablerow">
						<div class="col-12">
							<h3>
								<!-- ROZLICZENIE VAT WG STAWEK -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BG-23'"/>
									<xsl:with-param name="Colon-Suffix" select="false()"/>
								</xsl:call-template>
							</h3>
							<p>
								<xsl:if test="cbc:TaxPointDate !=''">
									<strong>
										<!-- Data powstania obowiązku podatkowego -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-7'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
									<xsl:value-of select="cbc:TaxPointDate"/>
									<xsl:if test="cac:InvoicePeriod/cbc:DescriptionCode != ''">
										<br/>
										<strong>
											<!-- Kod daty powstania obowiązku podatkowego -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-8'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</strong>
										<xsl:call-template name="UBLDescriptionCode">
											<xsl:with-param name="Code" select="cac:InvoicePeriod/cbc:DescriptionCode"/>
										</xsl:call-template>
									</xsl:if>
									<br/>
								</xsl:if>
							</p>
						</div>
					</div>
					
					<!-- Start Tabeli z rozliczeniem VAT -->
					<div class="row" id="tablerow">
						<div class="col-12">
							<table>
								<xsl:if test="cac:TaxTotal">
									<tr class="TAXInformationHeader">
										<th align="left" valign="top" colspan="2" width="25%">
											<strong>
												<!-- Kod kategorii VAT -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-118'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="left" valign="top" colspan="2" width="25%">
											<strong>
												<!-- Przyczyna zwolnienia VAT -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-120'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th align="right" valign="top" colspan="2" width="25%">
											<strong>
												<!-- Kwota podstawy opodatkowania w kategorii VAT -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-116'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
										<th valign="top" align="right" width="25%">
											<strong>
												<!-- Kwota podatku w kategorii VAT -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-117'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</strong>
										</th>
									</tr>
									<xsl:apply-templates select="cac:TaxTotal/cac:TaxSubtotal"/>
								</xsl:if>
							</table>
						</div>
					</div>
					</xsl:if>
					<!-- End VAT Breakdown -->
					
					<!-- Start Tax Amount: -->
					<xsl:if test="cbc:TaxCurrencyCode !=''">
						<div class="row">
							<div class="col-12">
								<p>
									<strong>
										<!-- Kod waluty podatku VAT -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-6'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
									<xsl:value-of select="cbc:TaxCurrencyCode"/>
								</p>
							</div>
						</div>
					</xsl:if>
					<xsl:if test="cac:TaxTotal/cbc:TaxAmount">
						<xsl:if test="cac:TaxTotal/cbc:TaxAmount[@currencyID=../../cbc:DocumentCurrencyCode]">
							<div class="row" id="headerrow">
								<xsl:if test="local-name(.) = 'Invoice'">
									<div class="col-12">
										<p>
											<strong>
												<!-- Całkowita suma podatku VAT faktury -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-110'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
										</p>
									</div>
									<div class="col-12">
										<p align="right">
											<xsl:apply-templates select="cac:TaxTotal/cbc:TaxAmount[@currencyID=../../cbc:TaxCurrencyCode]"/>&#160;<xsl:apply-templates select="cac:TaxTotal/cbc:TaxAmount[@currencyID=../../cbc:TaxCurrencyCode]/@currencyID"/>
										</p>
									</div>
									<div class="col-12">
										<p align="right">
											<strong>
												<xsl:apply-templates select="cac:TaxTotal/cbc:TaxAmount[@currencyID=../../cbc:DocumentCurrencyCode]"/>&#160;<xsl:apply-templates select="cac:TaxTotal/cbc:TaxAmount[@currencyID=../../cbc:DocumentCurrencyCode]/@currencyID"/>
											</strong>
										</p>
									</div>
								</xsl:if>
								<xsl:if test="local-name(.) = 'Order'">
									<div class="col-12">
										<p>
											<strong>
												<!-- Całkowita suma podatku VAT zamówienia -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-228'"/>
													<xsl:with-param name="Colon-Suffix" select="true()"/>
												</xsl:call-template>
											</strong>
										</p>
									</div>
									<div class="col-12">
										<p align="right">
											<xsl:value-of select='format-number(cac:TaxTotal/cbc:TaxAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:TaxTotal/cbc:TaxAmount/@currencyID"/>
										</p>
									</div>
								</xsl:if>
							</div>
						</xsl:if>
					</xsl:if>
					<!-- End Tax Amount -->
					<br/>
					<!-- Start TaxExclusive Amount: -->
					<div class="row" id="headerrow">
						<div class="col-12">
							<p align="left">
								<strong>
									<xsl:if test="local-name(.) = 'Invoice'">
										<!-- Suma faktury bez podatku VAT -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-109'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="local-name(.) = 'Order'">
										<!-- Całkowita kwota zamówienia bez podatku VAT -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-227'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</xsl:if>
								</strong>
							</p>
						</div>
						<div class="col-12">
							<p align="right">
								<xsl:if test="local-name(.) = 'Invoice'">
									<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:TaxExclusiveAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:LegalMonetaryTotal/cbc:TaxExclusiveAmount/@currencyID"/>
								</xsl:if>
								<xsl:if test="local-name(.) = 'Order'">
									<xsl:if test="local-name(.) = 'Order'">
										<xsl:value-of select='format-number(cac:AnticipatedMonetaryTotal/cbc:TaxExclusiveAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:AnticipatedMonetaryTotal/cbc:TaxExclusiveAmount/@currencyID"/>
									</xsl:if>
								</xsl:if>
							</p>
						</div>
					</div>
					<!-- End TaxExclusive Amount -->
					
					<!-- Start TaxInclusive Amount: -->
					<div class="row" id="headerrow">
						<div class="col-12">
							<p align="left">
								<strong>
									<xsl:if test="local-name(.) = 'Invoice'">
										<!-- Całkowita kwota faktury z podatkiem VAT -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-112'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="local-name(.) = 'Order'">
										<!-- Całkowita kwota zamówienia z podatkiem VAT -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-226'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</xsl:if>
								</strong>
							</p>
						</div>
						<div class="col-12">
							<p align="right">
								<strong>
									<xsl:if test="local-name(.) = 'Invoice'">
										<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:TaxInclusiveAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:LegalMonetaryTotal/cbc:TaxInclusiveAmount/@currencyID"/>
									</xsl:if>
									<xsl:if test="local-name(.) = 'Order'">
										<xsl:value-of select='format-number(cac:AnticipatedMonetaryTotal/cbc:TaxInclusiveAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:AnticipatedMonetaryTotal/cbc:TaxInclusiveAmount/@currencyID"/>
									</xsl:if>
								</strong>
							</p>
						</div>
					</div>
					<!-- End TaxInclusive Amount -->
					
					<!-- Start Prepaid Amount: -->
					<xsl:if test="cac:LegalMonetaryTotal/cbc:PrepaidAmount !='' ">
						<div class="row" id="headerrow">
							<div class="col-12">
								<p align="left">
									<strong>
										<!-- Kwota przedpłacona -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-113'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
								</p>
							</div>
							<div class="col-12">
								<p align="right">
									<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:PrepaidAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:LegalMonetaryTotal/cbc:PrepaidAmount/@currencyID"/>
								</p>
							</div>
						</div>
					</xsl:if>
					<!-- End Prepaid Amount -->
					
					<!-- Start Rounding Amount: -->
					<xsl:if test="cac:LegalMonetaryTotal/cbc:PayableRoundingAmount !='' ">
						<div class="row" id="headerrow">
							<div class="col-12">
								<p align="left">
									<strong>
									<!-- Kwota zaokrągleń -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-114'"/>
											<xsl:with-param name="Colon-Suffix" select="true()"/>
										</xsl:call-template>
									</strong>
								</p>
							</div>
							<div class="col-12">
								<p align="right">
									<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:PayableRoundingAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:LegalMonetaryTotal/cbc:PayableRoundingAmount/@currencyID"/>
								</p>
							</div>
						</div>
					</xsl:if>
					<!-- End Rounding Amount -->
					
					<!-- Start Payable Amount: -->
					<div class="row" id="headerrow">
						<xsl:if test="local-name(.) = 'Invoice'">
							<xsl:choose>
								<xsl:when test="cac:LegalMonetaryTotal/cbc:PayableAmount &lt; '0'">
									<div class="col-12">
										<h2 align="left" style="color:red">
											<!-- Kwota do zapłaty -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-115'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</h2>
									</div>
									<div class="col-12">
										<h2 align="right" style="color:red">
											<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:PayableAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:LegalMonetaryTotal/cbc:PayableAmount/@currencyID"/>
										</h2>
									</div>
								</xsl:when>
								<xsl:otherwise>
									<div class="col-12">
										<h2 align="left">
											<!-- Kwota do zapłaty -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-115'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</h2>
									</div>
									<div class="col-12">
										<h2 align="right">
											<xsl:value-of select='format-number(cac:LegalMonetaryTotal/cbc:PayableAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:LegalMonetaryTotal/cbc:PayableAmount/@currencyID"/>
										</h2>
									</div>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:if>
						<xsl:if test="local-name(.) = 'Order'">
							<div class="col-12">
								<h2 align="left">
									<!-- Kwota do zapłaty -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-115'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</h2>
							</div>
							<div class="col-12">
								<h2 align="right">
									<xsl:value-of select='format-number(cac:AnticipatedMonetaryTotal/cbc:PayableAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:AnticipatedMonetaryTotal/cbc:PayableAmount/@currencyID"/>
								</h2>
							</div>
						</xsl:if>
					</div>
					<!-- End Payable Amount -->
					
					<!-- Start document totals: -->
					<!-- Start on PAYMENT TERMS information -->
					<xsl:if test="cac:PaymentTerms !=''">
						<div class="row" id="tablerow">
							<div class="col-12">
								<h3>
									<!-- Warunki płatności -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-20'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</h3>
								<p>
									<xsl:apply-templates select="cac:PaymentTerms"/>
								</p>
							</div>
						</div>
					</xsl:if>
					
					<!-- Start on PAYMENT MEANS information -->
					<div class="row" id="tablerow">
						<div class="col-12">
							<h3>
								<!-- INSTRUKCJE PŁATNOŚCI -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BG-16'"/>
									<xsl:with-param name="Colon-Suffix" select="false()"/>
								</xsl:call-template>
							</h3>
							<xsl:if test="cac:PaymentMeans/cac:PayeeFinancialAccount !=''">
								<table>
									<tr>
										<th align="left" valign="top">
												<!-- Kod typu płatności -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-81'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											&#160;&#160;
										</th>
										<th align="left" valign="top" colspan="2">
												<!-- Identyfikator dostawcy usługi płatniczej -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-86'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th align="left" valign="top" colspan="2">
												<!-- Identyfikator konta odbioru płatnosci -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-84'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th align="left" valign="top" colspan="2">
												<!-- Identyfikator dostawcy usługi płatniczej -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-85'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th align="right" valign="top">
												<!-- Identyfikacja płatności -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-83'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
									</tr>
									<xsl:for-each select="cac:PaymentMeans">
										<xsl:if test="cac:PayeeFinancialAccount !=''">
											<xsl:call-template name="PaymentMeans_PayeeFinancialAccount"/>
										</xsl:if>
									</xsl:for-each>
								</table>
							</xsl:if>
							<xsl:if test="cac:PaymentMeans/cac:CardAccount !=''">
								<table>
									<tr>
										<th align="left" valign="top">
												<!-- Kod typu płatności -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-81'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											&#160;&#160;
										</th>
										<th align="left" valign="top" colspan="2">
												<!-- Identyfikator dostawcy usługi płatniczej -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-86'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th align="left" valign="top" colspan="2">
												<!-- Numer podstawowego konta karty płatniczej -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-87'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th align="left" valign="top" colspan="2">
												<!-- Nazwa właściciela karty płatniczej -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-88'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th align="right" valign="top">
												<!-- Identyfikacja płatności -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-83'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
									</tr>
									<xsl:for-each select="cac:PaymentMeans">
										<xsl:if test="cac:CardAccount !=''">
											<xsl:call-template name="PaymentMeans_CardAccount"/>
										</xsl:if>
									</xsl:for-each>
								</table>
							</xsl:if>
							<xsl:if test="cac:PaymentMeans/cac:PaymentMandate !=''">
								<table>
									<tr>
										<th align="left" valign="top">
												<!-- Kod typu płatności -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-81'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											&#160;&#160;
										</th>
										<th align="left" valign="top" colspan="2">
												<!-- Identyfikator obciążanego konta -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-91'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th align="left" valign="top" colspan="2">
												<!-- Identyfikator polecenia zapłaty jako wskazanej metody płatności -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-89'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
										<th align="right" valign="top">
												<!-- Identyfikacja płatności -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-83'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
										</th>
									</tr>
									<xsl:for-each select="cac:PaymentMeans">
										<xsl:if test="cac:PaymentMandate !=''">
											<xsl:call-template name="PaymentMeans_PaymentMandate"/>
										</xsl:if>
									</xsl:for-each>
								</table>
							</xsl:if>
						</div>
					</div>
					<!-- End of PAYMENT MEANS information -->
					<!-- End of Invoice Note information -->
					
					<!-- Start on technical stylesheet footer - for all transactions -->
					<div class="row" id="tablerow">
						<div class="col-12">
							<p>
								<small>
									<xsl:value-of select="cbc:UBLVersionID"/>
									<br/>
									<!-- Wersja komunikatu -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-24'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
									<xsl:value-of select="cbc:CustomizationID"/>
									<xsl:if test="cbc:UUID !=''">
										<xsl:value-of select="cbc:UUID"/>
										<br/>
									</xsl:if>
									<!-- Ten dokument został wygenerowany na podstawie wizualizacji PEF.v_1.14 -->
									<xsl:call-template name="VisualisationInfo"/>
								</small>
							</p>
						</div>
					</div>
					<!-- End of technical stylesheet footer-->
				</div>
			</body>
		</html>
	</xsl:template>
	<!-- Koniec dokumentu Faktura lub Zamówienie / Endt Invoice or Order -->
	
	
	
<!-- ===============================================================================================================================================
#
#			TEMPLATES
#
-->	
	<xsl:template name="DocumentHeader">
		<xsl:param name="DocumentCode"/>
		<xsl:choose>
			<xsl:when test="count($invoiceBaseType/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$DocumentCode]) >0 ">
				<xsl:value-of select="$invoiceBaseType/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$DocumentCode]"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$invoiceBaseType_en/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$DocumentCode]"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="DocumentCode">
		<xsl:param name="DCode"/>
		<xsl:choose>
			<xsl:when test="count($UNCL1001/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$DCode]) >0 ">
				<xsl:value-of select="$UNCL1001/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$DCode]"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$UNCL1001_en/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$DCode]"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="UBLDescriptionCode">
		<xsl:param name="Code"/>
		<xsl:choose>
			<xsl:when test="count($UBLDescriptionCode/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$Code]) >0">
				<xsl:value-of select="($UBLDescriptionCode/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$Code])"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="($UBLDescriptionCode_en/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$Code])"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="UBLTaxCategoryCode">
		<xsl:param name="Code"/>
		<xsl:choose>
			<xsl:when test="count($UBLTaxCategoryCode/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$Code]) >0">
				<xsl:value-of select="$UBLTaxCategoryCode/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$Code]"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$UBLTaxCategoryCode_en/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$Code]"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="UBLClassificationCode">
		<xsl:param name="Code"/>
		<xsl:choose>
			<xsl:when test="count($UBLClassificationCode/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$Code])>0">
				<xsl:choose>
					<xsl:when test="$UBLClassificationCode/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$Code] !='' ">
						<xsl:value-of select="$UBLClassificationCode/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$Code]"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$Code"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$UBLClassificationCode_en/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$Code] !='' ">
						<xsl:value-of select="$UBLClassificationCode_en/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$Code]"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$Code"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<!--Function to pick the Notes-->
	<xsl:template name="Invoice_Note">	
		<!-- Uwagi ogólne do faktury -->
		<xsl:call-template name="LabelName">
			<xsl:with-param name="BT-ID" select="'BT-22'"/>
			<xsl:with-param name="Colon-Suffix" select="true()"/>
		</xsl:call-template>
			<xsl:choose>
				<xsl:when test="contains(cbc:Note, '$KONTRAKTPEF{')">
					<xsl:value-of select="substring-before(cbc:Note, '$KONTRAKTPEF{')"/>		
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="cbc:Note"/>	
				</xsl:otherwise>
			</xsl:choose>
	</xsl:template>
	
	<!--Function to pick the AllowanceReasonCodes-->
	<xsl:template name="AllowanceReasonCode">
		<xsl:param name="AllowanceCode"/>
		<xsl:choose>
			<xsl:when test="count($UNCL5189/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$AllowanceCode])>0">
				<xsl:value-of select="$UNCL5189/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$AllowanceCode]"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$UNCL5189_en/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$AllowanceCode]"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<!--Function to pick the ChargeReasonCodes-->
	<xsl:template name="ChargeReasonCode">
		<xsl:param name="ChargeCode"/>
		<xsl:choose>
			<xsl:when test="count(UNCL7161/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$ChargeCode]) >0">
				<xsl:value-of select="UNCL7161/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$ChargeCode]"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$UNCL7161_en/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$ChargeCode]"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="PaymentMeansCode">
		<xsl:param name="PaymentCode"/>
		<xsl:choose>
			<xsl:when test="count($UNCL4461/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$PaymentCode]) >0">
				<xsl:value-of select="($UNCL4461/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$PaymentCode])"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="($UNCL4461_en/CodeList/SimpleCodeList/Row/Value/SimpleValue[../@ColumnRef='name' and ../../Value[@ColumnRef='code']/SimpleValue=$PaymentCode])"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="PaymentMeans_PayeeFinancialAccount">
		<tr>
			<td valign="top">
				<xsl:apply-templates select="cbc:PaymentMeansCode"/>
				<smaller> (<xsl:choose>
						<xsl:when test="cbc:PaymentMeansCode/@name != ''">
							<xsl:apply-templates select="cbc:PaymentMeansCode/@name"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="PaymentMeansCode">
								<xsl:with-param name="PaymentCode" select="cbc:PaymentMeansCode"/>
							</xsl:call-template>
						</xsl:otherwise>
					</xsl:choose>) 
			</smaller>
			</td>
			<td valign="top" colspan="2">
				<xsl:if test="cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/cac:FinancialInstitution/cbc:ID">
					<xsl:apply-templates select="cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/cac:FinancialInstitution/cbc:ID"/>&#160;
				</xsl:if>
				<xsl:if test="cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/cbc:ID !='' ">
					<xsl:apply-templates select="cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/cbc:ID"/>&#160;
					</xsl:if>
			</td>
			<td valign="top" colspan="2">
				<xsl:if test="cac:PayeeFinancialAccount/cbc:ID !='' or 
							cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/cac:FinancialInstitution/cbc:ID !=''">
					<xsl:if test="cac:CardAccount/cbc:PrimaryAccountNumberID !='' or cac:CardAccount/cbc:NetworkID !=''">
					</xsl:if>
					<xsl:apply-templates select="cac:PayeeFinancialAccount/cbc:ID"/>&#160;
						
				</xsl:if>
			</td>
			<xsl:if test="cac:PayeeFinancialAccount !=''">
				<td valign="top" colspan="2">
					<xsl:apply-templates select="cac:PayeeFinancialAccount/cbc:Name"/>
				</td>
			</xsl:if>
			<td valign="top" align="right">
				<xsl:if test="cbc:PaymentID !=''">
					<xsl:apply-templates select="cbc:PaymentID"/>
				</xsl:if>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template name="PaymentMeans_CardAccount">
		<tr>
			<td valign="top">
				<xsl:apply-templates select="cbc:PaymentMeansCode"/>
				<smaller> (<xsl:choose>
						<xsl:when test="cbc:PaymentMeansCode/@name != ''">
							<xsl:apply-templates select="cbc:PaymentMeansCode/@name"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="PaymentMeansCode">
								<xsl:with-param name="PaymentCode" select="cbc:PaymentMeansCode"/>
							</xsl:call-template>
						</xsl:otherwise>
					</xsl:choose>) 
			</smaller>
			</td>
			<td valign="top" colspan="2">
				<xsl:if test="cac:CardAccount/cbc:PrimaryAccountNumberID !='' or cac:CardAccount/cbc:NetworkID !=''">
					<xsl:apply-templates select="cac:CardAccount/cbc:NetworkID"/>
				</xsl:if>
			</td>
			<td valign="top" colspan="2">
				<xsl:if test="cac:CardAccount/cbc:PrimaryAccountNumberID !='' or cac:CardAccount/cbc:NetworkID !=''">
					<xsl:apply-templates select="cac:CardAccount/cbc:PrimaryAccountNumberID"/>&#160;
				</xsl:if>
			</td>
			<xsl:if test="cac:CardAccount !=''">
				<td valign="top" colspan="2">
					<xsl:apply-templates select="cac:CardAccount/cbc:HolderName"/>
				</td>
			</xsl:if>
			<td valign="top" align="right">
				<xsl:if test="cbc:PaymentID !=''">
					<xsl:apply-templates select="cbc:PaymentID"/>
				</xsl:if>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template name="PaymentMeans_PaymentMandate">
		<tr>
			<td valign="top">
				<xsl:apply-templates select="cbc:PaymentMeansCode"/>
				<smaller> (<xsl:choose>
						<xsl:when test="cbc:PaymentMeansCode/@name != ''">
							<xsl:apply-templates select="cbc:PaymentMeansCode/@name"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="PaymentMeansCode">
								<xsl:with-param name="PaymentCode" select="cbc:PaymentMeansCode"/>
							</xsl:call-template>
						</xsl:otherwise>
					</xsl:choose>) 
			</smaller>
			</td>
			<td valign="top" colspan="2">
				<xsl:if test="cac:PaymentMandate/cbc:ID !='' or cac:PaymentMandate/cac:PayerFinancialAccount !=''">
					<xsl:apply-templates select="cac:PaymentMandate/cac:PayerFinancialAccount/cbc:ID"/>
				</xsl:if>
			</td>
			<td valign="top" colspan="2">
				<xsl:if test="cac:PaymentMandate/cbc:ID !='' or cac:PaymentMandate/cac:PayerFinancialAccount !=''">
					<xsl:apply-templates select="cac:PaymentMandate/cbc:ID"/>
				</xsl:if>
			</td>
			<td valign="top" align="right">
				<xsl:if test="cbc:PaymentID !=''">
					<xsl:apply-templates select="cbc:PaymentID"/>
				</xsl:if>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template name="PayeeParty">
		<!-- Nazwa odbiorcy płatności -->
		<xsl:call-template name="LabelName">
			<xsl:with-param name="BT-ID" select="'BT-59'"/>
			<xsl:with-param name="Colon-Suffix" select="true()"/>
		</xsl:call-template>
		<xsl:apply-templates select="cac:PayeeParty/cac:PartyName"/>
		<xsl:if test="cac:PayeeParty/cac:PartyIdentification/cbc:ID">
			<br/>
			<small>
				<!-- Identyfikator odbiorcy płatności -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-60'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cac:PayeeParty/cac:PartyIdentification/cbc:ID"/>
				<xsl:if test="cac:PayeeParty/cac:PartyIdentification/cbc:ID/@schemeID !='' ">
						&#160;[<xsl:apply-templates select="cac:PayeeParty/cac:PartyIdentification/cbc:ID/@schemeID"/>]
					</xsl:if>
			</small>
		</xsl:if>
		<!--Party legal registration: -->
		<xsl:if test="cac:PayeeParty/cac:PartyLegalEntity">
			<xsl:if test="cac:PayeeParty/cac:PartyLegalEntity">
				<br/>
				<small>
					<!-- Identyfikator rejestracji prawnej odbiorcy płatności -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-61'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:apply-templates select="cac:PayeeParty/cac:PartyLegalEntity/cbc:CompanyID"/>
					<xsl:if test="cac:PayeeParty/cac:PartyLegalEntity/cbc:CompanyID/@schemeID !='' ">
						&#160;[<xsl:apply-templates select="cac:PayeeParty/cac:PartyLegalEntity/cbc:CompanyID/@schemeID"/>]
					</xsl:if>
				</small>
			</xsl:if>
		</xsl:if>
		<!--Party VAT registration: -->
		<xsl:if test="cac:PayeeParty/cac:PartyTaxScheme">
			<small>
				<xsl:if test="cac:PayeeParty/cac:PartyTaxScheme">
					<br/>
					<!-- Identyfikator VAT reprezentanta podatkowego sprzedawcy -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-63'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:apply-templates select="cac:PayeeParty/cac:PartyTaxScheme/cbc:CompanyID"/>
					<xsl:if test="cac:PayeeParty/cac:PartyTaxScheme/cbc:CompanyID/@schemeID !='' ">
						&#160;[<xsl:apply-templates select="cac:PayeeParty/cac:PartyTaxScheme/cbc:CompanyID/@schemeID"/>]
					</xsl:if>
				</xsl:if>
			</small>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="PayeePartyName">
		<xsl:if test="cac:PayeeParty/cbc:Name !=''">
			<xsl:apply-templates select="cbc:Name"/>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="cac:PartyName">
		<xsl:if test="cbc:Name !=''">
			<xsl:apply-templates select="cbc:Name"/>
		</xsl:if>
	</xsl:template>
	
		
	<xsl:template name="TaxRepresentativeParty_Name">
		<xsl:variable name="TaxRepresentativePartyName" select="cac:TaxRepresentativeParty"/>
				<xsl:value-of select="$TaxRepresentativePartyName/cac:PartyName"/>
	</xsl:template>
	
	<xsl:template name="TaxRepresentativeParty_Address">
		<xsl:variable name="TaxRepresentativePartyAddr" select="cac:TaxRepresentativeParty"/>
		<h4>
			<!-- Adres -->
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BG-5'"/>
				<xsl:with-param name="Colon-Suffix" select="false()"/>
			</xsl:call-template>
		</h4>
		<xsl:if test="$TaxRepresentativePartyAddr/cac:PostalAddress/cbc:StreetName !=''">
			<br/>
			<span class="UBLStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-64'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$TaxRepresentativePartyAddr/cac:PostalAddress/cbc:StreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="$TaxRepresentativePartyAddr/cac:PostalAddress/cbc:AdditionalStreetName !=''">
			<!--<br/>-->
			<span>&#160;</span>
			<span class="UBLAdditionalStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-65'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$TaxRepresentativePartyAddr/cac:PostalAddress/cbc:AdditionalStreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="$TaxRepresentativePartyAddr/cac:PostalAddress/cac:AddressLine/cbc:Line !=''">
			<!--<br/>-->
			<span>&#160;</span>
			<span class="UBLAdditionalStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-164'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$TaxRepresentativePartyAddr/cac:PostalAddress/cac:AddressLine/cbc:Line"/>
			</span>
		</xsl:if>
			<br/>
			<span class="UBLCityName">
				<xsl:choose>
					<xsl:when test="$TaxRepresentativePartyAddr/cac:PostalAddress/cbc:PostalZone !=''">
						<!-- Kod pocztowy -->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-67'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$TaxRepresentativePartyAddr/cac:PostalAddress/cbc:PostalZone"/>&#160;
						<!-- Nazwa miejscowości -->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-66'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$TaxRepresentativePartyAddr/cac:PostalAddress/cbc:CityName"/>
					</xsl:when>
					<xsl:otherwise>
						<!-- Nazwa miejscowości -->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-66'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$TaxRepresentativePartyAddr/cac:PostalAddress/cbc:CityName"/>
					</xsl:otherwise>
				</xsl:choose>
			</span>
		<xsl:if test="$TaxRepresentativePartyAddr/cac:PostalAddress/cbc:CountrySubentity !='' or $TaxRepresentativePartyAddr/cac:PostalAddress/cac:Country !=''">
			<xsl:choose>
				<xsl:when test="$TaxRepresentativePartyAddr/cac:PostalAddress/cbc:CountrySubentity !='' and $TaxRepresentativePartyAddr/cac:PostalAddress/cac:Country !=''">
					<br/>
					<!-- Nazwa regionu -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-68'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:value-of select="$TaxRepresentativePartyAddr/cac:PostalAddress/cbc:CountrySubentity"/>,<br/>
					<!-- Kod kraju -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-69'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="$TaxRepresentativePartyAddr/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
                        ( <xsl:value-of select="$TaxRepresentativePartyAddr/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/> )
				</xsl:when>
				<xsl:otherwise>
					<br/>
					<xsl:if test="$TaxRepresentativePartyAddr/cac:PostalAddress/cbc:CountrySubentity !=''">
						<!-- Nazwa regionu -->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-68'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
					<!--  	&#160;  -->
						<xsl:value-of select="$TaxRepresentativePartyAddr/cac:PostalAddress/cbc:CountrySubentity"/>
					</xsl:if>
					<xsl:if test="$TaxRepresentativePartyAddr/cac:PostalAddress/cac:Country !=''">
						<!-- Kod kraju -->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-69'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
					<!--	&#160;  -->
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="$TaxRepresentativePartyAddr/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
                        ( <xsl:value-of select="$TaxRepresentativePartyAddr/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/> )
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>

	<xsl:template name="TaxRepresentativeParty_Registration">
		<xsl:variable name="TaxRepresentativePartyReg" select="cac:TaxRepresentativeParty"/>
		<!--Party VAT registration: -->
		<xsl:if test="$TaxRepresentativePartyReg/cac:PartyTaxScheme">
			<small>
				<xsl:for-each select="$TaxRepresentativePartyReg/cac:PartyTaxScheme">
					<br/>
					<xsl:choose>
						<xsl:when test="cac:TaxScheme/cbc:ID = 'VAT'">
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-31'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
							<xsl:apply-templates select="cbc:CompanyID"/>
							<xsl:if test="cac:TaxScheme/cbc:ID !='' ">

						&#160;[<xsl:apply-templates select="cac:TaxScheme/cbc:ID"/>]

					</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-32'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
							<xsl:apply-templates select="cbc:CompanyID"/>
							<xsl:if test="cac:TaxScheme/cbc:ID !='' ">
						&#160;[<xsl:apply-templates select="cac:TaxScheme/cbc:ID"/>]
					</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="cbc:ExemptionReason">
						<br/>
						<!--xsl:value-of select="$moduleDoc/module/document-merge/g-funcs/g[@name='ExemptionReason']"/-->
						<!--xsl:value-of select="$moduleDocBT/SemanticModel/BusinessTerm[@id='BT-29' and @lang='en']/TermName"/-->
					&#160;<xsl:apply-templates select="cbc:ExemptionReason"/>
					</xsl:if>
				</xsl:for-each>
			</small>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="Allowance">
		<tr>
			<td valign="top" colspan="2">
				<xsl:apply-templates select="cbc:AllowanceChargeReasonCode"/>
				<!--xsl:value-of select="fcn:AllowanceReasonCode(cbc:AllowanceChargeReasonCode)"/-->
			</td>
			<td valign="top" colspan="2">
				<xsl:apply-templates select="cbc:AllowanceChargeReason"/>
			</td>
			<td>
				<xsl:if test="cac:TaxCategory !='' ">
					<xsl:choose>
						<xsl:when test="cac:TaxCategory/cbc:Percent !=''">
							<xsl:apply-templates select="cac:TaxCategory/cac:TaxScheme/cbc:ID"/>:&#160;
							<xsl:apply-templates select="cac:TaxCategory/cbc:ID"/>,
							&#160;<xsl:apply-templates select="cac:TaxCategory/cbc:Percent"/>%
						</xsl:when>
						<xsl:otherwise>
							<xsl:apply-templates select="cac:TaxCategory/cac:TaxScheme/cbc:ID"/>:&#160;
							<xsl:apply-templates select="cac:TaxCategory/cbc:ID"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			</td>
			<td valign="top" align="right">
				<xsl:if test="cbc:BaseAmount != ''">
					<xsl:value-of select='format-number(cbc:BaseAmount, "#0.00")'/>&#160;<xsl:value-of select="cbc:BaseAmount/@currencyID"/>
					<xsl:if test="cbc:MultiplierFactorNumeric != ''">
					(<xsl:apply-templates select="cbc:MultiplierFactorNumeric"/>%)
					</xsl:if>
				</xsl:if>
			</td>
			<td valign="top" align="right">
				<xsl:value-of select='format-number(cbc:Amount, "#0.00")'/>&#160;<xsl:value-of select="cbc:Amount/@currencyID"/>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template name="Allowance-pl">
		<tr>
			<td valign="top" colspan="2">
				<xsl:apply-templates select="cbc-pl:AllowanceChargeReasonCode"/>
				<!--xsl:value-of select="fcn:AllowanceReasonCode(cbc-pl:AllowanceChargeReasonCode)"/-->
			</td>
			<td valign="top" colspan="2">
				<xsl:apply-templates select="cbc-pl:AllowanceChargeReason"/>
			</td>
			<td>
				<xsl:if test="cac-pl:TaxCategory !='' ">
					<xsl:choose>
						<xsl:when test="cac-pl:TaxCategory/cbc-pl:Percent !=''">
							<xsl:apply-templates select="cac-pl:TaxCategory/cac-pl:TaxScheme/cbc-pl:ID"/>:&#160;
							<xsl:apply-templates select="cac-pl:TaxCategory/cbc-pl:ID"/>,
							&#160;<xsl:apply-templates select="cac-pl:TaxCategory/cbc-pl:Percent"/>%
						</xsl:when>
						<xsl:otherwise>
							<xsl:apply-templates select="cac-pl:TaxCategory/cac-pl:TaxScheme/cbc-pl:ID"/>:&#160;
							<xsl:apply-templates select="cac-pl:TaxCategory/cbc-pl:ID"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			</td>
			<td valign="top" align="right">
				<xsl:if test="cbc:BaseAmount != ''">
					<xsl:value-of select='format-number(cbc-pl:BaseAmount, "#0.00")'/>&#160;<xsl:value-of select="cbc-pl:BaseAmount/@currencyID"/>
					<xsl:if test="cbc-pl:MultiplierFactorNumeric != ''">
					(<xsl:apply-templates select="cbc-pl:MultiplierFactorNumeric"/>%)
					</xsl:if>
				</xsl:if>
			</td>
			<td valign="top" align="right">
				<xsl:value-of select='format-number(cbc-pl:Amount, "#0.00")'/>&#160;<xsl:value-of select="cbc-pl:Amount/@currencyID"/>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template name="Charge">
		<tr>
			<td valign="top" colspan="2">
				<xsl:apply-templates select="cbc:AllowanceChargeReasonCode"/>
			</td>
			<td valign="top" colspan="2">
				<xsl:apply-templates select="cbc:AllowanceChargeReason"/>
			</td>
			<td>
				<xsl:if test="cac:TaxCategory !='' ">
					<xsl:choose>
						<xsl:when test="cac:TaxCategory/cbc:Percent !=''">
							<xsl:apply-templates select="cac:TaxCategory/cac:TaxScheme/cbc:ID"/>:&#160;

							<xsl:apply-templates select="cac:TaxCategory/cbc:ID"/>,
							&#160;<xsl:apply-templates select="cac:TaxCategory/cbc:Percent"/>%
						</xsl:when>
						<xsl:otherwise>
							<xsl:apply-templates select="cac:TaxCategory/cac:TaxScheme/cbc:ID"/>:&#160;
							<xsl:apply-templates select="cac:TaxCategory/cbc:ID"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			</td>
			<td valign="top" align="right">
				<xsl:if test="cbc:BaseAmount != ''">
					<xsl:value-of select='format-number(cbc:BaseAmount, "#0.00")'/>&#160;<xsl:value-of select="cbc:BaseAmount/@currencyID"/>
					<xsl:if test="cbc:MultiplierFactorNumeric != ''">
					(<xsl:apply-templates select="cbc:MultiplierFactorNumeric"/>%)
					</xsl:if>
				</xsl:if>
			</td>
			<td valign="top" align="right">
				<xsl:value-of select='format-number(cbc:Amount, "#0.00")'/>&#160;<xsl:value-of select="cbc:Amount/@currencyID"/>
			</td>
		</tr>
	</xsl:template>
	
		
	<xsl:template name="Charge-pl">
		<tr>
			<td valign="top" colspan="2">
				<xsl:apply-templates select="cbc-pl:AllowanceChargeReasonCode"/>
			</td>
			<td valign="top" colspan="2">
				<xsl:apply-templates select="cbc-pl:AllowanceChargeReason"/>
			</td>
			<td>
				<xsl:if test="cac-pl:TaxCategory !='' ">
					<xsl:choose>
						<xsl:when test="cac-pl:TaxCategory/cbc-pl:Percent !=''">
							<xsl:apply-templates select="cac-pl:TaxCategory/cac-pl:TaxScheme/cbc-pl:ID"/>:&#160;

							<xsl:apply-templates select="cac-pl:TaxCategory/cbc-pl:ID"/>,
							&#160;<xsl:apply-templates select="cac-pl:TaxCategory/cbc-pl:Percent"/>%
						</xsl:when>
						<xsl:otherwise>
							<xsl:apply-templates select="cac-pl:TaxCategory/cac-pl:TaxScheme/cbc-pl:ID"/>:&#160;
							<xsl:apply-templates select="cac-pl:TaxCategory/cbc-pl:ID"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			</td>
			<td valign="top" align="right">
				<xsl:if test="cbc:BaseAmount != ''">
					<xsl:value-of select='format-number(cbc-pl:BaseAmount, "#0.00")'/>&#160;<xsl:value-of select="cbc-pl:BaseAmount/@currencyID"/>
					<xsl:if test="cbc-pl:MultiplierFactorNumeric != ''">
					(<xsl:apply-templates select="cbc-pl:MultiplierFactorNumeric"/>%)
					</xsl:if>
				</xsl:if>
			</td>
			<td valign="top" align="right">
				<xsl:value-of select='format-number(cbc-pl:Amount, "#0.00")'/>&#160;<xsl:value-of select="cbc-pl:Amount/@currencyID"/>
			</td>
		</tr>
	</xsl:template>
	
	<!-- 2) A/C on line level -->
	<xsl:template match="cac:AllowanceCharge" mode="LineLevel-new">
		<xsl:value-of select='format-number(cbc:Amount, "#0.00")'/>&#160;<xsl:value-of select="cbc:Amount/@currencyID"/>
		<small>
			<br/>
			<xsl:apply-templates select="cbc:AllowanceChargeReason"/> (<xsl:apply-templates select="cbc:AllowanceChargeReasonCode"/>) 
			<xsl:apply-templates select="cbc:MultiplierFactorNumeric"/>%
			<br/>
		</small>
	</xsl:template>
	
	<!-- 3) A/C on price unit level (for information only) -->
	<xsl:template match="cac:AllowanceCharge" mode="PriceUnit-new">
		<strong>
			<xsl:choose>
				<xsl:when test="cbc:ChargeIndicator ='true'">
					<!--Rabat od ceny netto -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-147'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="cbc:ChargeIndicator ='false'">
					<!-- Rabat od ceny netto -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-147'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
				</xsl:when>
			</xsl:choose>
		</strong>
		<xsl:choose>
			<xsl:when test="cbc:BaseAmount !='' ">
				<xsl:value-of select='format-number(cbc:Amount, "#0.00")'/>&#160;<xsl:value-of select="cbc:Amount/@currencyID"/>
				<br/>
				<strong>
					<!-- Cena brutto pozycji -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-148'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
				</strong>
				<xsl:value-of select='format-number(cbc:BaseAmount, "#0.00")'/>&#160;<xsl:value-of select="cbc:BaseAmount/@currencyID"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select='format-number(cbc:BaseAmount, "#0.00")'/>&#160;<xsl:value-of select="cbc:BaseAmount/@currencyID"/>
			</xsl:otherwise>
		</xsl:choose>
		<br/>
	</xsl:template>
	<!-- AllowanceCharge end -->
	
	<!-- Tax (VAT) totals from here: -->
	<xsl:template match="cac:TaxTotal/cac:TaxSubtotal">
		<tr class="TAXInformation">
			<td colspan="2">
				<xsl:apply-templates select="cac:TaxCategory/cac:TaxScheme/cbc:ID"/>
				:&#160;<xsl:apply-templates select="cac:TaxCategory/cbc:ID"/>&#160;
				<small>(
					<xsl:call-template name="UBLTaxCategoryCode">
						<xsl:with-param name="Code" select="cac:TaxCategory/cbc:ID"/>
					</xsl:call-template>
				),</small>
				<xsl:choose>
					<xsl:when test="cac:TaxCategory/cbc:Percent !=''">
						&#160;<xsl:apply-templates select="cac:TaxCategory/cbc:Percent"/>%
					</xsl:when>
					<xsl:otherwise>
						%
					</xsl:otherwise>
				</xsl:choose>
			</td>
			<td colspan="2">
				<xsl:if test="cac:TaxCategory/cbc:TaxExemptionReason !=''">
					<xsl:apply-templates select="cac:TaxCategory/cbc:TaxExemptionReason"/> [<xsl:apply-templates select="cac:TaxCategory/cbc:TaxExemptionReasonCode"/>]
				</xsl:if>
			</td>
			<td colspan="2" align="right">
				<xsl:value-of select='format-number(cbc:TaxableAmount, "#0.00")'/>&#160;<xsl:value-of select="cbc:TaxableAmount/@currencyID"/>
			</td>
			<td align="right">
				<xsl:value-of select='format-number(cbc:TaxAmount, "#0.00")'/>&#160;<xsl:value-of select="cbc:TaxAmount/@currencyID"/>
			</td>
		</tr>
	</xsl:template>
	<!--TaxTotal until here-->
	
	
	<!-- Tax (VAT) poczatek podsumowania: -->
	<xsl:template match="cac-pl:TaxTotal/cac-pl:TaxSubtotal">
		<tr class="TAXInformation">
			<td colspan="2">
				<xsl:apply-templates select="cac-pl:TaxCategory/cac-pl:TaxScheme/cbc-pl:ID"/>
				:&#160;<xsl:apply-templates select="cac-pl:TaxCategory/cbc-pl:ID"/>&#160;
				<small>(
					<xsl:call-template name="UBLTaxCategoryCode">
						<xsl:with-param name="Code" select="cac-pl:TaxCategory/cbc-pl:ID"/>
					</xsl:call-template>
				),</small>
				<xsl:choose>
					<xsl:when test="cac-pl:TaxCategory/cbc-pl:Percent !=''">
						&#160;<xsl:apply-templates select="cac-pl:TaxCategory/cbc-pl:Percent"/>%
					</xsl:when>
					<xsl:otherwise>
						%
					</xsl:otherwise>
				</xsl:choose>
			</td>
			<td colspan="2">
				<xsl:if test="cac-pl:TaxCategory/cbc-pl:TaxExemptionReason !=''">
					<xsl:apply-templates select="cac-pl:TaxCategory/cbc-pl:TaxExemptionReason"/> [<xsl:apply-templates select="cac-pl:TaxCategory/cbc-pl:TaxExemptionReasonCode"/>]
				</xsl:if>
			</td>
			<td colspan="2" align="right">
				<xsl:value-of select='format-number(cbc-pl:TaxableAmount, "#0.00")'/>&#160;<xsl:value-of select="cbc-pl:TaxableAmount/@currencyID"/>
			</td>
			<td align="right">
				<xsl:value-of select='format-number(cbc-pl:TaxAmount, "#0.00")'/>&#160;<xsl:value-of select="cbc-pl:TaxAmount/@currencyID"/>
			</td>
		</tr>
	</xsl:template>
	<!--TaxTotal koniec-->
	
	<!--PaymentMeans from here-->
	<xsl:template name="cac:PaymentMeans">
		<tr>
			<td valign="top">
				<xsl:apply-templates select="cbc:PaymentMeansCode"/>
				<smaller> (<xsl:choose>
						<xsl:when test="cbc:PaymentMeansCode/@name != ''">
							<xsl:apply-templates select="cbc:PaymentMeansCode/@name"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="PaymentMeansCode">
								<xsl:with-param name="PaymentCode" select="cbc:PaymentMeansCode"/>
							</xsl:call-template>
						</xsl:otherwise>
					</xsl:choose>) 
			</smaller>
			</td>
			<td valign="top" colspan="2">
				<xsl:if test="cac:CardAccount/cbc:PrimaryAccountNumberID !='' or cac:CardAccount/cbc:NetworkID !=''">
					<xsl:apply-templates select="cac:CardAccount/cbc:NetworkID"/>
				</xsl:if>
				<xsl:if test="cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/cac:FinancialInstitution/cbc:ID">
					<xsl:if test="cac:CardAccount/cbc:PrimaryAccountNumberID !='' or cac:CardAccount/cbc:NetworkID !=''">
						<br/>
					</xsl:if>
					<xsl:apply-templates select="cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/cac:FinancialInstitution/cbc:ID"/>&#160;
				</xsl:if>
				<xsl:if test="cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/cbc:ID !='' ">
					<xsl:apply-templates select="cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/cbc:ID"/>&#160;
					</xsl:if>
				<xsl:if test="cac:PaymentMandate/cbc:ID !='' or cac:PaymentMandate/cac:PayerFinancialAccount !=''">
					<xsl:apply-templates select="cac:PaymentMandate/cac:PayerFinancialAccount/cbc:ID"/>
				</xsl:if>
			</td>
			<td valign="top" colspan="2">
				<xsl:if test="cac:CardAccount/cbc:PrimaryAccountNumberID !='' or cac:CardAccount/cbc:NetworkID !=''">
					<xsl:apply-templates select="cac:CardAccount/cbc:PrimaryAccountNumberID"/>&#160;
				</xsl:if>
				<xsl:if test="cac:PayeeFinancialAccount/cbc:ID !='' or 
							cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/cac:FinancialInstitution/cbc:ID !=''">
					<xsl:if test="cac:CardAccount/cbc:PrimaryAccountNumberID !='' or cac:CardAccount/cbc:NetworkID !=''">
					</xsl:if>
					<xsl:apply-templates select="cac:PayeeFinancialAccount/cbc:ID"/>&#160;
						
				</xsl:if>
				<xsl:if test="cac:PaymentMandate/cbc:ID !='' or cac:PaymentMandate/cac:PayerFinancialAccount !=''">
					<xsl:apply-templates select="cac:PaymentMandate/cbc:ID"/>
				</xsl:if>
			</td>
			<xsl:if test="cac:PayeeFinancialAccount !=''">
				<td valign="top" colspan="2">
					<xsl:apply-templates select="cac:PayeeFinancialAccount/cbc:Name"/>
				</td>
			</xsl:if>
			<xsl:if test="cac:CardAccount !=''">
				<td valign="top" colspan="2">
					<xsl:apply-templates select="cac:CardAccount/cbc:HolderName"/>
				</td>
			</xsl:if>
			<td valign="top" align="right">
				<xsl:if test="cbc:PaymentID !=''">
					<xsl:apply-templates select="cbc:PaymentID"/>
				</xsl:if>
			</td>
			<!--td valign="top" align="right">
			
			</td-->
		</tr>
	</xsl:template>
	<!--PaymentMeans template until here-->
	
	<!-- PaymentTerms from here: -->
	<xsl:template match="cac:PaymentTerms">
		<xsl:if test="cbc:Note !=''">
			<xsl:apply-templates select="cbc:Note"/>
		</xsl:if>
	</xsl:template>
	<!-- Document references from here: -->
	<xsl:template match="cac:AdditionalDocumentReference" mode="InvoicedObject">
		<xsl:if test="cbc:DocumentTypeCode='130'">
			<br/>
			<strong>
				<!-- Identyfikator fakturowanego przedmiotu -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-18'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
			</strong>
			<xsl:value-of select="cbc:ID"/>
			<xsl:if test="cbc:ID/@schemeID != ''"> [<xsl:value-of select="cbc:ID/@schemeID"/>]</xsl:if>
		</xsl:if>
		<xsl:if test="cbc:DocumentTypeCode='50'">
			<br/>
			<strong>
				<!-- Numer projektu -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-11'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
			</strong>
			<xsl:value-of select="cbc:ID"/>
			<xsl:if test="cbc:ID/@schemeID != ''"> [<xsl:value-of select="cbc:ID/@schemeID"/>]</xsl:if>
		</xsl:if>
	</xsl:template>
	<xsl:template match="cac:AdditionalDocumentReference" mode="Supporting">
		<xsl:if test="cbc:ID !=''">
			<!-- Znak dokumentu dodatkowego -->
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-122'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
			<xsl:apply-templates select="cbc:ID"/>
			<xsl:if test="cbc:ID/@schemeID != ''"> [<xsl:apply-templates select="cbc:ID/@schemeID"/>]</xsl:if>
		</xsl:if>
		<small>
			<xsl:if test="cbc:DocumentType !='' or cbc:DocumentTypeCode !=''">
				<br/>
			-&#160;
				<!-- Opis dokumentu dodatkowego -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-123'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cbc:DocumentType"/>&#160;[<xsl:apply-templates select="cbc:DocumentTypeCode"/>]
		</xsl:if>
			<xsl:if test="cbc:DocumentDescription">	
			-&#160;<xsl:apply-templates select="cbc:DocumentDescription"/>
			</xsl:if>
			<br/>
			<xsl:apply-templates select="cac:Attachment"/>
		</small>
	</xsl:template>
	<xsl:template match="cac:Attachment">
		<!-- No processing of attached document, just info: -->
		<xsl:if test="cbc:EmbeddedDocumentBinaryObject/@mimeCode !=''">
				-&#160;
				<!-- Typ pliku -->
				<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-125-1'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
			<xsl:apply-templates select="cbc:EmbeddedDocumentBinaryObject/@mimeCode"/>
			<br/>
		</xsl:if>
		<xsl:if test="cbc:EmbeddedDocumentBinaryObject/@format !=''">
				-&#160;
				<!-- Typ pliku -->
				<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-125-1'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
			<xsl:apply-templates select="cbc:EmbeddedDocumentBinaryObject/@format"/>
			<br/>
		</xsl:if>
		<xsl:if test="cbc:EmbeddedDocumentBinaryObject/@filename !=''">
				-&#160;
				<!-- Nazwa pliku -->
				<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-125-2'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
			<xsl:apply-templates select="cbc:EmbeddedDocumentBinaryObject/@filename"/>
			<br/>
			<xsl:if test="cbc:EmbeddedDocumentBinaryObject/@mimeCode !='application/pdf'">
				<img src="data:image/gif;base64,{.}" height="200px"/>
			</xsl:if>
			<xsl:if test="cbc:EmbeddedDocumentBinaryObject/@mimeCode ='application/pdf'">
				<!--<embed src="data:application/pdf;base64,{.}" height="200px"/>-->
			</xsl:if>
			<br/>
		</xsl:if>
		<xsl:if test="cac:ExternalReference !=''">
			-&#160;<xsl:apply-templates select="cac:ExternalReference"/>
			<br/>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="cac:ExternalReference">
		<xsl:if test="cbc:URI !=''">
			<!-- Link to dokumentu dodatkowego -->
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-124'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
			<xsl:apply-templates select="cbc:URI"/>
		</xsl:if>
	</xsl:template>
	<xsl:template match="cac:BillingReference">
		<br/>
		<xsl:if test="cac:CreditNoteDocumentReference !=''">
			<xsl:apply-templates select="cac:CreditNoteDocumentReference/cbc:ID"/>&#160;
				</xsl:if>
		<xsl:if test="cac:InvoiceDocumentReference !=''">
			<xsl:if test="cac:CreditNoteDocumentReference !=''">
				<br/>
			</xsl:if>
			<xsl:apply-templates select="cac:InvoiceDocumentReference/cbc:ID"/>&#160;
				</xsl:if>
	</xsl:template>
	<!-- Document references end -->
	
	<!--Periods from here-->
	<xsl:template match="cac:InvoicePeriod">
		<xsl:if test="cbc:StartDate !=''">
			<xsl:apply-templates select="cbc:StartDate"/>&#160;-&#160;
		</xsl:if>
		<xsl:if test="cbc:EndDate !='' ">
			<xsl:apply-templates select="cbc:EndDate"/>&#160;
		</xsl:if>
	</xsl:template>
	<!--Periods end-->
	
	<!--PARTY STARTS HERE-->
	<xsl:template match="cac:AccountingSupplierParty">
		<xsl:call-template name="SellerParty"/>
	</xsl:template>
	
	<xsl:template match="cac:AccountingCustomerParty">
		<xsl:call-template name="BuyerParty"/>
	</xsl:template>
	<!--PARTY ENDS HERE-->
	
	<xsl:template name="SellerParty_Name">
		<xsl:variable name="SupPartyName" select="cac:AccountingSupplierParty"/>
		<xsl:choose>
			<xsl:when test="$SupPartyName/cac:Party/cac:PartyName !=''">
				<xsl:value-of select="$SupPartyName/cac:Party/cac:PartyName"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$SupPartyName/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="SellerParty_Address">
		<xsl:variable name="SupPartyAddr" select="cac:AccountingSupplierParty"/>
		<h4>
			<!-- Adres -->
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BG-5'"/>
				<xsl:with-param name="Colon-Suffix" select="false()"/>
			</xsl:call-template>
		</h4>
		<xsl:if test="$SupPartyAddr/cac:Party/cac:PostalAddress/cbc:StreetName !=''">
			<br/>
			<span class="UBLStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-35'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$SupPartyAddr/cac:Party/cac:PostalAddress/cbc:StreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="$SupPartyAddr/cac:Party/cac:PostalAddress/cbc:AdditionalStreetName !=''">
			<!--<br/>-->
			<span>&#160;</span>
			<span class="UBLAdditionalStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-36'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$SupPartyAddr/cac:Party/cac:PostalAddress/cbc:AdditionalStreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="$SupPartyAddr/cac:Party/cac:PostalAddress/cac:AddressLine/cbc:Line !=''">
			<!--<br/>-->
			<span>&#160;</span>
			<span class="UBLAdditionalStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-162'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$SupPartyAddr/cac:Party/cac:PostalAddress/cac:AddressLine/cbc:Line"/>
			</span>
		</xsl:if>
		<xsl:if test="$SupPartyAddr/cac:Party/cac:PostalAddress/cbc:PostalZone !='' or $SupPartyAddr/cac:Party/cac:PostalAddress/cbc:CityName !=''">
			<br/>
			<span class="UBLCityName">
				<xsl:choose>
					<xsl:when test="$SupPartyAddr/cac:Party/cac:PostalAddress/cbc:PostalZone !=''">
						<!-- Kod pocztowy -->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-38'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$SupPartyAddr/cac:Party/cac:PostalAddress/cbc:PostalZone"/>&#160;
						<!-- Nazwa miejscowości -->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-37'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$SupPartyAddr/cac:Party/cac:PostalAddress/cbc:CityName"/>
					</xsl:when>
					<xsl:otherwise>
						<!-- Nazwa miejscowości -->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-37'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$SupPartyAddr/cac:Party/cac:PostalAddress/cbc:CityName"/>
					</xsl:otherwise>
				</xsl:choose>
			</span>
		</xsl:if>
		<xsl:if test="$SupPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity !='' or $SupPartyAddr/cac:Party/cac:PostalAddress/cac:Country !=''">
			<xsl:choose>
				<xsl:when test="$SupPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity !='' and $SupPartyAddr/cac:Party/cac:PostalAddress/cac:Country !=''">
					<br/>
					<!-- Nazwa regionu -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-39'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:value-of select="$SupPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity"/>,<br/>
					<!-- Kod kraju -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-40'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="$SupPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
                        ( <xsl:value-of select="$SupPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/> )
				</xsl:when>
				<xsl:otherwise>
					<br/>
					<xsl:if test="$SupPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity !=''">
						<!-- Nazwa regionu -->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-39'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
					<!--  	&#160;  -->
						<xsl:value-of select="$SupPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity"/>
					</xsl:if>
					<xsl:if test="$SupPartyAddr/cac:Party/cac:PostalAddress/cac:Country !=''">
						<!-- Kod kraju -->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-40'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
					<!--  	&#160;  -->
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="$SupPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
                        ( <xsl:value-of select="$SupPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/> )
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="SellerParty_Contact">
		<xsl:variable name="SupPartyCont" select="cac:AccountingSupplierParty"/>
		<h4>
			<!-- Kontakt -->
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-218'"/>
				<xsl:with-param name="Colon-Suffix" select="false()"/>
			</xsl:call-template>
		</h4>
		<xsl:if test="$SupPartyCont/cac:Party/cac:Contact/cbc:ID">
			<small>
				<!-- Uwagi ogólne do faktury -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-22'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$SupPartyCont/cac:Party/cac:Contact/cbc:ID"/>
			</small>
		</xsl:if>
		<xsl:if test="$SupPartyCont/cac:Party/cac:Contact/cbc:Name !=''">
			<br/>
			<!-- Imię i nazwisko -->
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-56'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
			<xsl:value-of select="$SupPartyCont/cac:Party/cac:Contact/cbc:Name"/>
		</xsl:if>
		<xsl:if test="$SupPartyCont/cac:Party/cac:Contact/cbc:Telephone !=''">
			<br/>
			<span class="UBLTelephone">
				<!-- Numer telefonu -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-42'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$SupPartyCont/cac:Party/cac:Contact/cbc:Telephone"/>
			</span>
		</xsl:if>
		<xsl:if test="$SupPartyCont/cac:Party/cac:Contact/cbc:Telefax !=''">
			<br/>
			<span class="UBLTelefax">
				<!-- Uwagi ogólne do faktury -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-22'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$SupPartyCont/cac:Party/cac:Contact/cbc:Telefax"/>
			</span>
		</xsl:if>
		<xsl:if test="$SupPartyCont/cac:Party/cac:Contact/cbc:ElectronicMail !=''">
			<br/>
			<span class="UBLElectronicMail">
				<!-- Adres e-mail -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-43'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$SupPartyCont/cac:Party/cac:Contact/cbc:ElectronicMail"/>
			</span>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="SupplierParty_Contact">
		<xsl:variable name="SupplierPartyCont" select="cac:SellerSupplierParty"/>
		<h4>
			<!-- Kontakt -->
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-218'"/>
				<xsl:with-param name="Colon-Suffix" select="false()"/>
			</xsl:call-template>
		</h4>
		<xsl:if test="$SupplierPartyCont/cac:Party/cac:Contact/cbc:ID">
			<small>
				<!-- Uwagi ogólne do faktury -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-22'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$SupplierPartyCont/cac:Party/cac:Contact/cbc:ID"/>
			</small>
		</xsl:if>
		<xsl:if test="$SupplierPartyCont/cac:Party/cac:Contact/cbc:Name !=''">
			<br/>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-56'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
			<xsl:value-of select="$SupplierPartyCont/cac:Party/cac:Contact/cbc:Name"/>
		</xsl:if>
		<xsl:if test="$SupplierPartyCont/cac:Party/cac:Contact/cbc:Telephone !=''">
			<br/>
			<span class="UBLTelephone">
				<!-- Numer telefonu -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-42'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$SupplierPartyCont/cac:Party/cac:Contact/cbc:Telephone"/>
			</span>
		</xsl:if>
		<xsl:if test="$SupplierPartyCont/cac:Party/cac:Contact/cbc:Telefax !=''">
			<br/>
			<span class="UBLTelefax">
				<!-- Uwagi ogólne do faktury -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-22'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$SupplierPartyCont/cac:Party/cac:Contact/cbc:Telefax"/>
			</span>
		</xsl:if>
		<xsl:if test="$SupplierPartyCont/cac:Party/cac:Contact/cbc:ElectronicMail !=''">
			<br/>
			<span class="UBLElectronicMail">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-43'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$SupplierPartyCont/cac:Party/cac:Contact/cbc:ElectronicMail"/>
			</span>
		</xsl:if>
			<br/>
			<xsl:if test="$SupplierPartyCont/cac:Party/cbc:EndpointID">
				<!-- Elektroniczny identyfikator PEF -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-34-1'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="$SupplierPartyCont/cac:Party/cbc:EndpointID"/>
				<xsl:if test="$SupplierPartyCont/cac:Party/cbc:EndpointID/@schemeID !='' ">
					[<xsl:value-of select="$SupplierPartyCont/cac:Party/cbc:EndpointID/@schemeID"/>]
				</xsl:if>
			</xsl:if>
	</xsl:template>
	
	<xsl:template name="SupplierParty_Registration">
		<xsl:variable name="SupplierPartyReg" select="cac:SellerSupplierParty"/>
		<!--Party legal registration: -->
		<h4>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-219'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
		</h4>
		<xsl:if test="$SupplierPartyReg/cac:Party/cac:PartyLegalEntity">
			<xsl:if test="$SupplierPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID">
				<br/>
				<small>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-210'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:apply-templates select="$SupplierPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID"/>
					<xsl:if test="$SupplierPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID/@schemeID !='' ">
						&#160;[<xsl:apply-templates select="$SupplierPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID/@schemeID"/>]
						<xsl:if test="$SupplierPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyLegalForm != ''">
							<br/>
							<xsl:apply-templates select="$SupplierPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyLegalForm"/>
						</xsl:if>
					</xsl:if>
				</small>
			</xsl:if>
			<xsl:if test="$SupplierPartyReg/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName !=''">
				<br/>
				<small>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-27'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:apply-templates select="$SupplierPartyReg/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
				</small>
			</xsl:if>
			<xsl:if test="$SupplierPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress !=''">
				<br/>
				<small>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-33'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:choose>
						<xsl:when test="$SupplierPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName !='' and 
							$SupplierPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country !=''">
							<xsl:value-of select="$SupplierPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName"/>,&#160;
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="$SupplierPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
                        ( <xsl:value-of select="$SupplierPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/> )
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="$SupplierPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName !=''">
								<xsl:value-of select="$SupplierPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName"/>
							</xsl:if>
							<xsl:if test="$SupplierPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country !=''">>
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="$SupplierPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
                        ( <xsl:value-of select="$SupplierPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/> )
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
				</small>
			</xsl:if>
		</xsl:if>
		<!--Party VAT registration: -->
		<xsl:if test="$SupplierPartyReg/cac:Party/cac:PartyTaxScheme">
			<small>
				<xsl:for-each select="$SupplierPartyReg/cac:Party/cac:PartyTaxScheme">
					<br/>
					<xsl:choose>
						<xsl:when test="cac:TaxScheme/cbc:ID = 'VAT'">
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-31'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
							<xsl:apply-templates select="cbc:CompanyID"/>
							<xsl:if test="cac:TaxScheme/cbc:ID !='' ">

						&#160;[<xsl:apply-templates select="cac:TaxScheme/cbc:ID"/>]

					</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-32'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
							<xsl:apply-templates select="cbc:CompanyID"/>
							<xsl:if test="cac:TaxScheme/cbc:ID !='' ">
						&#160;[<xsl:apply-templates select="cac:TaxScheme/cbc:ID"/>]
					</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="cbc:ExemptionReason">
						<br/>
						<!--xsl:value-of select="$moduleDoc/module/document-merge/g-funcs/g[@name='ExemptionReason']"/-->
						<!--xsl:value-of select="$moduleDocBT/SemanticModel/BusinessTerm[@id='BT-29' and @lang='en']/TermName"/-->
					&#160;<xsl:apply-templates select="cbc:ExemptionReason"/>
					</xsl:if>
				</xsl:for-each>
			</small>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="SellerParty_Registration">
		<xsl:variable name="SupPartyReg" select="cac:AccountingSupplierParty"/>
		<!--Party legal registration: -->
		<h4>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-219'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
		</h4>
		<xsl:if test="$SupPartyReg/cac:Party/cac:PartyLegalEntity">
			<xsl:if test="$SupPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID">
				<br/>
				<small>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-30'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:apply-templates select="$SupPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID"/>
					<xsl:if test="$SupPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID/@schemeID !='' ">
						&#160;[<xsl:apply-templates select="$SupPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID/@schemeID"/>]
						<xsl:if test="$SupPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyLegalForm != ''">
							<br/>
							<xsl:apply-templates select="$SupPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyLegalForm"/>
						</xsl:if>
					</xsl:if>
				</small>
			</xsl:if>
			<xsl:if test="$SupPartyReg/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName !=''">
				<br/>
				<small>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-27'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:apply-templates select="$SupPartyReg/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
				</small>
			</xsl:if>
			<xsl:if test="$SupPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress !=''">
				<br/>
				<small>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-33'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:choose>
						<xsl:when test="$SupPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName !='' and 
							$SupPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country !=''">
							<xsl:value-of select="$SupPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName"/>,&#160;
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="$SupPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
                        ( <xsl:value-of select="$SupPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/> )
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="$SupPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName !=''">
								<xsl:value-of select="$SupPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName"/>
							</xsl:if>
							<xsl:if test="$SupPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country !=''">
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="$SupPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
                        ( <xsl:value-of select="$SupPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/> )
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
				</small>
			</xsl:if>
		</xsl:if>
		<!--Party VAT registration: -->
		<xsl:if test="$SupPartyReg/cac:Party/cac:PartyTaxScheme">
			<small>
				<xsl:for-each select="$SupPartyReg/cac:Party/cac:PartyTaxScheme">
					<br/>
					<xsl:choose>
						<xsl:when test="cac:TaxScheme/cbc:ID = 'VAT'">
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-31'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
							<xsl:apply-templates select="cbc:CompanyID"/>
							<xsl:if test="cac:TaxScheme/cbc:ID !='' ">
						&#160;[<xsl:apply-templates select="cac:TaxScheme/cbc:ID"/>]
					</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-32'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
							<xsl:apply-templates select="cbc:CompanyID"/>
							<xsl:if test="cac:TaxScheme/cbc:ID !='' ">
						&#160;[<xsl:apply-templates select="cac:TaxScheme/cbc:ID"/>]
					</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="cbc:ExemptionReason">
						<br/>
						<!--xsl:value-of select="$moduleDoc/module/document-merge/g-funcs/g[@name='ExemptionReason']"/-->
						<!--xsl:value-of select="$moduleDocBT/SemanticModel/BusinessTerm[@id='BT-29' and @lang='en']/TermName"/-->
					&#160;<xsl:apply-templates select="cbc:ExemptionReason"/>
					</xsl:if>
				</xsl:for-each>
			</small>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="BuyerParty_Name">
		<xsl:variable name="BuyerPartyName" select="cac:BuyerCustomerParty"/>
		<xsl:choose>
			<xsl:when test="$BuyerPartyName/cac:Party/cac:PartyName !=''">
				<xsl:value-of select="$BuyerPartyName/cac:Party/cac:PartyName"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$BuyerPartyName/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="BuyerParty_Address">
		<xsl:variable name="BuyerPartyAddr" select="cac:BuyerCustomerParty"/>
		<h4>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BG-5'"/>
				<xsl:with-param name="Colon-Suffix" select="false()"/>
			</xsl:call-template>
		</h4>
		<xsl:if test="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cbc:StreetName !=''">
			<br/>
			<span class="UBLStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-35'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cbc:StreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cbc:AdditionalStreetName !=''">
			<!--<br/>-->
			<span>&#160;</span>
			<span class="UBLAdditionalStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-36'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cbc:AdditionalStreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cac:AddressLine/cbc:Line !=''">
			<!--<br/>-->
			<span>&#160;</span>
			<span class="UBLAdditionalStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-162'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cac:AddressLine/cbc:Line"/>
			</span>
		</xsl:if>
		<xsl:if test="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cbc:PostalZone !='' or $BuyerPartyAddr/cac:Party/cac:PostalAddress/cbc:CityName !=''">
			<br/>
			<span class="UBLCityName">
				<xsl:choose>
					<xsl:when test="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cbc:PostalZone !=''">
						<!--<br/>-->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-38'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cbc:PostalZone"/>&#160;
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-37'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cbc:CityName"/>
					</xsl:when>
					<xsl:otherwise>
						<br/>
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-37'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cbc:CityName"/>
					</xsl:otherwise>
				</xsl:choose>
			</span>
		</xsl:if>
		<xsl:if test="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity !='' or $BuyerPartyAddr/cac:Party/cac:PostalAddress/cac:Country !=''">
			<xsl:choose>
				<xsl:when test="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity !='' and $BuyerPartyAddr/cac:Party/cac:PostalAddress/cac:Country !=''">
					<br/>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-39'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:value-of select="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity"/>,<br/>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-40'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
                        ( <xsl:value-of select="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/> )
				</xsl:when>
				<xsl:otherwise>
					<br/>
					<xsl:if test="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity !=''">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-39'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
					<!--  	&#160;  -->
						<xsl:value-of select="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity"/>
					</xsl:if>
					<xsl:if test="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cac:Country !=''">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-40'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
					<!--  	&#160;  -->
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
                        ( <xsl:value-of select="$BuyerPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/> )
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="BuyerParty_Registration">
		<xsl:variable name="BuyerPartyReg" select="cac:BuyerCustomerParty"/>
		<!--Party legal registration: -->
		<h4>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-219'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
		</h4>
		<xsl:if test="$BuyerPartyReg/cac:Party/cac:PartyLegalEntity">
			<xsl:if test="$BuyerPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID">
				<br/>
				<small>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-30'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:apply-templates select="$BuyerPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID"/>
					<xsl:if test="$BuyerPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID/@schemeID !='' ">
						&#160;[<xsl:apply-templates select="$BuyerPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID/@schemeID"/>]
						<xsl:if test="$BuyerPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyLegalForm != ''">
							<br/>
							<xsl:apply-templates select="$BuyerPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyLegalForm"/>
						</xsl:if>
					</xsl:if>
				</small>
			</xsl:if>
			<xsl:if test="$BuyerPartyReg/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName !=''">
				<br/>
				<small>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-27'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:apply-templates select="$BuyerPartyReg/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
				</small>
			</xsl:if>
			<xsl:if test="$BuyerPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress !=''">
				<br/>
				<small>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-48-2'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:choose>
						<xsl:when test="$BuyerPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName !='' and 
							$BuyerPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country !=''">
							<xsl:value-of select="$BuyerPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName"/>,&#160;
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="$BuyerPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
                        ( <xsl:value-of select="$BuyerPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/> )
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="$BuyerPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName !=''">
								<xsl:value-of select="$BuyerPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName"/>
							</xsl:if>
							<xsl:if test="$BuyerPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country !=''">
								<xsl:call-template name="ISO3166Code">
									<xsl:with-param name="ISO3166Code" select="$BuyerPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/>
								</xsl:call-template>
							( <xsl:value-of select="$BuyerPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/> )
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
				</small>
			</xsl:if>
		</xsl:if>
		<!--Party VAT registration: -->
		<xsl:if test="$BuyerPartyReg/cac:Party/cac:PartyTaxScheme">
			<small>
				<xsl:for-each select="$BuyerPartyReg/cac:Party/cac:PartyTaxScheme">
					<br/>
					<xsl:choose>
						<xsl:when test="cac:TaxScheme/cbc:ID = 'VAT'">
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-71-2'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
							<xsl:apply-templates select="cbc:CompanyID"/>
							<xsl:if test="cac:TaxScheme/cbc:ID !='' ">
						&#160;[<xsl:apply-templates select="cac:TaxScheme/cbc:ID"/>]
					</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-71-3'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
							<xsl:apply-templates select="cbc:CompanyID"/>
							<xsl:if test="cac:TaxScheme/cbc:ID !='' ">
						&#160;[<xsl:apply-templates select="cac:TaxScheme/cbc:ID"/>]
					</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="cbc:ExemptionReason">
						<br/>
						<!--xsl:value-of select="$moduleDoc/module/document-merge/g-funcs/g[@name='ExemptionReason']"/-->
						<!--xsl:value-of select="$moduleDocBT/SemanticModel/BusinessTerm[@id='BT-29' and @lang='en']/TermName"/-->
					&#160;<xsl:apply-templates select="cbc:ExemptionReason"/>
					</xsl:if>
				</xsl:for-each>
			</small>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="SupplierParty_Name">
		<xsl:variable name="SupplierPartyName" select="cac:SellerSupplierParty"/>
		<xsl:choose>
			<xsl:when test="$SupplierPartyName/cac:Party/cac:PartyName !=''">
				<xsl:value-of select="$SupplierPartyName/cac:Party/cac:PartyName"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$SupplierPartyName/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="SupplierParty_Address">
		<xsl:variable name="SupplierPartyAddr" select="cac:SellerSupplierParty"/>
		<h4>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BG-5'"/>
				<xsl:with-param name="Colon-Suffix" select="false()"/>
			</xsl:call-template>
		</h4>
		<xsl:if test="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cbc:StreetName !=''">
			<br/>
			<span class="UBLStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-35'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cbc:StreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cbc:AdditionalStreetName !=''">
			<!--<br/>-->
			<span>&#160;</span>
			<span class="UBLAdditionalStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-36'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cbc:AdditionalStreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cac:AddressLine/cbc:Line !=''">
			<!--<br/>-->
			<span>&#160;</span>
			<span class="UBLAdditionalStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-162'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cac:AddressLine/cbc:Line"/>
			</span>
		</xsl:if>
		<xsl:if test="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cbc:PostalZone !='' or $SupplierPartyAddr/cac:Party/cac:PostalAddress/cbc:CityName !=''">
			<br/>
			<span class="UBLCityName">
				<xsl:choose>
					<xsl:when test="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cbc:PostalZone !=''">
						<!--<br/>-->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-38'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cbc:PostalZone"/>&#160;
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-37'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cbc:CityName"/>
					</xsl:when>
					<xsl:otherwise>
						<br/>
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-37'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cbc:CityName"/>
					</xsl:otherwise>
				</xsl:choose>
			</span>
		</xsl:if>
		<xsl:if test="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity !='' or $SupplierPartyAddr/cac:Party/cac:PostalAddress/cac:Country !=''">
			<xsl:choose>
				<xsl:when test="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity !='' and $SupplierPartyAddr/cac:Party/cac:PostalAddress/cac:Country !=''">
					<br/>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-39'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:value-of select="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity"/>,<br/>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-40'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
					( <xsl:value-of select="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/> )
				</xsl:when>
				<xsl:otherwise>
					<br/>
					<xsl:if test="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity !=''">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-39'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<!--  &#160;  -->
						<xsl:value-of select="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity"/>
					</xsl:if>
					<xsl:if test="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cac:Country !=''">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-40'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
							<!--	&#160;  -->
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
                        ( <xsl:value-of select="$SupplierPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/> )
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="DespatchParty_Name">
		<xsl:variable name="DespatchPartyName" select="cac:DespatchSupplierParty"/>
		<xsl:choose>
			<xsl:when test="$DespatchPartyName/cac:Party/cac:PartyName !=''">
				<xsl:value-of select="$DespatchPartyName/cac:Party/cac:PartyName"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$DespatchPartyName/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="DespatchParty_Address">
		<xsl:variable name="DespatchPartyAddr" select="cac:DespatchSupplierParty"/>
		<h4>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BG-5'"/>
				<xsl:with-param name="Colon-Suffix" select="false()"/>
			</xsl:call-template>
		</h4>
		<xsl:if test="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cbc:StreetName !=''">
			<br/>
			<span class="UBLStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-35'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cbc:StreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cbc:AdditionalStreetName !=''">
			<!--<br/>-->
			<span>&#160;</span>
			<span class="UBLAdditionalStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-36'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cbc:AdditionalStreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cac:AddressLine/cbc:Line !=''">
			<!--<br/>-->
			<span>&#160;</span>
			<span class="UBLAdditionalStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-162'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cac:AddressLine/cbc:Line"/>
			</span>
		</xsl:if>
		<xsl:if test="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cbc:PostalZone !='' or $DespatchPartyAddr/cac:Party/cac:PostalAddress/cbc:CityName !=''">
			<br/>
			<span class="UBLCityName">
				<xsl:choose>
					<xsl:when test="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cbc:PostalZone !=''">
						<!--<br/>-->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-38'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cbc:PostalZone"/>&#160;
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-37'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cbc:CityName"/>
					</xsl:when>
					<xsl:otherwise>
						<br/>
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-37'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cbc:CityName"/>
					</xsl:otherwise>
				</xsl:choose>
			</span>
		</xsl:if>
		<xsl:if test="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity !='' or $DespatchPartyAddr/cac:Party/cac:PostalAddress/cac:Country !=''">
			<xsl:choose>
				<xsl:when test="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity !='' and $DespatchPartyAddr/cac:Party/cac:PostalAddress/cac:Country !=''">
					<br/>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-39'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:value-of select="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity"/>,<br/>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-40'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:call-template name="ISO3166Code">
						<xsl:with-param name="ISO3166Code" select="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
					</xsl:call-template>
                        ( <xsl:value-of select="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/> )
				</xsl:when>
				<xsl:otherwise>
					<br/>
					<xsl:if test="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity !=''">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-39'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
					<!--  	&#160;  -->
						<xsl:value-of select="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity"/>
					</xsl:if>
					<xsl:if test="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cac:Country !=''">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-40'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
					<!--  	&#160;  -->
					<xsl:call-template name="ISO3166Code">
						<xsl:with-param name="ISO3166Code" select="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
					</xsl:call-template>
                        ( <xsl:value-of select="$DespatchPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/> )
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="DespatchParty_Registration">
		<xsl:variable name="DespatchPartyReg" select="cac:DespatchSupplierParty"/>
		<!--Party legal registration: -->
		<h4>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-219'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
		</h4>
		<xsl:if test="$DespatchPartyReg/cac:Party/cac:PartyLegalEntity">
			<xsl:if test="$DespatchPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID">
				<br/>
				<small>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-30'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:value-of select="$DespatchPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID"/>
					<xsl:if test="$DespatchPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID/@schemeID !='' ">

						&#160;[<xsl:apply-templates select="$DespatchPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID/@schemeID"/>]
						<xsl:if test="$DespatchPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyLegalForm != ''">
							<br/>
							<xsl:value-of select="$DespatchPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyLegalForm"/>
						</xsl:if>
					</xsl:if>
				</small>
			</xsl:if>
			<xsl:if test="$DespatchPartyReg/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName !=''">
				<br/>
				<small>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-27'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:value-of select="$DespatchPartyReg/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
				</small>
			</xsl:if>
			<xsl:if test="$DespatchPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress !=''">
				<br/>
				<small>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-33'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:choose>
						<xsl:when test="$DespatchPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName !='' and 
							$DespatchPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country !=''">
							<xsl:value-of select="$DespatchPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName"/>,&#160;
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="$DespatchPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
                        ( <xsl:value-of select="$DespatchPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/> )
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="$DespatchPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName !=''">
								<xsl:value-of select="$DespatchPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName"/>
							</xsl:if>
							<xsl:if test="$DespatchPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country !=''">
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="$DespatchPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
                        ( <xsl:value-of select="$DespatchPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/> )
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
				</small>
			</xsl:if>
		</xsl:if>
		<!--Party VAT registration: -->
		<xsl:if test="$DespatchPartyReg/cac:Party/cac:PartyTaxScheme">
			<small>
				<xsl:for-each select="$DespatchPartyReg/cac:Party/cac:PartyTaxScheme">
					<br/>
					<xsl:choose>
						<xsl:when test="cac:TaxScheme/cbc:ID = 'VAT'">
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-31'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
							<xsl:value-of select="cbc:CompanyID"/>
							<xsl:if test="cac:TaxScheme/cbc:ID !='' ">
						&#160;[<xsl:value-of select="cac:TaxScheme/cbc:ID"/>]
					</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-32'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
							<xsl:apply-templates select="cbc:CompanyID"/>
							<xsl:if test="cac:TaxScheme/cbc:ID !='' ">
						&#160;[<xsl:value-of select="cac:TaxScheme/cbc:ID"/>]
					</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="cbc:ExemptionReason">
						<br/>
						<!--xsl:value-of select="$moduleDoc/module/document-merge/g-funcs/g[@name='ExemptionReason']"/-->
						<!--xsl:value-of select="$moduleDocBT/SemanticModel/BusinessTerm[@id='BT-29' and @lang='en']/TermName"/-->
					&#160;<xsl:value-of select="cbc:ExemptionReason"/>
					</xsl:if>
				</xsl:for-each>
			</small>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="DespatchParty_Contact">
		<xsl:variable name="DespatchPartyCont" select="cac:DespatchSupplierParty"/>
		<h4>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-218'"/>
				<xsl:with-param name="Colon-Suffix" select="false()"/>
			</xsl:call-template>
		</h4>
		<br/>
		<xsl:if test="$DespatchPartyCont/cac:Party/cac:Contact/cbc:ID">
			<small>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-10'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DespatchPartyCont/cac:Party/cac:Contact/cbc:ID"/>
				<br/>
			</small>
		</xsl:if>
		<xsl:if test="$DespatchPartyCont/cac:Party/cac:Contact/cbc:Name !=''">
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-56'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
			<xsl:value-of select="$DespatchPartyCont/cac:Party/cac:Contact/cbc:Name"/>
			<br/>
		</xsl:if>
		<xsl:if test="$DespatchPartyCont/cac:Party/cac:Contact/cbc:Telephone !=''">
			<span class="UBLTelephone">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-57'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DespatchPartyCont/cac:Party/cac:Contact/cbc:Telephone"/>
			</span>
			<br/>
		</xsl:if>
		<xsl:if test="$DespatchPartyCont/cac:Party/cac:Contact/cbc:Telefax !=''">
			<span class="UBLTelefax">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-22'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DespatchPartyCont/cac:Party/cac:Contact/cbc:Telefax"/>
			</span>
			<br/>
		</xsl:if>
		<xsl:if test="$DespatchPartyCont/cac:Party/cac:Contact/cbc:ElectronicMail !=''">
			<span class="UBLElectronicMail">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-58'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DespatchPartyCont/cac:Party/cac:Contact/cbc:ElectronicMail"/>
			</span>
			<br/>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="Originator_Name">
		<xsl:variable name="CustPartyName" select="cac:OriginatorCustomerParty"/>
		<xsl:choose>
			<xsl:when test="$CustPartyName/cac:Party/cac:PartyName !=''">
				<xsl:value-of select="$CustPartyName/cac:Party/cac:PartyName"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$CustPartyName/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="Originator_Contact">
		<xsl:variable name="OriginatorPartyCont" select="cac:OriginatorCustomerParty"/>
		<h4>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-218'"/>
				<xsl:with-param name="Colon-Suffix" select="false()"/>
			</xsl:call-template>
		</h4>
		<br/>
		<xsl:if test="$OriginatorPartyCont/cac:Party/cac:Contact/cbc:ID">
			<small>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-10'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$OriginatorPartyCont/cac:Party/cac:Contact/cbc:ID"/>
				<br/>
			</small>
		</xsl:if>
		<xsl:if test="$OriginatorPartyCont/cac:Party/cac:Contact/cbc:Name !=''">
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-56'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
			<xsl:value-of select="$OriginatorPartyCont/cac:Party/cac:Contact/cbc:Name"/>
			<br/>
		</xsl:if>
		<xsl:if test="$OriginatorPartyCont/cac:Party/cac:Contact/cbc:Telephone !=''">
			<span class="UBLTelephone">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-57'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$OriginatorPartyCont/cac:Party/cac:Contact/cbc:Telephone"/>
			</span>
			<br/>
		</xsl:if>
		<xsl:if test="$OriginatorPartyCont/cac:Party/cac:Contact/cbc:Telefax !=''">
			<span class="UBLTelefax">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-22'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$OriginatorPartyCont/cac:Party/cac:Contact/cbc:Telefax"/>
			</span>
			<br/>
		</xsl:if>
		<xsl:if test="$OriginatorPartyCont/cac:Party/cac:Contact/cbc:ElectronicMail !=''">
			<span class="UBLElectronicMail">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-58'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$OriginatorPartyCont/cac:Party/cac:Contact/cbc:ElectronicMail"/>
			</span>
			<br/>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="CustomerParty_Name">
		<xsl:variable name="CustPartyName" select="cac:AccountingCustomerParty"/>
		<xsl:choose>
			<xsl:when test="$CustPartyName/cac:Party/cac:PartyName !=''">
				<xsl:value-of select="$CustPartyName/cac:Party/cac:PartyName"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$CustPartyName/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="CustomerParty_Address">
		<xsl:variable name="CustPartyAddr" select="cac:AccountingCustomerParty"/>
		<h4>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BG-5'"/>
				<xsl:with-param name="Colon-Suffix" select="false()"/>
			</xsl:call-template>
		</h4>
		<xsl:if test="$CustPartyAddr/cac:Party/cac:PostalAddress/cbc:StreetName !=''">
			<br/>
			<span class="UBLStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-35'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$CustPartyAddr/cac:Party/cac:PostalAddress/cbc:StreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="$CustPartyAddr/cac:Party/cac:PostalAddress/cbc:AdditionalStreetName !=''">
			<!--<br/>-->
			<span>&#160;</span>
			<span class="UBLAdditionalStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-36'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$CustPartyAddr/cac:Party/cac:PostalAddress/cbc:AdditionalStreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="$CustPartyAddr/cac:Party/cac:PostalAddress/cac:AddressLine/cbc:Line !=''">
			<!--<br/>-->
			<span>&#160;</span>
			<span class="UBLAdditionalStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-162'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$CustPartyAddr/cac:Party/cac:PostalAddress/cac:AddressLine/cbc:Line"/>
			</span>
		</xsl:if>
		<xsl:if test="$CustPartyAddr/cac:Party/cac:PostalAddress/cbc:PostalZone !='' or $CustPartyAddr/cac:Party/cac:PostalAddress/cbc:CityName !=''">
			<br/>
			<span class="UBLCityName">
				<xsl:choose>
					<xsl:when test="$CustPartyAddr/cac:Party/cac:PostalAddress/cbc:PostalZone !=''">
						<!--<br/>-->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-38'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$CustPartyAddr/cac:Party/cac:PostalAddress/cbc:PostalZone"/>&#160;
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-37'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$CustPartyAddr/cac:Party/cac:PostalAddress/cbc:CityName"/>
					</xsl:when>
					<xsl:otherwise>
						<br/>
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-37'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$CustPartyAddr/cac:Party/cac:PostalAddress/cbc:CityName"/>
					</xsl:otherwise>
				</xsl:choose>
			</span>
		</xsl:if>
		<xsl:if test="$CustPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity !='' or $CustPartyAddr/cac:Party/cac:PostalAddress/cac:Country !=''">
			<xsl:choose>
				<xsl:when test="$CustPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity !='' and $CustPartyAddr/cac:Party/cac:PostalAddress/cac:Country !=''">
					<br/>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-39'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:value-of select="$CustPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity"/>,<br/>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-40'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:call-template name="ISO3166Code">
						<xsl:with-param name="ISO3166Code" select="$CustPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
					</xsl:call-template>
                        ( <xsl:value-of select="$CustPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/> )
				</xsl:when>
				<xsl:otherwise>
					<br/>
					<xsl:if test="$CustPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity !=''">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-39'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
					<!--  	&#160;  -->
						<xsl:value-of select="$CustPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity"/>
					</xsl:if>
					<xsl:if test="$CustPartyAddr/cac:Party/cac:PostalAddress/cac:Country !=''">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-40'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
					<!--  	&#160;  -->
					<xsl:call-template name="ISO3166Code">
						<xsl:with-param name="ISO3166Code" select="$CustPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
					</xsl:call-template>
                        ( <xsl:value-of select="$CustPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/> )
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="CustomerParty_Registration">
		<xsl:variable name="CustPartyReg" select="cac:AccountingCustomerParty"/>
		<!--Party legal registration: -->
		<h4>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-219'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
		</h4>
		<xsl:if test="$CustPartyReg/cac:Party/cac:PartyLegalEntity">
			<xsl:if test="$CustPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID">
				<br/>
				<small>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-47'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:value-of select="$CustPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID"/>
					<xsl:if test="$CustPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID/@schemeID !='' ">
						&#160;[<xsl:apply-templates select="$CustPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID/@schemeID"/>]
						<xsl:if test="$CustPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyLegalForm != ''">
							<br/>
							<xsl:value-of select="$CustPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyLegalForm"/>
						</xsl:if>
					</xsl:if>
				</small>
			</xsl:if>
			<xsl:if test="$CustPartyReg/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName !=''">
				<br/>
				<small>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-27'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:value-of select="$CustPartyReg/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
				</small>
			</xsl:if>
			<xsl:if test="$CustPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress !=''">
				<br/>
				<small>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-48-1'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:choose>
						<xsl:when test="$CustPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName !='' and 
							$CustPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country !=''">
							<xsl:value-of select="$CustPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName"/>,&#160;
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="$CustPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
                        ( <xsl:value-of select="$CustPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/> )
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="$CustPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName !=''">
								<xsl:value-of select="$CustPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName"/>
							</xsl:if>
							<xsl:if test="$CustPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country !=''">
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="$CustPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
                        ( <xsl:value-of select="$CustPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/> )
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
				</small>
			</xsl:if>
		</xsl:if>
		<!--Party VAT registration: -->
		<xsl:if test="$CustPartyReg/cac:Party/cac:PartyTaxScheme">
			<small>
				<xsl:for-each select="$CustPartyReg/cac:Party/cac:PartyTaxScheme">
					<br/>
					<xsl:choose>
						<xsl:when test="cac:TaxScheme/cbc:ID = 'VAT'">
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-48'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
							<xsl:value-of select="cbc:CompanyID"/>
							<xsl:if test="cac:TaxScheme/cbc:ID !='' ">
						&#160;[<xsl:value-of select="cac:TaxScheme/cbc:ID"/>]
					</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-32'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
							<xsl:apply-templates select="cbc:CompanyID"/>
							<xsl:if test="cac:TaxScheme/cbc:ID !='' ">
						&#160;[<xsl:value-of select="cac:TaxScheme/cbc:ID"/>]
					</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="cbc:ExemptionReason">
						<br/>
						<!--xsl:value-of select="$moduleDoc/module/document-merge/g-funcs/g[@name='ExemptionReason']"/-->
						<!--xsl:value-of select="$moduleDocBT/SemanticModel/BusinessTerm[@id='BT-29' and @lang='en']/TermName"/-->
					&#160;<xsl:value-of select="cbc:ExemptionReason"/>
					</xsl:if>
				</xsl:for-each>
			</small>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="CustomerParty_Contact">
		<xsl:variable name="CustPartyCont" select="cac:AccountingCustomerParty"/>
		<h4>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-218'"/>
				<xsl:with-param name="Colon-Suffix" select="false()"/>
			</xsl:call-template>
		</h4>
		<br/>
		<xsl:if test="$CustPartyCont/cac:Party/cac:Contact/cbc:ID">
			<small>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-10'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$CustPartyCont/cac:Party/cac:Contact/cbc:ID"/>
				<br/>
			</small>
		</xsl:if>
		<xsl:if test="$CustPartyCont/cac:Party/cac:Contact/cbc:Name !=''">
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-56'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
			<xsl:value-of select="$CustPartyCont/cac:Party/cac:Contact/cbc:Name"/>
			<br/>
		</xsl:if>
		<xsl:if test="$CustPartyCont/cac:Party/cac:Contact/cbc:Telephone !=''">
			<span class="UBLTelephone">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-57'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$CustPartyCont/cac:Party/cac:Contact/cbc:Telephone"/>
			</span>
			<br/>
		</xsl:if>
		<xsl:if test="$CustPartyCont/cac:Party/cac:Contact/cbc:Telefax !=''">
			<span class="UBLTelefax">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-22'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$CustPartyCont/cac:Party/cac:Contact/cbc:Telefax"/>
			</span>
			<br/>
		</xsl:if>
		<xsl:if test="$CustPartyCont/cac:Party/cac:Contact/cbc:ElectronicMail !=''">
			<span class="UBLElectronicMail">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-58'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$CustPartyCont/cac:Party/cac:Contact/cbc:ElectronicMail"/>
			</span>
			<br/>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="Buyer_Contact">
		<xsl:variable name="CustPartyCont" select="cac:BuyerCustomerParty"/>
		<h4>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-218'"/>
				<xsl:with-param name="Colon-Suffix" select="false()"/>
			</xsl:call-template>
		</h4>
		<br/>
		<xsl:if test="$CustPartyCont/cac:Party/cac:Contact/cbc:ID">
			<small>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-10'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$CustPartyCont/cac:Party/cac:Contact/cbc:ID"/>
				<br/>
			</small>
		</xsl:if>
		<xsl:if test="$CustPartyCont/cac:Party/cac:Contact/cbc:Name !=''">
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-56'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
			<xsl:value-of select="$CustPartyCont/cac:Party/cac:Contact/cbc:Name"/>
			<br/>
		</xsl:if>
		<xsl:if test="$CustPartyCont/cac:Party/cac:Contact/cbc:Telephone !=''">
			<span class="UBLTelephone">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-57'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$CustPartyCont/cac:Party/cac:Contact/cbc:Telephone"/>
			</span>
			<br/>
		</xsl:if>
		<xsl:if test="$CustPartyCont/cac:Party/cac:Contact/cbc:Telefax !=''">
			<span class="UBLTelefax">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-22'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$CustPartyCont/cac:Party/cac:Contact/cbc:Telefax"/>
			</span>
			<br/>
		</xsl:if>
		<xsl:if test="$CustPartyCont/cac:Party/cac:Contact/cbc:ElectronicMail !=''">
			<span class="UBLElectronicMail">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-58'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$CustPartyCont/cac:Party/cac:Contact/cbc:ElectronicMail"/>
			</span>
			<br/>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="DeliveryParty_Name">
		<xsl:variable name="DeliveryPartyName" select="cac:DeliveryCustomerParty"/>
		<xsl:choose>
			<xsl:when test="$DeliveryPartyName/cac:Party/cac:PartyName !=''">
				<xsl:value-of select="$DeliveryPartyName/cac:Party/cac:PartyName"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$DeliveryPartyName/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="DeliveryParty_Address">
		<xsl:variable name="DeliveryPartyAddr" select="cac:DeliveryCustomerParty"/>
		<h4>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BG-5'"/>
				<xsl:with-param name="Colon-Suffix" select="false()"/>
			</xsl:call-template>
		</h4>
		<xsl:if test="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cbc:StreetName !=''">
			<br/>
			<span class="UBLStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-35'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cbc:StreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cbc:AdditionalStreetName !=''">
			<!--<br/>-->
			<span>&#160;</span>
			<span class="UBLAdditionalStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-36'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cbc:AdditionalStreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cac:AddressLine/cbc:Line !=''">
			<!--<br/>-->
			<span>&#160;</span>
			<span class="UBLAdditionalStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-162'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cac:AddressLine/cbc:Line"/>
			</span>
		</xsl:if>
		<xsl:if test="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cbc:PostalZone !='' or $DeliveryPartyAddr/cac:Party/cac:PostalAddress/cbc:CityName !=''">
			<br/>
			<span class="UBLCityName">
				<xsl:choose>
					<xsl:when test="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cbc:PostalZone !=''">
						<!--<br/>-->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-38'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cbc:PostalZone"/>&#160;
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-37'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cbc:CityName"/>
					</xsl:when>
					<xsl:otherwise>
						<br/>
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-37'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:value-of select="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cbc:CityName"/>
					</xsl:otherwise>
				</xsl:choose>
			</span>
		</xsl:if>
		<xsl:if test="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity !='' or $DeliveryPartyAddr/cac:Party/cac:PostalAddress/cac:Country !=''">
			<xsl:choose>
				<xsl:when test="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity !='' and $DeliveryPartyAddr/cac:Party/cac:PostalAddress/cac:Country !=''">
					<br/>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-39'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:value-of select="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity"/>,<br/>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-40'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:call-template name="ISO3166Code">
						<xsl:with-param name="ISO3166Code" select="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
					</xsl:call-template>
                        ( <xsl:value-of select="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/> )
				</xsl:when>
				<xsl:otherwise>
					<br/>
					<xsl:if test="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity !=''">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-39'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
					<!--  	&#160;  -->
						<xsl:value-of select="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cbc:CountrySubentity"/>
					</xsl:if>
					<xsl:if test="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cac:Country !=''">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-40'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
					<!--  	&#160;  -->
					<xsl:call-template name="ISO3166Code">
						<xsl:with-param name="ISO3166Code" select="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
					</xsl:call-template>
                        ( <xsl:value-of select="$DeliveryPartyAddr/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/> )
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="DeliveryParty_Registration">
		<xsl:variable name="DeliveryPartyReg" select="cac:DeliveryCustomerParty"/>
		<!--Party legal registration: -->
		<h4>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-219'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
		</h4>
		<xsl:if test="$DeliveryPartyReg/cac:Party/cac:PartyLegalEntity">
			<xsl:if test="$DeliveryPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID">
				<br/>
				<small>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-30'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:value-of select="$DeliveryPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID"/>
					<xsl:if test="$DeliveryPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID/@schemeID !='' ">

						&#160;[<xsl:apply-templates select="$DeliveryPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyID/@schemeID"/>]
						<xsl:if test="$DeliveryPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyLegalForm != ''">
							<br/>
							<xsl:value-of select="$DeliveryPartyReg/cac:Party/cac:PartyLegalEntity/cbc:CompanyLegalForm"/>
						</xsl:if>
					</xsl:if>
				</small>
			</xsl:if>
			<xsl:if test="$DeliveryPartyReg/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName !=''">
				<br/>
				<small>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-27'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:value-of select="$DeliveryPartyReg/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
				</small>
			</xsl:if>
			<xsl:if test="$DeliveryPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress !=''">
				<br/>
				<small>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-33'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:choose>
						<xsl:when test="$DeliveryPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName !='' and 
							$DeliveryPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country !=''">
							<xsl:value-of select="$DeliveryPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName"/>,&#160;
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="$DeliveryPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
                        ( <xsl:value-of select="$DeliveryPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/> )
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="$DeliveryPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName !=''">
								<xsl:value-of select="$DeliveryPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName"/>
							</xsl:if>
							<xsl:if test="$DeliveryPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country !=''">
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="$DeliveryPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
                        ( <xsl:value-of select="$DeliveryPartyReg/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/> )
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
				</small>
			</xsl:if>
		</xsl:if>
		<!--Party VAT registration: -->
		<xsl:if test="$DeliveryPartyReg/cac:Party/cac:PartyTaxScheme">
			<small>
				<xsl:for-each select="$DeliveryPartyReg/cac:Party/cac:PartyTaxScheme">
					<br/>
					<xsl:choose>
						<xsl:when test="cac:TaxScheme/cbc:ID = 'VAT'">
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-31'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
							<xsl:value-of select="cbc:CompanyID"/>
							<xsl:if test="cac:TaxScheme/cbc:ID !='' ">
						&#160;[<xsl:value-of select="cac:TaxScheme/cbc:ID"/>]
					</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-32'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
							<xsl:apply-templates select="cbc:CompanyID"/>
							<xsl:if test="cac:TaxScheme/cbc:ID !='' ">
						&#160;[<xsl:value-of select="cac:TaxScheme/cbc:ID"/>]
					</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="cbc:ExemptionReason">
						<br/>
						<!--xsl:value-of select="$moduleDoc/module/document-merge/g-funcs/g[@name='ExemptionReason']"/-->
						<!--xsl:value-of select="$moduleDocBT/SemanticModel/BusinessTerm[@id='BT-29' and @lang='en']/TermName"/-->
					&#160;<xsl:value-of select="cbc:ExemptionReason"/>
					</xsl:if>
				</xsl:for-each>
			</small>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="DeliveryParty_Contact">
		<xsl:variable name="DeliveryPartyCont" select="cac:DeliveryCustomerParty"/>
		<h4>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-218'"/>
				<xsl:with-param name="Colon-Suffix" select="false()"/>
			</xsl:call-template>
		</h4>
		<br/>
		<xsl:if test="$DeliveryPartyCont/cac:Party/cac:Contact/cbc:ID">
			<small>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-10'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DeliveryPartyCont/cac:Party/cac:Contact/cbc:ID"/>
				<br/>
			</small>
		</xsl:if>
		<xsl:if test="$DeliveryPartyCont/cac:Party/cac:Contact/cbc:Name !=''">
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-56'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
			<xsl:value-of select="$DeliveryPartyCont/cac:Party/cac:Contact/cbc:Name"/>
			<br/>
		</xsl:if>
		<xsl:if test="$DeliveryPartyCont/cac:Party/cac:Contact/cbc:Telephone !=''">
			<span class="UBLTelephone">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-57'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DeliveryPartyCont/cac:Party/cac:Contact/cbc:Telephone"/>
			</span>
			<br/>
		</xsl:if>
		<xsl:if test="$DeliveryPartyCont/cac:Party/cac:Contact/cbc:Telefax !=''">
			<span class="UBLTelefax">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-22'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DeliveryPartyCont/cac:Party/cac:Contact/cbc:Telefax"/>
			</span>
			<br/>
		</xsl:if>
		<xsl:if test="$DeliveryPartyCont/cac:Party/cac:Contact/cbc:ElectronicMail !=''">
			<span class="UBLElectronicMail">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-58'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DeliveryPartyCont/cac:Party/cac:Contact/cbc:ElectronicMail"/>
			</span>
			<br/>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="DeliveryParty_DeliveryContact">
		<xsl:variable name="DeliveryPartyDeliveryCont" select="cac:DeliveryCustomerParty/cac:DeliveryContact"/>
		<xsl:if test="$DeliveryPartyDeliveryCont/cbc:Name !='' or $DeliveryPartyDeliveryCont/cbc:ID">
			<h4>
				<!-- Kontakt -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-218'"/>
					<xsl:with-param name="Colon-Suffix" select="false()"/>
				</xsl:call-template>
			</h4>
		</xsl:if>
		<br/>
		<xsl:if test="$DeliveryPartyDeliveryCont/cbc:ID">
			<small>
				<!-- Znak kupującego -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-10'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DeliveryPartyDeliveryCont/cbc:ID"/>
				<br/>
			</small>
		</xsl:if>
		<xsl:if test="$DeliveryPartyDeliveryCont/cbc:Name !=''">
			<!-- Punkt kontaktowy / osoba -->
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-56'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
			<xsl:value-of select="$DeliveryPartyDeliveryCont/cbc:Name"/>
			<br/>
		</xsl:if>
		<xsl:if test="$DeliveryPartyDeliveryCont/cbc:Telephone !=''">
			<span class="UBLTelephone">
				<!-- Numer telefonu osoby kontaktowej -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-57'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DeliveryPartyDeliveryCont/cbc:Telephone"/>
			</span>
			<br/>
		</xsl:if>
		<xsl:if test="$DeliveryPartyDeliveryCont/cbc:Telefax !=''">
			<span class="UBLTelefax">
				<!-- Uwagi ogólne do faktury -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-22'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DeliveryPartyDeliveryCont/cbc:Telefax"/>
			</span>
			<br/>
		</xsl:if>
		<xsl:if test="$DeliveryPartyDeliveryCont/cbc:ElectronicMail !=''">
			<span class="UBLElectronicMail">
				<!-- Adres e-mail osoby kontaktowej -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-58'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DeliveryPartyDeliveryCont/cbc:ElectronicMail"/>
			</span>
			<br/>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="Delivery_Contact">
		<xsl:variable name="DeliveryCont" select="cac:Delivery/cac:DeliveryParty"/>
		<xsl:if test="$DeliveryCont/cac:Contact/cbc:Name !='' or $DeliveryCont/cac:Contact/cbc:ID">
			<h4>
				<!-- Kontakt -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-218'"/>
					<xsl:with-param name="Colon-Suffix" select="false()"/>
				</xsl:call-template>
			</h4>
			<br/>
		</xsl:if>
		<xsl:if test="$DeliveryCont/cac:Contact/cbc:ID">
			<small>
				<!-- Znak kupującego -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-10'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DeliveryCont/cac:Contact/cbc:ID"/>
				<br/>
			</small>
		</xsl:if>
		<xsl:if test="$DeliveryCont/cac:Contact/cbc:Name !=''">
			<!-- Imię i nazwisko -->
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-56'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
			<xsl:value-of select="$DeliveryCont/cac:Contact/cbc:Name"/>
			<br/>
		</xsl:if>
		<xsl:if test="$DeliveryCont/cac:Contact/cbc:Telephone !=''">
			<span class="UBLTelephone">
				<!-- Numer telefonu -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-57'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DeliveryCont/cac:Contact/cbc:Telephone"/>
			</span>
			<br/>
		</xsl:if>
		<xsl:if test="$DeliveryCont/cac:Contact/cbc:ElectronicMail !=''">
			<span class="UBLElectronicMail">
				<!-- e-mail -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-58'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:value-of select="$DeliveryCont/cac:Contact/cbc:ElectronicMail"/>
			</span>
			<br/>
		</xsl:if>
		<xsl:if test="local-name(.) != 'Invoice'">
		<p>
			<xsl:if test="$DeliveryCont/../cac:DeliveryLocation/cbc:ID">
				<br/>
				<!-- Elektroniczny identyfikator PEF -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-34-1'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<br/>
				<xsl:apply-templates select="$DeliveryCont/../cac:DeliveryLocation/cbc:ID"/>
				<xsl:if test="$DeliveryCont/../cac:DeliveryLocation/cbc:ID/@schemeID !='' ">
					[<xsl:value-of select="$DeliveryCont/../cac:DeliveryLocation/cbc:ID/@schemeID"/>]
				</xsl:if>
			</xsl:if>
		</p>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="OrderLine">
		<xsl:for-each select="cac:OrderLine">
			<tr>
				<td id="td_col1" align="center">
					<xsl:value-of select="cac:LineItem/cbc:ID"/>
				</td>
				<td id="td_col3" width="40%">
					<xsl:value-of select="cac:LineItem/cac:Item/cbc:Name"/>
					<br/>
					<br/>
					<small>
						<xsl:if test="cac:LineItem/cac:Item/cac:StandardItemIdentification/cbc:ID !=''">
							<strong>
								<!-- Identyfikator standardowy -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-157'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac:LineItem/cac:Item/cac:StandardItemIdentification/cbc:ID"/>
							<xsl:choose>
								<xsl:when test="cac:LineItem/cac:Item/cac:StandardItemIdentification/cbc:ID/@schemeID !=''">
									<small>&#160;[<xsl:value-of select="cac:LineItem/cac:Item/cac:StandardItemIdentification/cbc:ID/@schemeID"/>]</small>
								</xsl:when>
								<xsl:otherwise>
									<small>&#160;[No schemeID]</small>
								</xsl:otherwise>
							</xsl:choose>
							<br/>
						</xsl:if>
						<xsl:if test="cac:LineItem/cac:Item/cbc:Description !=''">
							<strong>
								<!-- Opis -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-154'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac:LineItem/cac:Item/cbc:Description"/>
							<br/>
						</xsl:if>
						<xsl:if test="cac:LineItem/cac:Item/cac:SellersItemIdentification/cbc:ID !=''">
							<strong>
								<!-- Identyfikator wg sprzedającego -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-155'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac:LineItem/cac:Item/cac:SellersItemIdentification/cbc:ID"/>
							<br/>
						</xsl:if>
						<!-- obciążenia dla pozycji -->
						<xsl:if test="cac:LineItem/cac:AllowanceCharge !=''">
							<strong>
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-223-1'"/>
									<xsl:with-param name="Colon-Suffix" select="false()"/>
								</xsl:call-template>
							</strong>
							<br/>
							<span style="font-size:0.8vw; text-align: left;">
								<table>
									<tbody>
										<tr>
											<!-- do poprawienia identyfikatory nagłówków tabeli -->
											<th style="font-size:0.8vw" align="left">Powód</th>
											<th style="font-size:0.8vw" align="right">Kwota bazowa</th>
											<th style="font-size:0.8vw" align="right">Procent obciążenia</th>
											<th style="font-size:0.8vw" align="right">Kwota obciążenia</th>
										</tr>
										<xsl:for-each select="cac:LineItem/cac:AllowanceCharge[cbc:ChargeIndicator='true']">
											<tr>
												<td style="font-size:0.8vw">
													<xsl:value-of select="cbc:AllowanceChargeReason"/>
												</td>
												<td style="font-size:0.8vw" align="right">
													<xsl:value-of select='format-number(cbc:BaseAmount, "#0.00")'/>&#160;
													<xsl:value-of select="cbc:BaseAmount/@currencyID"/>
												</td>
												<td style="font-size:0.8vw" align="right">
													<xsl:value-of select="cbc:MultiplierFactorNumeric"/>%
												</td>
												<td style="font-size:0.8vw" align="right">
													<xsl:value-of select='format-number(cbc:Amount, "#0.00")'/>&#160;
													<xsl:value-of select="cbc:Amount/@currencyID"/>
												</td>
											</tr>
										</xsl:for-each>
									</tbody>
								</table>
							</span>
						</xsl:if>
						<!-- upusty dla pozycji -->
						<xsl:if test="cac:LineItem/cac:AllowanceCharge[cbc:ChargeIndicator=true] !=''">
							<strong>
								<!-- Dodatkowe upusty -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-223-2'"/>
									<xsl:with-param name="Colon-Suffix" select="false()"/>
								</xsl:call-template>
							</strong>
							<br/>
							<span style="font-size:0.8vw">
								<table>
									<tbody>
										<tr>
											<!-- do poprawienia identyfikatory nagłówków tabeli -->
											<th style="font-size:0.8vw" align="left">Powód</th>
											<th style="font-size:0.8vw" align="right">Kwota bazowa</th>
											<th style="font-size:0.8vw" align="right">Procent upustu</th>
											<th style="font-size:0.8vw" align="right">Kwota upustu</th>
										</tr>
										<xsl:for-each select="cac:LineItem/cac:AllowanceCharge[cbc:ChargeIndicator='false']">
											<tr>
												<td style="font-size:0.8vw">
													<xsl:value-of select="cbc:AllowanceChargeReason"/>
												</td>
												<td style="font-size:0.8vw" align="right">
													<xsl:value-of select='format-number(cbc:BaseAmount, "#0.00")'/>&#160;
													<xsl:value-of select="cbc:BaseAmount/@currencyID"/>
												</td>
												<td style="font-size:0.8vw" align="right">
													<xsl:value-of select="cbc:MultiplierFactorNumeric"/>%
												</td>
												<td style="font-size:0.8vw" align="right">
													<xsl:value-of select='format-number(cbc:Amount, "#0.00")'/>&#160;
													<xsl:value-of select="cbc:Amount/@currencyID"/>
												</td>
											</tr>
										</xsl:for-each>
									</tbody>
								</table>
							</span>
						</xsl:if>
						<!-- upusty w cenie -->
						<xsl:if test="cac:LineItem/cac:Price/cac:AllowanceCharge[cbc:ChargeIndicator=false] !=''">
							<strong>
								<!-- Upusty w cenie -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-224'"/>
									<xsl:with-param name="Colon-Suffix" select="false()"/>
								</xsl:call-template>
							</strong>
							<br/>
							<span style="font-size:0.8vw; text-align: left;">
								<table>
									<tbody>
										<tr>
											<th style="font-size:0.8vw" align="right">Kwota bazowa</th>
											<th style="font-size:0.8vw" align="right">Kwota upustu</th>
										</tr>
										<tr>
											<td style="font-size:0.8vw" align="right">
												<xsl:value-of select='format-number(cac:LineItem/cac:Price/cac:AllowanceCharge/cbc:BaseAmount, "#0.00")'/>&#160;
												<xsl:value-of select="cac:LineItem/cac:Price/cac:AllowanceCharge/cbc:BaseAmount/@currencyID"/>
											</td>
											<td style="font-size:0.8vw" align="right">
												<xsl:value-of select='format-number(cac:LineItem/cac:Price/cac:AllowanceCharge/cbc:Amount, "#0.00")'/>&#160;
												<xsl:value-of select="cac:LineItem/cac:Price/cac:AllowanceCharge/cbc:Amount/@currencyID"/>
											</td>
										</tr>
									</tbody>
								</table>
							</span>
						</xsl:if>
						<!-- dodatkowe właściwości -->
						<xsl:if test="cac:LineItem/cac:Item/cac:AdditionalItemProperty !=''">
							<h4>
								<!-- Dodatkowe właściwości -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-222'"/>
									<xsl:with-param name="Colon-Suffix" select="false()"/>
								</xsl:call-template>
							</h4>
							<br/>
							<span style="font-size:0.8vw; text-align: left;">
								<table>
									<tbody>
										<tr>
											<!-- do poprawienia identyfikatory nagłówków tabeli -->
											<th style="font-size:0.8vw" align="left">Nazwa</th>
											<th style="font-size:0.8vw" align="left">Wartość</th>
											<th style="font-size:0.8vw" align="right">Ilość</th>
											<th style="font-size:0.8vw" align="right">Jednostka</th>
											<th style="font-size:0.8vw" align="right">Kwalifikator wartości</th>
										</tr>
										<xsl:for-each select="cac:LineItem/cac:Item/cac:AdditionalItemProperty">
											<tr>
												<td style="font-size:0.8vw">
													<xsl:value-of select="cbc:Name"/>
												</td>
												<td style="font-size:0.8vw">
													<xsl:value-of select="cbc:Value"/>
												</td>
												<td style="font-size:0.8vw" align="right">
													<xsl:value-of select="cbc:ValueQuantity"/>
												</td>
												<td style="font-size:0.8vw" align="right">
													<xsl:call-template name="UNECECode">
														<xsl:with-param name="UNECECode" select="cbc:ValueQuantity/@unitCode"/>
													</xsl:call-template>
												</td>
												<td style="font-size:0.8vw" align="right">
													<xsl:value-of select="cbc:ValueQualifier"/>
												</td>
											</tr>
										</xsl:for-each>
									</tbody>
								</table>
							</span>
						</xsl:if>
						<xsl:if test="cbc:Note !=''">
							<br/>
							<strong>
								<!-- Uwaga -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-127'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cbc:Note"/>
							<br/>
						</xsl:if>
						<xsl:if test="cac:LineItem/cac:Item/cac:CommodityClassification !=''">
							<strong>
								<xsl:value-of select="cac:LineItem/cac:Item/cac:CommodityClassification/cbc:ItemClassificationCode/@listID"/> :</strong>&#160;
							<xsl:value-of select="cac:LineItem/cac:Item/cac:CommodityClassification/cbc:ItemClassificationCode"/>
							<br/>
						</xsl:if>
						<xsl:if test="cac:LineItem/cac:Item/cac:BuyersItemIdentification/cbc:ID != ''">
							<strong>
								<!-- Identyfikator pozycji wg kupującego -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-156'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac:LineItem/cac:Item/cac:BuyersItemIdentification/cbc:ID"/>
							<br/>
						</xsl:if>
						<xsl:if test="cac:LineItem/cbc:AccountingCost !=''">
							<strong>
								<!-- Znak stanowiska kosztów u nabywcy -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-19'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac:LineItem/cbc:AccountingCost"/>
							<br/>
						</xsl:if>
						<xsl:if test="cac:InvoicePeriod !=''">
							<strong>
								<!-- Numer zamówienia wg sprzedawcy -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-14'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac:InvoicePeriod"/>
							<br/>
						</xsl:if>
						<xsl:if test="cac:Price/cac:AllowanceCharge !=''">
							<xsl:call-template name="PriceUnit-new">
								<xsl:with-param name="Value" select="cac:Price/cac:AllowanceCharge"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="cac:Item/cac:OriginCountry/cbc:IdentificationCode !=''">
							<strong>
								<!-- Kraj pochodzenia -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-159'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac:Item/cac:OriginCountry/cbc:IdentificationCode"/>
							<xsl:if test="cac:Item/cac:OriginCountry/cbc:IdentificationCode/@listID !=''">
								<small>&#160;[<xsl:value-of select="cac:Item/cac:OriginCountry/cbc:IdentificationCode/@listID"/>]</small>
							</xsl:if>
							<br/>
						</xsl:if>
						<xsl:if test="cac:OrderLineReference/cbc:LineID !=''">
							<strong>
								<!-- Identyfikator linii odnośnego zamówienia zakupu -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-132'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac:OrderLineReference/cbc:LineID"/>
							<br/>
						</xsl:if>
						<xsl:if test="cac:DocumentReference/cbc:ID !=''">
							<strong>
								<!-- Typ systemu -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-128'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac:DocumentReference/cbc:ID"/> [<xsl:value-of select="cac:DocumentReference/cbc:ID/@schemeID"/>]
						<br/>
						</xsl:if>
					</small>
				</td>
				<td align="right">
					<xsl:if test="cac:LineItem/cbc:Quantity !=''">
						<xsl:value-of select="cac:LineItem/cbc:Quantity"/>&#160;
					<xsl:if test="cac:LineItem/cbc:Quantity/@unitCode !=''">
							<small>
								<xsl:call-template name="UNECECode">
									<xsl:with-param name="UNECECode" select="cac:LineItem/cbc:Quantity/@unitCode"/>
								</xsl:call-template>
							</small>
						</xsl:if>
					</xsl:if>
					<xsl:if test="cbc:CreditedQuantity !=''">
						<xsl:value-of select="cbc:CreditedQuantity"/>&#160;
					<xsl:if test="cbc:CreditedQuantity/@unitCode !=''">
							<small>
								<xsl:call-template name="UNECECode">
									<xsl:with-param name="UNECECode" select="cbc:CreditedQuantity/@unitCode"/>
								</xsl:call-template>
						</small>
						</xsl:if>
					</xsl:if>
				</td>
				<td align="right">
					<!-- kwota -->
					<xsl:value-of select='format-number(cac:LineItem/cac:Price/cbc:PriceAmount, "#0.00")'/>
					<xsl:if test="cac:LineItem/cac:Price/cbc:PriceAmount/@currencyID !=''">
						<span>&#160;<xsl:value-of select="cac:LineItem/cac:Price/cbc:PriceAmount/@currencyID"/>
						</span>
					</xsl:if>
				</td>
				<td align="center">
					<xsl:if test="cac:LineItem/cac:Item/cac:ClassifiedTaxCategory !='' ">
						<xsl:choose>
							<xsl:when test="cac:LineItem/cac:Item/cac:ClassifiedTaxCategory/cbc:Percent !=''">
								&#160;<xsl:value-of select="cac:LineItem/cac:Item/cac:ClassifiedTaxCategory/cbc:ID"/>,&#160;
							<xsl:value-of select="cac:LineItem/cac:Item/cac:ClassifiedTaxCategory/cbc:Percent"/>%
						</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="cac:LineItem/cac:Item/cac:ClassifiedTaxCategory/cac:TaxScheme/cbc:ID"/>:&#160;
							<xsl:value-of select="cac:LineItem/cac:Item/cac:ClassifiedTaxCategory/cbc:ID"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
					<xsl:if test="cac:TaxTotal/cbc:TaxAmount">
						<small>
							<xsl:choose>
								<xsl:when test="cac:Item/cac:ClassifiedTaxCategory/cbc:Percent !=''">
									<br/>(<xsl:value-of select='format-number(cac:TaxTotal/cbc:TaxAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:TaxTotal/cbc:TaxAmount/@currencyID"/>)
						</xsl:when>
								<xsl:otherwise>
							(<xsl:value-of select='format-number(cac:TaxTotal/cbc:TaxAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:TaxTotal/cbc:TaxAmount/@currencyID"/>)
						</xsl:otherwise>
							</xsl:choose>
						</small>
					</xsl:if>
				</td>
				<td width="11%">
					<xsl:for-each select="cac:LineItem/cac:AllowanceCharge">
							<xsl:call-template name="LineLevel-new">
								<xsl:with-param name="Value" select="."/>
							</xsl:call-template>
					</xsl:for-each>
				</td>
				<td align="right" width="10%">
					<xsl:value-of select='format-number(cac:LineItem/cbc:LineExtensionAmount, "#0.00")'/>&#160;
					<xsl:value-of select="cac:LineItem/cbc:LineExtensionAmount/@currencyID"/>
				</td>
			</tr>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template name="InvoiceLine-Korekta">
		<xsl:param name="Original"/>
		<xsl:if test="$Original = false()">
			<xsl:for-each select="ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:InvoiceLine">
				<tr>
					<td id="td_col1" align="center">
						<xsl:value-of select="cbc-pl:ID"/>
					</td>
					<td id="td_col3" width="40%">
						<xsl:value-of select="cac-pl:Item/cbc-pl:Name"/>
						<br/>
						<br/>
						<small>
							<xsl:if test="cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:ID !=''">
								<strong>
									<!-- Identyfikator standardowy -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-157'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</strong>
								<xsl:value-of select="cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:ID"/>
								<xsl:choose>
									<xsl:when test="cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:ID/@schemeID !=''">
										<small>&#160;[<xsl:value-of select="cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:ID/@schemeID"/>]</small>
									</xsl:when>
									<xsl:otherwise>
										<small>&#160;[No schemeID]</small>
									</xsl:otherwise>
								</xsl:choose>
								<br/>
							</xsl:if>
							<xsl:if test="cac-pl:Item/cbc-pl:Description !=''">
								<strong>
									<!-- Opis -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-154'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</strong>
								<xsl:value-of select="cac-pl:Item/cbc-pl:Description"/>
								<br/>
							</xsl:if>
						<xsl:if test="cac-pl:Item/cac-pl:SellersItemIdentification/cbc-pl:ID !=''">
							<strong>
								<!-- Identyfikator wg sprzedającego -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-155'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac-pl:Item/cac-pl:SellersItemIdentification/cbc-pl:ID"/>
							<br/>
						</xsl:if>
							<!-- dodatkowe obciążenia -->
							<xsl:if test="cac-pl:AllowanceCharge !=''">
								<!-- Obciążęnia -->
								<xsl:if test="count(cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator ='true'])>0">
									<strong>
										<!-- Dodatkowe obciążenia -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-233'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
									</strong>
									<br/>
									<span style="font-size:0.8vw; text-align: left;">
										<table>
											<tbody>
												<tr>
													<!-- do poprawienia identyfikatory nagłówków tabeli -->
													<th style="font-size:0.8vw">
														<!-- LP -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-235'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</th>
													<th style="font-size:0.8vw" align="left">
														<!--Powód -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-236'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</th>
													<th style="font-size:0.8vw" align="right">
														<!-- Kwota bazowa -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-237'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</th>
													<th style="font-size:0.8vw" align="right">
														<!-- Procent -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-238'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</th>
													<th style="font-size:0.8vw" align="right">
														<!-- Wartość -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-232'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</th>
												</tr>
												<xsl:for-each select="cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator ='true']">
													<tr>
														<td style="font-size:0.8vw" align="center">
															<xsl:value-of select="position()"/>
														</td>
														<td style="font-size:0.8vw">
															<xsl:value-of select="cbc-pl:AllowanceChargeReason"/>
														</td>
														<td style="font-size:0.8vw" align="right">
															<xsl:value-of select='format-number(cbc-pl:BaseAmount, "#0.00")'/>&#160;
															<xsl:value-of select="cbc-pl:BaseAmount/@currencyID"/>
														</td>
														<td style="font-size:0.8vw" align="right">
															<xsl:value-of select="cbc-pl:MultiplierFactorNumeric"/>%
														</td>
														<td style="font-size:0.8vw" align="right">
															<xsl:value-of select='format-number(cbc-pl:Amount, "#0.00")'/>&#160;
															<xsl:value-of select="cbc-pl:Amount/@currencyID"/>
														</td>
													</tr>
												</xsl:for-each>
											</tbody>
										</table>
									</span>
								</xsl:if>
							</xsl:if>
							<!-- dodatkowe upusty -->
							<xsl:if test="cac-pl:AllowanceCharge !=''">
								<!-- upusty -->
								<xsl:if test="count(cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator ='false'])>0">
									<strong>
										<!-- Dodatkowe upusty -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-234'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
									</strong>
									<br/>
									<span style="font-size:0.8vw; text-align: left;">
										<table>
											<tbody>
												<tr>
													<!-- do poprawienia identyfikatory nagłówków tabeli -->
													<th style="font-size:0.8vw">
														<!-- LP -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-235'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</th>
													<th style="font-size:0.8vw" align="left">
														<!-- Powód -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-236'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</th>
													<th style="font-size:0.8vw" align="right">
														<!-- Kwota bazowa -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-237'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</th>
													<th style="font-size:0.8vw" align="right">
														<!-- Procent -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-238'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</th>
													<th style="font-size:0.8vw" align="right">
														<!-- Wartość -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-232'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</th>
												</tr>
												<xsl:for-each select="cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator ='false']">
													<tr>
														<td style="font-size:0.8vw" align="center">
															<xsl:value-of select="position()"/>
														</td>
														<td style="font-size:0.8vw">
															<xsl:value-of select="cbc-pl:AllowanceChargeReason"/>
														</td>
														<td style="font-size:0.8vw" align="right">
															<xsl:value-of select='format-number(cbc-pl:BaseAmount, "#0.00")'/>&#160;
															<xsl:value-of select="cbc-pl:BaseAmount/@currencyID"/>
														</td>
														<td style="font-size:0.8vw" align="right">
															<xsl:value-of select="cbc-pl:MultiplierFactorNumeric"/>%
														</td>
														<td style="font-size:0.8vw" align="right">
															<xsl:value-of select='format-number(cbc-pl:Amount, "#0.00")'/>&#160;
															<xsl:value-of select="cbc-pl:Amount/@currencyID"/>
														</td>
													</tr>
												</xsl:for-each>
											</tbody>
										</table>
									</span>
								</xsl:if>
							</xsl:if>
							<xsl:if test="cac-pl:Item/cac-pl:AdditionalItemProperty !=''">
								<!-- dodatkowe właściwości / parametry -->
								<strong>
									<!-- Dodatkowe właściwości/parametry -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-230'"/>
										<xsl:with-param name="Colon-Suffix" select="false()"/>
									</xsl:call-template>
								</strong>
								<span style="font-size:0.8vw; text-align: left;">
									<table>
										<tbody>
											<tr>
												<th style="font-size:0.8vw;">
													<!-- LP -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-235'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</th>
												<th style="font-size:0.8vw;">
													<!-- Nazwa -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-231'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</th>
												<th style="font-size:0.8vw;">
													<!-- Wartość -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-232'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</th>
											</tr>
											<xsl:for-each select="cac-pl:Item/cac-pl:AdditionalItemProperty">
												<tr>
													<td style="font-size:0.8vw;" align="center">
														<xsl:value-of select="position()"/>
													</td>
													<td style="font-size:0.8vw;" align="center">
														<xsl:value-of select="cbc-pl:Name"/>
													</td>
													<td style="font-size:0.8vw;" align="center">
														<xsl:value-of select="cbc-pl:Value"/>
													</td>
												</tr>
											</xsl:for-each>
										</tbody>
									</table>
								</span>
							</xsl:if>
							<xsl:if test="cbc-pl:Note !=''">
								<strong>
									<!-- Uwaga -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-127'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</strong>
								<xsl:value-of select="cbc-pl:Note"/>
								<br/>
							</xsl:if>
							<xsl:for-each select="cac-pl:Item/cac-pl:CommodityClassification">
								<strong>
									<!-- Identyfikator klasyfikacji -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-158'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</strong>
								<xsl:value-of select="cbc-pl:ItemClassificationCode"/>
								<br/>
							</xsl:for-each>
							<xsl:if test="cac-pl:Item/cac-pl:BuyersItemIdentification/cbc-pl:ID != ''">
								<strong>
									<!-- Identyfikator pozycji wg kupującego -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-156'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</strong>
								<xsl:value-of select="cac-pl:Item/cac-pl:BuyersItemIdentification/cbc-pl:ID"/>
								<br/>
							</xsl:if>
							<xsl:if test="cbc-pl:AccountingCost !=''">
								<strong>
									<!-- Znak stanowiska kosztów u nabywcy -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-19'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</strong>
								<xsl:value-of select="cbc-pl:AccountingCost"/>
								<br/>
							</xsl:if>
							<xsl:if test="cac-pl:InvoicePeriod !=''">
								<strong>
									<!-- OKRES FAKTUROWANIA DLA LINII FAKTURY -->
									<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BG-26'"/>
									<xsl:with-param name="Colon-Suffix" select="false()"/>
								</xsl:call-template>
								</strong>
								<br/>
								<xsl:if test="cac-pl:InvoicePeriod/cbc-pl:StartDate !=''">
									<p align="left">
										<strong>
											<!-- Data początkowa okresu faktury -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-73'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</strong>
										<!-- data początkowa wartość -->
										<xsl:apply-templates select="cac-pl:InvoicePeriod/cbc-pl:StartDate"/>
										<br/>
									</p>
								</xsl:if>
								<xsl:if test="cac-pl:InvoicePeriod/cbc-pl:EndDate !='' ">
									<p align="left">
										<strong>
											<!-- Data końcowa okresu faktury -->
											<xsl:call-template name="LabelName">
												<xsl:with-param name="BT-ID" select="'BT-74'"/>
												<xsl:with-param name="Colon-Suffix" select="true()"/>
											</xsl:call-template>
										</strong>
										<!-- data końcowa wartość -->
										<xsl:apply-templates select="cac-pl:InvoicePeriod/cbc-pl:EndDate"/>
									</p>
								</xsl:if>
							</xsl:if>
							<xsl:if test="cac-pl:Price/cac-pl:AllowanceCharge !=''">
								<xsl:call-template name="PriceUnit-new-pl">
									<xsl:with-param name="Value" select="cac-pl:Price/cac-pl:AllowanceCharge"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="cac-pl:Item/cac-pl:OriginCountry/cbc-pl:IdentificationCode !=''">
								<strong>
									<!-- Kraj pochodzenia -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-159'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</strong>
								<xsl:value-of select="cac-pl:Item/cac-pl:OriginCountry/cbc-pl:IdentificationCode"/>
								<xsl:if test="cac-pl:Item/cac-pl:OriginCountry/cbc-pl:IdentificationCode/@listID !=''">
									<small>&#160;[<xsl:value-of select="cac-pl:Item/cac-pl:OriginCountry/cbc-pl:IdentificationCode/@listID"/>]</small>
								</xsl:if>
								<br/>
							</xsl:if>
							<xsl:if test="cac-pl:OrderLineReference/cbc-pl:LineID !=''">
								<strong>
									<!-- Identyfikator linii odnośnego zamówienia zakupu -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-132'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</strong>
								<xsl:value-of select="cac-pl:OrderLineReference/cbc-pl:LineID"/>
								<br/>
							</xsl:if>
							<xsl:if test="cac-pl:DocumentReference/cbc-pl:ID !=''">
								<strong>
									<!-- Identyfikator przedmiotu fakturowania w linii faktury -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-128'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</strong>
								<xsl:value-of select="cac-pl:DocumentReference/cbc-pl:ID"/> [<xsl:value-of select="cac-pl:DocumentReference/cbc-pl:ID/@schemeID"/>]
						<br/>
							</xsl:if>
						</small>
					</td>
					<td align="right">
						<xsl:if test="cbc-pl:InvoicedQuantity !=''">
							<xsl:value-of select='format-number(cbc-pl:InvoicedQuantity, "#0.00")'/>&#160;
							<xsl:if test="cbc-pl:InvoicedQuantity/@unitCode !=''">
								<small>
									<xsl:call-template name="UNECECode">
										<xsl:with-param name="UNECECode" select="cbc-pl:InvoicedQuantity/@unitCode"/>
									</xsl:call-template>
							</small>
							</xsl:if>
						</xsl:if>
						<xsl:if test="cbc-pl:CreditedQuantity !=''">
							<xsl:value-of select='format-number(cbc-pl:CreditededQuantity, "#0.00")'/>&#160;
					<xsl:if test="cbc-pl:CreditedQuantity/@unitCode !=''">
								<small>
									<xsl:call-template name="UNECECode">
										<xsl:with-param name="UNECECode" select="cbc-pl:CreditedQuantity/@unitCode"/>
									</xsl:call-template>
						)</small>
							</xsl:if>
						</xsl:if>
					</td>
					<td align="right">
						<!-- kwota -->
						<xsl:value-of select='format-number(cac-pl:Price/cbc-pl:PriceAmount, "#0.00")'/>
						<xsl:if test="cac-pl:Price/cbc-pl:PriceAmount/@currencyID !=''">
							<span>&#160;<xsl:value-of select="cac-pl:Price/cbc-pl:PriceAmount/@currencyID"/>
							</span>
						</xsl:if>
					</td>
					<td align="center">
						<xsl:if test="cac-pl:Item/cac-pl:ClassifiedTaxCategory !='' ">
							<xsl:choose>
								<xsl:when test="cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:Percent !=''">
								&#160;<xsl:value-of select="cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:ID"/>,&#160;
							<xsl:value-of select="cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:Percent"/>%
						</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:ID"/>:&#160;
							<xsl:value-of select="cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:ID"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:if>
						<xsl:if test="cac-pl:TaxTotal/cbc-pl:TaxAmount">
							<small>
								<xsl:choose>
									<xsl:when test="cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:Percent !=''">
										<br/>(<xsl:value-of select='format-number(cac-pl:TaxTotal/cbc-pl:TaxAmount, "#0.00")'/>)
						</xsl:when>
									<xsl:otherwise>
							(<xsl:value-of select='format-number(cac-pl:TaxTotal/cbc-pl:TaxAmount, "#0.00")'/>)
						</xsl:otherwise>
								</xsl:choose>
							</small>
						</xsl:if>
					</td>
					<td width="11%">
					<xsl:for-each select="cac-pl:AllowanceCharge">
							<xsl:call-template name="LineLevel-new-pl">
								<xsl:with-param name="Value" select="."/>
							</xsl:call-template>
					</xsl:for-each>
					</td>
					<td align="right" width="10%">
						<xsl:value-of select='format-number(cbc-pl:LineExtensionAmount, "#0.00")'/>&#160;
					<xsl:value-of select="cbc-pl:LineExtensionAmount/@currencyID"/>
					</td>
				</tr>
				<!-- Invoice line/part 3: -->
				<xsl:if test="cac-pl:Delivery !=''">
					<tr>
						<td>
				</td>
						<td>
				</td>
						<td class="UBLName">
							<table border="0" width="90%" cellspacing="0" cellpadding="2">
								<p>!! cacDelivery !!</p>
							</table>
						</td>
					</tr>
				</xsl:if>
			</xsl:for-each>
		</xsl:if>
		
		<!-- Faktura korekta - pozycje skorygowane -->
		<xsl:if test="$Original = true()">
			<xsl:for-each select="cac:CreditNoteLine">
				<tr>
					<td id="td_col1" align="center">
						<xsl:value-of select="cbc:ID"/>
					</td>
					<td id="td_col3" align="left" width="40%">
						<xsl:value-of select="cac:Item/cbc:Name"/>
						<br/>
						<br/>
						<small>
							<xsl:if test="cac:Item/cac:StandardItemIdentification/cbc:ID !=''">
								<strong>
									<!-- Identyfikator standardowy -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-157'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</strong>
								<xsl:value-of select="cac:Item/cac:StandardItemIdentification/cbc:ID"/>
								<xsl:choose>
									<xsl:when test="cac:Item/cac:StandardItemIdentification/cbc:ID/@schemeID !=''">
										<small>&#160;[<xsl:value-of select="cac:Item/cac:StandardItemIdentification/cbc:ID/@schemeID"/>]</small>
									</xsl:when>
									<xsl:otherwise>
										<small>&#160;[No schemeID]</small>
									</xsl:otherwise>
								</xsl:choose>
								<br/>
							</xsl:if>
							<xsl:if test="cac:Item/cbc:Description !=''">
								<strong>
									<!-- Opis -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-154'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</strong>
								<xsl:value-of select="cac:Item/cbc:Description"/>
								<br/>
							</xsl:if>
						<xsl:if test="cac:Item/cac:SellersItemIdentification/cbc:ID !=''">
							<strong>
								<!-- Identyfikator wg sprzedającego -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-155'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac:Item/cac:SellersItemIdentification/cbc:ID"/>
							<br/>
						</xsl:if>
							<!-- dodatkowe obciążenia -->
							<xsl:if test="cac:AllowanceCharge !=''">
								<!-- Obciążęnia -->
								<xsl:if test="count(cac:AllowanceCharge[cbc:ChargeIndicator ='true'])>0">
									<strong>
										<!-- Dodatkowe obciążenia -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-233'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
									</strong>
									<br/>
									<span style="font-size:0.8vw; text-align: left;">
										<table>
											<tbody>
												<tr>
													<!-- do poprawienia identyfikatory nagłówków tabeli -->
													<th style="font-size:0.8vw">
														<!-- LP -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-235'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</th>
													<th style="font-size:0.8vw" align="left">
														<!-- Powód -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-236'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</th>
													<th style="font-size:0.8vw" align="right">
														<!-- Kwota bazowa -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-237'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</th>
													<th style="font-size:0.8vw" align="right">
														<!-- Procent-->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-238'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</th>
													<th style="font-size:0.8vw" align="right">
														<!-- Wartość -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-232'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</th>
												</tr>
												<xsl:for-each select="cac:AllowanceCharge[cbc:ChargeIndicator ='true']">
													<tr>
														<td style="font-size:0.8vw" align="center">
															<xsl:value-of select="position()"/>
														</td>
														<td style="font-size:0.8vw">
															<xsl:value-of select="cbc:AllowanceChargeReason"/>
														</td>
														<td style="font-size:0.8vw" align="right">
															<xsl:value-of select='format-number(cbc:BaseAmount, "#0.00")'/>&#160;
															<xsl:value-of select="cbc:BaseAmount/@currencyID"/>
														</td>
														<td style="font-size:0.8vw" align="right">
															<xsl:value-of select="cbc:MultiplierFactorNumeric"/>%
														</td>
														<td style="font-size:0.8vw" align="right">
															<xsl:value-of select='format-number(cbc:Amount, "#0.00")'/>&#160;
															<xsl:value-of select="cbc:Amount/@currencyID"/>
														</td>
													</tr>
												</xsl:for-each>
											</tbody>
										</table>
									</span>
								</xsl:if>
							</xsl:if>
							
							<!-- dodatkowe upusty -->
							<xsl:if test="cac:AllowanceCharge !=''">
								<!-- upusty -->
								<xsl:if test="count(cac:AllowanceCharge[cbc:ChargeIndicator ='false'])>0">
									<strong>
										<!-- Dodatkowe upusty -->
										<xsl:call-template name="LabelName">
											<xsl:with-param name="BT-ID" select="'BT-234'"/>
											<xsl:with-param name="Colon-Suffix" select="false()"/>
										</xsl:call-template>
									</strong>
									<br/>
									<span style="font-size:0.8vw; text-align: left;">
										<table>
											<tbody>
												<tr>
													<!-- do poprawienia identyfikatory nagłówków tabeli -->
													<th style="font-size:0.8vw">
														<!-- LP -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-235'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</th>
													<th style="font-size:0.8vw" align="left">
														<!-- Powód -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-236'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</th>
													<th style="font-size:0.8vw" align="right">
														<!-- Kwota bazowa -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-237'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</th>
													<th style="font-size:0.8vw" align="right">
														<!-- Procent -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-238'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</th>
													<th style="font-size:0.8vw" align="right">
														<!-- Wartość -->
														<xsl:call-template name="LabelName">
															<xsl:with-param name="BT-ID" select="'BT-232'"/>
															<xsl:with-param name="Colon-Suffix" select="false()"/>
														</xsl:call-template>
													</th>
												</tr>
												<xsl:for-each select="cac:AllowanceCharge[cbc:ChargeIndicator ='false']">
													<tr>
														<td style="font-size:0.8vw" align="center">
															<xsl:value-of select="position()"/>
														</td>
														<td style="font-size:0.8vw">
															<xsl:value-of select="cbc:AllowanceChargeReason"/>
														</td>
														<td style="font-size:0.8vw" align="right">
															<xsl:value-of select='format-number(cbc:BaseAmount, "#0.00")'/>&#160;
															<xsl:value-of select="cbc:BaseAmount/@currencyID"/>
														</td>
														<td style="font-size:0.8vw" align="right">
															<xsl:value-of select="cbc:MultiplierFactorNumeric"/>%
														</td>
														<td style="font-size:0.8vw" align="right">
															<xsl:value-of select='format-number(cbc:Amount, "#0.00")'/>&#160;
															<xsl:value-of select="cbc:Amount/@currencyID"/>
														</td>
													</tr>
												</xsl:for-each>
											</tbody>
										</table>
									</span>
								</xsl:if>
							</xsl:if>
							<xsl:if test="cac:Item/cac:AdditionalItemProperty !=''">
								<!-- dodatkowe właściwości / parametry -->
								<strong>
									<!-- Dodatkowe właściwości/parametry -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-230'"/>
										<xsl:with-param name="Colon-Suffix" select="false()"/>
									</xsl:call-template>
								</strong>
								<span style="font-size:0.8vw; text-align: left;">
									<table>
										<tbody>
											<tr>
												<th style="font-size:0.8vw;">
													<!-- LP -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-235'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</th>
												<th style="font-size:0.8vw;">
													<!-- Nazwa -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-231'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</th>
												<th style="font-size:0.8vw;">
													<!-- Wartość -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-232'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</th>
											</tr>
											<xsl:for-each select="cac:Item/cac:AdditionalItemProperty">
												<tr>
													<td style="font-size:0.8vw;" align="center">
														<xsl:value-of select="position()"/>
													</td>
													<td style="font-size:0.8vw;" align="center">
														<xsl:value-of select="cbc:Name"/>
													</td>
													<td style="font-size:0.8vw;" align="center">
														<xsl:value-of select="cbc:Value"/>
													</td>
												</tr>
											</xsl:for-each>
										</tbody>
									</table>
								</span>
							</xsl:if>
							<xsl:if test="cbc:Note !=''">
								<strong>
									<!-- Uwaga -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-127'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</strong>
								<xsl:value-of select="cbc:Note"/>
								<br/>
							</xsl:if>
							<xsl:for-each select="cac:Item/cac:CommodityClassification">
								<strong>
									<!-- Identyfikator klasyfikacji -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-158'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</strong>
								<xsl:value-of select="cbc:ItemClassificationCode"/>
								<br/>
							</xsl:for-each>
							<xsl:if test="cac:Item/cac:BuyersItemIdentification/cbc:ID != ''">
								<strong>
									<!-- Identyfikator pozycji wg kupującego -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-156'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</strong>
								<xsl:value-of select="cac:Item/cac:BuyersItemIdentification/cbc:ID"/>
								<br/>
							</xsl:if>
							<xsl:if test="cbc:AccountingCost !=''">
								<strong>
									<!-- Znak stanowiska kosztów u nabywcy -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-19'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</strong>
								<xsl:value-of select="cbc:AccountingCost"/>
								<br/>
							</xsl:if>
							<xsl:if test="cac:InvoicePeriod !=''">
								<strong>
									<!-- OKRES FAKTUROWANIA DLA LINII FAKTURY -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BG-26'"/>
										<xsl:with-param name="Colon-Suffix" select="false()"/>
									</xsl:call-template>
								</strong>
								<br/>
								<strong>
									<!-- Data początkowa okresu -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-134'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</strong>
								<xsl:value-of select="cac:InvoicePeriod/cbc:StartDate"/>
								<br/>
								<strong>
									<!-- Data końcowa okresu -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-135'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</strong>
								<xsl:value-of select="cac:InvoicePeriod/cbc:EndDate"/>
								<br/>
							</xsl:if>
							<xsl:if test="cac:Price/cac:AllowanceCharge !=''">
								<xsl:call-template name="PriceUnit-new">
									<xsl:with-param name="Value" select="cac:Price/cac:AllowanceCharge"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="cac:Item/cac:OriginCountry/cbc:IdentificationCode !=''">
								<strong>
									<!-- Kraj pochodzenia -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-159'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</strong>
								<xsl:value-of select="cac:Item/cac:OriginCountry/cbc:IdentificationCode"/>
								<xsl:if test="cac:Item/cac:OriginCountry/cbc:IdentificationCode/@listID !=''">
									<small>&#160;[<xsl:value-of select="cac:Item/cac:OriginCountry/cbc:IdentificationCode/@listID"/>]</small>
								</xsl:if>
								<br/>
							</xsl:if>
							<xsl:if test="cac:OrderLineReference/cbc:LineID !=''">
								<strong>
									<!-- Identyfikator linii odnośnego zamówienia zakupu -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-132'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</strong>
								<xsl:value-of select="cac:OrderLineReference/cbc:LineID"/>
								<br/>
							</xsl:if>
							<xsl:if test="cac:DocumentReference/cbc:ID !=''">
								<strong>
									<!-- Identyfikator przedmiotu fakturowania w linii faktury -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-128'"/>
										<xsl:with-param name="Colon-Suffix" select="true()"/>
									</xsl:call-template>
								</strong>
								<xsl:value-of select="cac:DocumentReference/cbc:ID"/> [<xsl:value-of select="cac:DocumentReference/cbc:ID/@schemeID"/>]
						<br/>
							</xsl:if>
						</small>
					</td>
					<td align="right">
						<xsl:if test="cbc:InvoicedQuantity !=''">
							<xsl:value-of select='format-number(cbc:InvoicedQuantity, "#0.00")'/>&#160;
							<xsl:if test="cbc:InvoicedQuantity/@unitCode !=''">
								<small>
									<xsl:call-template name="UNECECode">
										<xsl:with-param name="UNECECode" select="cbc:InvoicedQuantity/@unitCode"/>
									</xsl:call-template>
							</small>
							</xsl:if>
						</xsl:if>
						<xsl:if test="cbc:CreditedQuantity !=''">
							<xsl:value-of select='format-number(cbc:CreditedQuantity, "#0.00")'/>&#160;
							<xsl:if test="cbc:CreditedQuantity/@unitCode !=''">
								<small>
									<xsl:call-template name="UNECECode">
										<xsl:with-param name="UNECECode" select="cbc:CreditedQuantity/@unitCode"/>
									</xsl:call-template>
						</small>
							</xsl:if>
						</xsl:if>
					</td>
					<td align="right">
						<!-- kwota -->
						<xsl:value-of select='format-number(cac:Price/cbc:PriceAmount, "#0.00")'/>
						<xsl:if test="cac:Price/cbc:PriceAmount/@currencyID !=''">
							<span>&#160;<xsl:value-of select="cac:Price/cbc:PriceAmount/@currencyID"/>
							</span>
						</xsl:if>
					</td>
					<td align="center">
						<xsl:if test="cac:Item/cac:ClassifiedTaxCategory !='' ">
							<xsl:choose>
								<xsl:when test="cac:Item/cac:ClassifiedTaxCategory/cbc:Percent !=''">
									&#160;<xsl:value-of select="cac:Item/cac:ClassifiedTaxCategory/cbc:ID"/>,&#160;
									<xsl:value-of select="cac:Item/cac:ClassifiedTaxCategory/cbc:Percent"/>%
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="cac:Item/cac:ClassifiedTaxCategory/cac:TaxScheme/cbc:ID"/>:&#160;
									<xsl:value-of select="cac:Item/cac:ClassifiedTaxCategory/cbc:ID"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:if>
						<xsl:if test="cac:TaxTotal/cbc:TaxAmount">
							<small>
								<xsl:choose>
									<xsl:when test="cac:Item/cac:ClassifiedTaxCategory/cbc:Percent !=''">
										<br/>(<xsl:value-of select='format-number(cac:TaxTotal/cbc:TaxAmount, "#0.00")'/>)
									</xsl:when>
									<xsl:otherwise>
										(<xsl:value-of select='format-number(cac:TaxTotal/cbc:TaxAmount, "#0.00")'/>)
									</xsl:otherwise>
								</xsl:choose>
							</small>
						</xsl:if>
					</td>
					<td width="11%">
					<xsl:for-each select="cac:AllowanceCharge">
							<xsl:call-template name="LineLevel-new">
								<xsl:with-param name="Value" select="."/>
							</xsl:call-template>
					</xsl:for-each>
					</td>
					<td align="right" width="10%">
						<xsl:value-of select='format-number(cbc:LineExtensionAmount, "#0.00")'/>&#160;
					<xsl:value-of select="cbc:LineExtensionAmount/@currencyID"/>
					</td>
				</tr>
				<!-- Invoice line/part 3: -->
				<xsl:if test="cac:Delivery !=''">
					<tr>
						<td>
				</td>
						<td>
				</td>
						<td class="UBLName">
							<table border="0" width="90%" cellspacing="0" cellpadding="2">
								<p>!! cacDelivery !!</p>
							</table>
						</td>
					</tr>
				</xsl:if>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="InvoiceLine">
		<xsl:for-each select="cac:InvoiceLine">
			<tr>
				<td id="td_col1" align="center">
					<xsl:value-of select="cbc:ID"/>
				</td>
				<td id="td_col3" align="left" width="40%">
					<xsl:value-of select="cac:Item/cbc:Name"/>
					<br/>
					<br/>
					<small>
						<xsl:if test="cac:Item/cac:StandardItemIdentification/cbc:ID !=''">
							<strong>
								<!-- Identyfikator standardowy -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-157'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac:Item/cac:StandardItemIdentification/cbc:ID"/>
							<xsl:choose>
								<xsl:when test="cac:Item/cac:StandardItemIdentification/cbc:ID/@schemeID !=''">
									<small>&#160;[<xsl:value-of select="cac:Item/cac:StandardItemIdentification/cbc:ID/@schemeID"/>]</small>
								</xsl:when>
								<xsl:otherwise>
									<small>&#160;[No schemeID]</small>
								</xsl:otherwise>
							</xsl:choose>
							<br/>
						</xsl:if>
						<xsl:if test="cac:Item/cbc:Description !=''">
							<strong>
								<!-- Opis -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-154'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac:Item/cbc:Description"/>
							<br/>
						</xsl:if>
						<xsl:if test="cac:Item/cac:SellersItemIdentification/cbc:ID !=''">
							<strong>
								<!-- Identyfikator pozycji wg sprzedającego -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-155'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac:Item/cac:SellersItemIdentification/cbc:ID"/>
							<br/>
						</xsl:if>
						<!-- dodatkowe obciążenia -->
						<xsl:if test="cac:AllowanceCharge !=''">
							<!-- Obciążęnia -->
							<xsl:if test="count(cac:AllowanceCharge[cbc:ChargeIndicator ='true'])>0">
								<strong>
									<!-- Dodatkowe obciążenia -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-233'"/>
										<xsl:with-param name="Colon-Suffix" select="false()"/>
									</xsl:call-template>
								</strong>
								<br/>
								<span style="font-size:0.8vw; text-align: left;">
									<table>
										<tbody>
											<tr>
												<!-- do poprawienia identyfikatory nagłówków tabeli -->
												<th style="font-size:0.8vw">
													<!-- LP -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-235'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</th>
												<th style="font-size:0.8vw" align="left">
													<!-- Powód -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-236'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</th>
												<th style="font-size:0.8vw" align="right">
													<!-- Kwota bazowa -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-237'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</th>
												<th style="font-size:0.8vw" align="right">
													<!-- Procent -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-238'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</th>
												<th style="font-size:0.8vw" align="right">
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-232'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</th>
											</tr>
											<xsl:for-each select="cac:AllowanceCharge[cbc:ChargeIndicator ='true']">
												<tr>
													<td style="font-size:0.8vw" align="center">
														<xsl:value-of select="position()"/>
													</td>
													<td style="font-size:0.8vw" align="left">
														<xsl:value-of select="cbc:AllowanceChargeReason"/>
													</td>
													<td style="font-size:0.8vw" align="right">
														<xsl:value-of select='format-number(cbc:BaseAmount, "#0.00")'/>&#160;
														<xsl:value-of select="cbc:BaseAmount/@currencyID"/>
													</td>
													<td style="font-size:0.8vw" align="right">
														<xsl:value-of select="cbc:MultiplierFactorNumeric"/>%
													</td>
													<td style="font-size:0.8vw" align="right">
														<xsl:value-of select='format-number(cbc:Amount, "#0.00")'/>&#160;
														<xsl:value-of select="cbc:Amount/@currencyID"/>
													</td>
												</tr>
											</xsl:for-each>
										</tbody>
									</table>
								</span>
							</xsl:if>
						</xsl:if>
						
						<!-- dodatkowe upusty -->
						<xsl:if test="cac:AllowanceCharge !=''">
							<!-- upusty -->
							<xsl:if test="count(cac:AllowanceCharge[cbc:ChargeIndicator ='false'])>0">
								<strong>
									<!-- Dodatkowe upusty -->
									<xsl:call-template name="LabelName">
										<xsl:with-param name="BT-ID" select="'BT-234'"/>
										<xsl:with-param name="Colon-Suffix" select="false()"/>
									</xsl:call-template>
								</strong>
								<br/>
								<span style="font-size:0.8vw; text-align: left;">
									<table>
										<tbody>
											<tr>
												<!-- do poprawienia identyfikatory nagłówków tabeli -->
												<th style="font-size:0.8vw">
													<!-- LP -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-235'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</th>
												<th style="font-size:0.8vw" align="left">
													<!-- Powód -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-236'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</th>
												<th style="font-size:0.8vw" align="right">
													<!-- Kwota bazowa -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-237'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</th>
												<th style="font-size:0.8vw" align="right">
													<!-- Procent -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-238'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</th>
												<th style="font-size:0.8vw" align="right">
													<!-- Wartość -->
													<xsl:call-template name="LabelName">
														<xsl:with-param name="BT-ID" select="'BT-232'"/>
														<xsl:with-param name="Colon-Suffix" select="false()"/>
													</xsl:call-template>
												</th>
											</tr>
											<xsl:for-each select="cac:AllowanceCharge[cbc:ChargeIndicator ='false']">
												<tr>
													<td style="font-size:0.8vw" align="center">
														<xsl:value-of select="position()"/>
													</td>
													<td style="font-size:0.8vw" align="left">
														<xsl:value-of select="cbc:AllowanceChargeReason"/>
													</td>
													<td style="font-size:0.8vw" align="right">
														<xsl:value-of select='format-number(cbc:BaseAmount, "#0.00")'/>&#160;
														<xsl:value-of select="cbc:BaseAmount/@currencyID"/>
													</td>
													<td style="font-size:0.8vw" align="right">
														<xsl:value-of select="cbc:MultiplierFactorNumeric"/>%
											</td>
													<td style="font-size:0.8vw" align="right">
														<xsl:value-of select='format-number(cbc:Amount, "#0.00")'/>&#160;
														<xsl:value-of select="cbc:Amount/@currencyID"/>
													</td>
												</tr>
											</xsl:for-each>
										</tbody>
									</table>
								</span>
							</xsl:if>
						</xsl:if>
						
						<xsl:if test="cac:Item/cac:AdditionalItemProperty !=''">
							<!-- dodatkowe właściwości / parametry -->
							<strong>
								<!-- Dodatkowe właściwości/parametry -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-230'"/>
									<xsl:with-param name="Colon-Suffix" select="false()"/>
								</xsl:call-template>
							</strong>
							<span style="font-size:0.8vw; text-align: left;">
								<table>
									<tbody>
										<tr>
											<th style="font-size:0.8vw;">
												<!-- LP -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-235'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</th>
											<th style="font-size:0.8vw;">
												<!-- Nazwa -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-231'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</th>
											<th style="font-size:0.8vw;">
												<!-- Wartość -->
												<xsl:call-template name="LabelName">
													<xsl:with-param name="BT-ID" select="'BT-232'"/>
													<xsl:with-param name="Colon-Suffix" select="false()"/>
												</xsl:call-template>
											</th>
										</tr>
										<xsl:for-each select="cac:Item/cac:AdditionalItemProperty">
											<tr>
												<td style="font-size:0.8vw;" align="center">
													<xsl:value-of select="position()"/>
												</td>
												<td style="font-size:0.8vw;" align="center">
													<xsl:value-of select="cbc:Name"/>
												</td>
												<td style="font-size:0.8vw;" align="center">
													<xsl:value-of select="cbc:Value"/>
												</td>
											</tr>
										</xsl:for-each>
									</tbody>
								</table>
							</span>
						</xsl:if>
						
						<xsl:if test="cbc:Note !=''">
							<strong>
								<!-- Uwaga -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-127'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cbc:Note"/>
							<br/>
						</xsl:if>
						<xsl:for-each select="cac:Item/cac:CommodityClassification">
							<strong>
								<!-- Identyfikator klasyfikacji -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-158'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cbc:ItemClassificationCode"/>
							<br/>
						</xsl:for-each>
						<xsl:if test="cac:Item/cac:BuyersItemIdentification/cbc:ID != ''">
							<strong>
								<!-- Identyfikator pozycji wg kupującego -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-156'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac:Item/cac:BuyersItemIdentification/cbc:ID"/>
							<br/>
						</xsl:if>
						<xsl:if test="cbc:AccountingCost !=''">
							<strong>
								<!-- Znak stanowiska kosztów u nabywcy -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-19'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cbc:AccountingCost"/>
							<br/>
						</xsl:if>
						<xsl:if test="cac:InvoicePeriod !=''">
							<strong>
								<!-- Data faktury poprzedzającej -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BG-26'"/>
									<xsl:with-param name="Colon-Suffix" select="false()"/>
								</xsl:call-template>
							</strong>
							<br/>
							<strong>
								<!-- Data początkowa okresu -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-134'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac:InvoicePeriod/cbc:StartDate"/>
							<br/>
							<strong>
								<!-- Data końcowa okresu -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-135'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac:InvoicePeriod/cbc:EndDate"/>
							<br/>
						</xsl:if>
						<xsl:if test="cac:Price/cac:AllowanceCharge !=''">
							<xsl:call-template name="PriceUnit-new">
								<xsl:with-param name="Value" select="cac:Price/cac:AllowanceCharge"/>
							</xsl:call-template>
						</xsl:if> 
						<xsl:if test="cac:Item/cac:OriginCountry/cbc:IdentificationCode !=''">
							<strong>
								<!-- Kraj pochodzenia -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-159'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac:Item/cac:OriginCountry/cbc:IdentificationCode"/>
							<xsl:if test="cac:Item/cac:OriginCountry/cbc:IdentificationCode/@listID !=''">
								<small>&#160;[<xsl:value-of select="cac:Item/cac:OriginCountry/cbc:IdentificationCode/@listID"/>]</small>
							</xsl:if>
							<br/>
						</xsl:if>
						<xsl:if test="cac:OrderLineReference/cbc:LineID !=''">
							<strong>
								<!-- Identyfikator linii odnośnego zamówienia zakupu -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-132'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac:OrderLineReference/cbc:LineID"/>
							<br/>
						</xsl:if>
						<xsl:if test="cac:DocumentReference/cbc:ID !=''">
							<strong>
								<!-- Typ systemu -->
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-128'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac:DocumentReference/cbc:ID"/> [<xsl:value-of select="cac:DocumentReference/cbc:ID/@schemeID"/>]
						<br/>
						</xsl:if>
					</small>
				</td>
				<td align="right">
					<xsl:if test="cbc:InvoicedQuantity !=''">
						<xsl:value-of select="cbc:InvoicedQuantity"/>&#160;
						<xsl:if test="cbc:InvoicedQuantity/@unitCode !=''">
							<small>
								<xsl:call-template name="UNECECode">
									<xsl:with-param name="UNECECode" select="cbc:InvoicedQuantity/@unitCode"/>
								</xsl:call-template>
							</small>
						</xsl:if>
					</xsl:if>
					<xsl:if test="cbc:CreditedQuantity !=''">
						<xsl:value-of select="cbc:CreditedQuantity"/>&#160;
						<xsl:if test="cbc:CreditedQuantity/@unitCode !=''">
							<small>
								<xsl:call-template name="UNECECode">
									<xsl:with-param name="UNECECode" select="cbc:CreditedQuantity/@unitCode"/>
								</xsl:call-template>
						</small>
						</xsl:if>
					</xsl:if>
				</td>
				<td align="right">
					<!-- kwota -->
					<xsl:value-of select='format-number(cac:Price/cbc:PriceAmount, "#0.00")'/>
					<xsl:if test="cac:Price/cbc:PriceAmount/@currencyID !=''">
						<span>&#160;<xsl:value-of select="cac:Price/cbc:PriceAmount/@currencyID"/>
						</span>
					</xsl:if>
				</td>
				<td align="center">
					<xsl:if test="cac:Item/cac:ClassifiedTaxCategory !='' ">
						<xsl:choose>
							<xsl:when test="cac:Item/cac:ClassifiedTaxCategory/cbc:Percent !=''">
								&#160;<xsl:value-of select="cac:Item/cac:ClassifiedTaxCategory/cbc:ID"/>,&#160;
								<xsl:value-of select="cac:Item/cac:ClassifiedTaxCategory/cbc:Percent"/>%
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="cac:Item/cac:ClassifiedTaxCategory/cac:TaxScheme/cbc:ID"/>:&#160;
							<xsl:value-of select="cac:Item/cac:ClassifiedTaxCategory/cbc:ID"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
					<xsl:if test="cac:TaxTotal/cbc:TaxAmount">
						<small>
							<xsl:choose>
								<xsl:when test="cac:Item/cac:ClassifiedTaxCategory/cbc:Percent !=''">
									<br/>(<xsl:value-of select='format-number(cac:TaxTotal/cbc:TaxAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:TaxTotal/cbc:TaxAmount/@currencyID"/>)
						</xsl:when>
								<xsl:otherwise>
							(<xsl:value-of select='format-number(cac:TaxTotal/cbc:TaxAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:TaxTotal/cbc:TaxAmount/@currencyID"/>)
						</xsl:otherwise>
							</xsl:choose>
						</small>
					</xsl:if>
				</td>
				<td width="11%">
					<xsl:for-each select="cac:AllowanceCharge">
							<xsl:call-template name="LineLevel-new">
								<xsl:with-param name="Value" select="."/>
							</xsl:call-template>
					</xsl:for-each>
				</td>
				<td align="right" width="10%">
					<xsl:value-of select='format-number(cbc:LineExtensionAmount, "#0.00")'/>&#160;
					<xsl:value-of select="cbc:LineExtensionAmount/@currencyID"/>
				</td>
			</tr>
			<!-- Invoice line/part 3: -->
			<xsl:if test="cac:Delivery !=''">
				<tr>
					<td>
				</td>
					<td>
				</td>
					<td class="UBLName">
						<table border="0" width="90%" cellspacing="0" cellpadding="2">
							<p>!! cacDelivery !!</p>
						</table>
					</td>
				</tr>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template name="PriceUnit-new">
		<xsl:variable name="ValuePrice" select="cac:Price/cac:AllowanceCharge"/>
		<strong>
			<xsl:choose>
				<xsl:when test="$ValuePrice/cbc:ChargeIndicator ='true'">
					<!-- Rabat od ceny netto -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-147'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="$ValuePrice/cbc:ChargeIndicator ='false'">
					<!--Rabat od ceny netto -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-147'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
				</xsl:when>
			</xsl:choose>
		</strong>
		<xsl:choose>
			<xsl:when test="$ValuePrice/cbc:BaseAmount !='' ">
				<xsl:value-of select='format-number($ValuePrice/cbc:Amount, "#0.00")'/>&#160;<xsl:value-of select="$ValuePrice/cbc:Amount/@currencyID"/>
				<br/>
				<strong>
					<!-- Cena brutto pozycji -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-148'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
				</strong>
				<xsl:value-of select='format-number($ValuePrice/cbc:BaseAmount, "#0.00")'/>&#160;<xsl:value-of select="$ValuePrice/cbc:BaseAmount/@currencyID"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select='format-number($ValuePrice/cbc:Amount, "#0.00")'/>&#160;<xsl:value-of select="$ValuePrice/cbc:Amount/@currencyID"/>
			</xsl:otherwise>
		</xsl:choose>
		<br/>
	</xsl:template>
	
	<xsl:template name="PriceUnit-new-pl">
		<xsl:variable name="ValuePrice" select="cac-pl:Price/cac-pl:AllowanceCharge"/>
		<strong>
			<xsl:choose>
				<xsl:when test="$ValuePrice/cbc-pl:ChargeIndicator ='true'">
					<!--Rabat od ceny netto -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-147'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="$ValuePrice/cbc-pl:ChargeIndicator ='false'">
					<!--Rabat od ceny netto -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-147'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
				</xsl:when>
			</xsl:choose>
		</strong>
		<xsl:choose>
			<xsl:when test="$ValuePrice/cbc-pl:BaseAmount !='' ">
				<xsl:value-of select='format-number($ValuePrice/cbc-pl:Amount, "#0.00")'/>&#160;<xsl:value-of select="$ValuePrice/cbc-pl:Amount/@currencyID"/>
				<br/>
				<strong>
					<!-- Cena brutto pozycji -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-148'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
				</strong>
				<xsl:value-of select='format-number($ValuePrice/cbc-pl:BaseAmount, "#0.00")'/>&#160;<xsl:value-of select="$ValuePrice/cbc-pl:BaseAmount/@currencyID"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select='format-number($ValuePrice/cbc-pl:Amount, "#0.00")'/>&#160;<xsl:value-of select="$ValuePrice/cbc-pl:Amount/@currencyID"/>
			</xsl:otherwise>
		</xsl:choose>
		<br/>
	</xsl:template>
	
	<xsl:template name="LineLevel-new">
		<xsl:variable name="ValueLine" select="."/>
		<xsl:value-of select='format-number($ValueLine/cbc:Amount, "#0.00")'/>&#160;<xsl:value-of select="$ValueLine/cbc:Amount/@currencyID"/>
		<small>
			<br/>
			<xsl:value-of select="$ValueLine/cbc:AllowanceChargeReason"/> (<xsl:value-of select="$ValueLine/cbc:AllowanceChargeReasonCode"/>)  
			<xsl:value-of select="$ValueLine/cbc:MultiplierFactorNumeric"/>%
			<br/>
		</small>
	</xsl:template>
		<xsl:template name="LineLevel-new-pl">
		<xsl:variable name="ValueLine" select="."/>
		<xsl:value-of select='format-number($ValueLine/cbc-pl:Amount, "#0.00")'/>&#160;<xsl:value-of select="$ValueLine/cbc-pl:Amount/@currencyID"/>
		<small>
			<br/>
			<xsl:value-of select="$ValueLine/cbc-pl:AllowanceChargeReason"/> (<xsl:value-of select="$ValueLine/cbc-pl:AllowanceChargeReasonCode"/>)  
			<xsl:value-of select="$ValueLine/cbc-pl:MultiplierFactorNumeric"/>%
			<br/>
		</small>
	</xsl:template>
	
	<!--SELLER PARTY STARTS HERE-->
	<xsl:template name="SellerParty">
		<strong>
			<!-- Adres -->
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BG-5'"/>
				<xsl:with-param name="Colon-Suffix" select="false()"/>
			</xsl:call-template>
		</strong>
		<xsl:call-template name="SellerPostalAddress"/>
		<xsl:if test="cac:Party/cac:PartyIdentification/cbc:ID">
			<br/>
			<small>
				<!-- Identyfikator sprzedawcy -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-29'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cac:Party/cac:PartyIdentification/cbc:ID"/>
				<xsl:if test="cac:Party/cac:PartyIdentification/cbc:ID/@schemeID !='' ">
						&#160;[<xsl:apply-templates select="cac:Party/cac:PartyIdentification/cbc:ID/@schemeID"/>]
				</xsl:if>
				&#160;
			</small>
		</xsl:if>
		<!--Party legal registration: -->
		<xsl:if test="cac:Party/cac:PartyLegalEntity">
			<xsl:if test="cac:Party/cac:PartyLegalEntity/cbc:CompanyID">
				<br/>
				<small>
					<!-- Identyfikator rejestrowy sprzedawcy -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-30'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:apply-templates select="cac:Party/cac:PartyLegalEntity/cbc:CompanyID"/>
					<xsl:if test="cac:Party/cac:PartyLegalEntity/cbc:CompanyID/@schemeID !='' ">
						&#160;[<xsl:apply-templates select="cac:Party/cac:PartyLegalEntity/cbc:CompanyID/@schemeID"/>]
						<xsl:if test="cac:Party/cac:PartyLegalEntity/cbc:CompanyLegalForm != ''">
							<br/>
							<xsl:apply-templates select="cac:Party/cac:PartyLegalEntity/cbc:CompanyLegalForm"/>
						</xsl:if>
					</xsl:if>
				</small>
			</xsl:if>
			<xsl:if test="cac:Party/cac:PartyLegalEntity/cbc:RegistrationName !=''">
				<br/>
				<small>
					<!-- Nazwa sprzedawcy -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-27'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:apply-templates select="cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
				</small>
			</xsl:if>
			<xsl:if test="cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress !=''">
				<br/>
				<small>
					<!-- Dodakowe informacje prawne o sprzedającym -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-33'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:choose>
						<xsl:when test="cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName !='' and 
							cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country !=''">
							<xsl:apply-templates select="cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName"/>,&#160;
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
                        ( <xsl:value-of select="cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/> )
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName !=''">
								<xsl:apply-templates select="cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cbc:CityName"/>
							</xsl:if>
							<xsl:if test="cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country !=''">
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
                        ( <xsl:value-of select="cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/> )
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
				</small>
			</xsl:if>
		</xsl:if>
		<!--Party VAT registration: -->
		<xsl:if test="cac:Party/cac:PartyTaxScheme">
			<small>
				<xsl:for-each select="cac:Party/cac:PartyTaxScheme">
					<br/>
					<xsl:choose>
						<xsl:when test="cac:TaxScheme/cbc:ID = 'VAT'">
							<!-- Identyfikator VAT -->
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-31'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
							<xsl:apply-templates select="cbc:CompanyID"/>
							<xsl:if test="cac:TaxScheme/cbc:ID !='' ">
						&#160;[<xsl:apply-templates select="cac:TaxScheme/cbc:ID"/>]
					</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<!-- Numer rejestracji podatkowej sprzedającego -->
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-32'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
							<xsl:apply-templates select="cbc:CompanyID"/>
							<xsl:if test="cac:TaxScheme/cbc:ID !='' ">
						&#160;[<xsl:apply-templates select="cac:TaxScheme/cbc:ID"/>]
					</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="cbc:ExemptionReason">
						<br/>
					&#160;<xsl:apply-templates select="cbc:ExemptionReason"/>
					</xsl:if>
				</xsl:for-each>
			</small>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="SellerPartyName">
		<xsl:if test="cac:Party/cbc:Name !=''">
			<xsl:apply-templates select="cbc:Name"/>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="SellerPostalAddress">
		<xsl:if test="cac:Party/cac:PostalAddress/cbc:StreetName !=''">
			<br/>
			<span class="UBLStreetName">
				<!-- Linia 1 adresu sprzedawcy -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-35'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cac:Party/cac:PostalAddress/cbc:StreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="cac:Party/cac:PostalAddress/cbc:AdditionalStreetName !=''">
			<br/>
			<span class="UBLAdditionalStreetName">
				<!-- Linia 2 adresu sprzedawcy -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-36'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cac:Party/cac:PostalAddress/cbc:AdditionalStreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="cac:Party/cac:PostalAddress/cac:AddressLine/cbc:Line !=''">
			<br/>
			<span class="UBLAdditionalStreetName">
				<!-- Linia 3 adresu sprzedawcy -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-162'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cac:Party/cac:PostalAddress/cac:AddressLine/cbc:Line"/>
			</span>
		</xsl:if>
		<xsl:if test="cac:Party/cac:PostalAddress/cbc:PostalZone !='' or cac:Party/cac:PostalAddress/cbc:CityName !=''">
			<br/>
			<span class="UBLCityName">
				<xsl:choose>
					<xsl:when test="cac:Party/cac:PostalAddress/cbc:PostalZone !=''">
						<!-- Kod pocztowy -->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-38'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:apply-templates select="cac:Party/cac:PostalAddress/cbc:PostalZone"/>&#160;
						<!-- Nazwa miejscowości -->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-37'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:apply-templates select="cac:Party/cac:PostalAddress/cbc:CityName"/>
					</xsl:when>
					<xsl:otherwise>
						<!-- Nazwa miejscowości -->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-37'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:apply-templates select="cac:Party/cac:PostalAddress/cbc:CityName"/>
					</xsl:otherwise>
				</xsl:choose>
			</span>
		</xsl:if>
		<xsl:if test="cac:Party/cac:PostalAddress/cbc:CountrySubentity !='' or cac:Party/cac:PostalAddress/cac:Country !=''">
			<xsl:choose>
				<xsl:when test="cac:Party/cac:PostalAddress/cbc:CountrySubentity !='' and cac:Party/cac:PostalAddress/cac:Country !=''">
					<br/>
					<!-- Nazwa regionu -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-39'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:apply-templates select="cac:Party/cac:PostalAddress/cbc:CountrySubentity"/>,<br/>
					<!-- Kod kraju -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-40'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:call-template name="ISO3166Code">
						<xsl:with-param name="ISO3166Code" select="cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
					</xsl:call-template>
                        ( <xsl:value-of select="cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/> )
				</xsl:when>
				<xsl:otherwise>
					<br/>
					<xsl:if test="cac:Party/cac:PostalAddress/cbc:CountrySubentity !=''">
						<!-- Nazwa regionu -->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-39'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:apply-templates select="cac:Party/cac:PostalAddress/cbc:CountrySubentity"/>
					</xsl:if>
					<xsl:if test="cac:Party/cac:PostalAddress/cac:Country !=''">
						<!-- Kod kraju -->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-40'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
					<xsl:call-template name="ISO3166Code">
						<xsl:with-param name="ISO3166Code" select="cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
					</xsl:call-template>
                        ( <xsl:value-of select="cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/> )
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="SellerContact">
		<xsl:if test="cac:AccountingSupplierParty/cac:Party/cac:Contact/cbc:ID">
			<small>
				<!-- Uwagi ogólne do faktury -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-22'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cac:AccountingSupplierParty/cac:Party/cac:Contact/cbc:ID"/>
			</small>
		</xsl:if>
		<xsl:if test="cac:AccountingSupplierParty/cac:Party/cac:Contact/cbc:Name !=''">
			<br/>
			<!-- Kontakt -->
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-41'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
			<xsl:apply-templates select="cac:AccountingSupplierParty/cac:Party/cac:Contact/cbc:Name"/>
		</xsl:if>
		<xsl:if test="cac:AccountingSupplierParty/cac:Party/cac:Contact/cbc:Telephone !=''">
			<br/>
			<span class="UBLTelephone">
				<!-- Numer telefonu -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-42'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cac:AccountingSupplierParty/cac:Party/cac:Contact/cbc:Telephone"/>
			</span>
		</xsl:if>
		<xsl:if test="cac:AccountingSupplierParty/cac:Party/cac:Contact/cbc:Telefax !=''">
			<br/>
			<span class="UBLTelefax">
				<!-- Uwagi ogólne do faktury -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-22'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cac:AccountingSupplierParty/cac:Party/cac:Contact/cbc:Telefax"/>
			</span>
		</xsl:if>
		<xsl:if test="cac:AccountingSupplierParty/cac:Party/cac:Contact/cbc:ElectronicMail !=''">
			<br/>
			<span class="UBLElectronicMail">
				<!-- Adres e-mail -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-43'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cac:AccountingSupplierParty/cac:Party/cac:Contact/cbc:ElectronicMail"/>
			</span>
		</xsl:if>
	</xsl:template>
	<!--SELLER PARTY ENDS HERE-->
	
	<!--BUYER PARTY STARTS HERE-->
	<xsl:template name="BuyerParty">
		<!-- Nazwa handlowa nabywcy -->
		<xsl:call-template name="LabelName">
			<xsl:with-param name="BT-ID" select="'BT-45'"/>
			<xsl:with-param name="Colon-Suffix" select="true()"/>
		</xsl:call-template>
		<strong>
			<xsl:choose>
				<xsl:when test="cac:Party/cac:PartyName">
					<xsl:apply-templates select="cac:Party/cac:PartyName"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates select="cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
				</xsl:otherwise>
			</xsl:choose>
		</strong>
		<br/>
		<strong>
			<!-- Adres -->
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BG-8'"/>
				<xsl:with-param name="Colon-Suffix" select="false()"/>
			</xsl:call-template>
		</strong>
		<xsl:call-template name="BuyerPostalAddress"/>
		<xsl:if test="cac:Party/cac:PartyIdentification/cbc:ID">
			<br/>
			<small>
				<strong>
					<!-- ID -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-46'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
				</strong>
				<xsl:apply-templates select="cac:Party/cac:PartyIdentification/cbc:ID"/>
				<xsl:if test="cac:Party/cac:PartyIdentification/cbc:ID/@schemeID !='' ">
						&#160;[<xsl:apply-templates select="cac:Party/cac:PartyIdentification/cbc:ID/@schemeID"/>]
					</xsl:if>
			</small>
		</xsl:if>
		<!--Party legal registration: -->
		<xsl:if test="cac:Party/cac:PartyLegalEntity">
			<xsl:if test="cac:Party/cac:PartyLegalEntity/cbc:CompanyID">
				<br/>
				<small>
					<!-- Identyfikator rejestrowy nabywcy -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-47'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:apply-templates select="cac:Party/cac:PartyLegalEntity/cbc:CompanyID"/>
					<xsl:if test="cac:Party/cac:PartyLegalEntity/cbc:CompanyID/@schemeID !='' ">
						&#160;[<xsl:apply-templates select="cac:Party/cac:PartyLegalEntity/cbc:CompanyID/@schemeID"/>]
					</xsl:if>
				</small>
			</xsl:if>
			<xsl:if test="cac:Party/cac:PartyLegalEntity/cbc:RegistrationName !=''">
				<br/>
				<small>
					<!-- Nazwa nabywcy -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-44'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:apply-templates select="cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
				</small>
			</xsl:if>
		</xsl:if>
		<!--Party VAT registration: -->
		<xsl:if test="cac:Party/cac:PartyTaxScheme">
			<small>
				<xsl:if test="cac:Party/cac:PartyTaxScheme">
					<br/>
					
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-48'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:apply-templates select="cac:Party/cac:PartyTaxScheme/cbc:CompanyID"/>
					<xsl:if test="cac:Party/cac:PartyTaxScheme/cbc:CompanyID/@schemeID !='' ">
						&#160;[<xsl:apply-templates select="cac:Party/cac:PartyTaxScheme/cbc:CompanyID/@schemeID"/>]
					</xsl:if>
				</xsl:if>
				<xsl:if test="cac:Party/cac:PartyTaxScheme/cbc:ExemptionReason">
					<br/>
					<xsl:apply-templates select="cac:Party/cac:PartyTaxScheme/cbc:ExemptionReason"/>
				</xsl:if>
			</small>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="BuyerPartyName">
		<xsl:if test="cac:Party/cbc:Name !=''">
			<xsl:apply-templates select="cbc:Name"/>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="BuyerPostalAddress">
		<xsl:if test="cac:Party/cac:PostalAddress/cbc:StreetName !=''">
			<br/>
			<span class="UBLStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-50'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cac:Party/cac:PostalAddress/cbc:StreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="cac:Party/cac:PostalAddress/cbc:AdditionalStreetName !=''">
			<br/>
			<span class="UBLAdditionalStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-51'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cac:Party/cac:PostalAddress/cbc:AdditionalStreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="cac:Party/cac:PostalAddress/cac:AddressLine/cbc:Line !=''">
			<br/>
			<span class="UBLAdditionalStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-162'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cac:Party/cac:PostalAddress/cac:AddressLine/cbc:Line"/>
			</span>
		</xsl:if>
		<xsl:if test="cac:Party/cac:PostalAddress/cbc:PostalZone !='' or cac:Party/cac:PostalAddress/cbc:CityName !=''">
			<br/>
			<span class="UBLCityName">
				<xsl:choose>
					<xsl:when test="cac:Party/cac:PostalAddress/cbc:PostalZone !=''">
						<!--<br/>-->
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-53'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:apply-templates select="cac:Party/cac:PostalAddress/cbc:PostalZone"/>&#160;
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-52'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:apply-templates select="cac:Party/cac:PostalAddress/cbc:CityName"/>
					</xsl:when>
					<xsl:otherwise>
						<br/>
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-52'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:apply-templates select="cac:Party/cac:PostalAddress/cbc:CityName"/>
					</xsl:otherwise>
				</xsl:choose>
			</span>
		</xsl:if>
		<xsl:if test="cac:Party/cac:PostalAddress/cbc:CountrySubentity !='' or cac:Party/cac:PostalAddress/cac:Country !=''">
			<xsl:choose>
				<xsl:when test="cac:Party/cac:PostalAddress/cbc:CountrySubentity !='' and cac:Party/cac:PostalAddress/cac:Country !=''">
					<br/>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-54'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:apply-templates select="cac:Party/cac:PostalAddress/cbc:CountrySubentity"/>,
							<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-55'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:call-template name="ISO3166Code">
						<xsl:with-param name="ISO3166Code" select="cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
					</xsl:call-template>
                        ( <xsl:value-of select="cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/> )
				</xsl:when>
				<xsl:otherwise>
					<br/>
					<xsl:if test="cac:Party/cac:PostalAddress/cbc:CountrySubentity !=''">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-54'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:apply-templates select="cac:Party/cac:PostalAddress/cbc:CountrySubentity"/>
					</xsl:if>
					<xsl:if test="cac:Party/cac:PostalAddress/cac:Country !=''">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-55'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
					<xsl:call-template name="ISO3166Code">
						<xsl:with-param name="ISO3166Code" select="cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
					</xsl:call-template>
                        ( <xsl:value-of select="cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/> )
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="BuyerContact">
		<xsl:if test="cac:AccountingCustomerParty/cac:Party/cac:Contact/cbc:ID">
			<small>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-10'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cac:AccountingCustomerParty/cac:Party/cac:Contact/cbc:ID"/>
				<br/>
			</small>
		</xsl:if>
		<xsl:if test="cac:AccountingCustomerParty/cac:Party/cac:Contact/cbc:Name !=''">
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-56'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
			<xsl:apply-templates select="cac:AccountingCustomerParty/cac:Party/cac:Contact/cbc:Name"/>
			<br/>
		</xsl:if>
		<xsl:if test="cac:AccountingCustomerParty/cac:Party/cac:Contact/cbc:Telephone !=''">
			<span class="UBLTelephone">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-57'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cac:AccountingCustomerParty/cac:Party/cac:Contact/cbc:Telephone"/>
			</span>
			<br/>
		</xsl:if>
		<xsl:if test="cac:AccountingCustomerParty/cac:Party/cac:Contact/cbc:Telefax !=''">
			<span class="UBLTelefax">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-22'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cac:AccountingCustomerParty/cac:Party/cac:Contact/cbc:Telefax"/>
			</span>
			<br/>
		</xsl:if>
		<xsl:if test="cac:AccountingCustomerParty/cac:Party/cac:Contact/cbc:ElectronicMail !=''">
			<span class="UBLElectronicMail">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-58'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cac:AccountingCustomerParty/cac:Party/cac:Contact/cbc:ElectronicMail"/>
			</span>
			<br/>
		</xsl:if>
		<xsl:if test="cac:InvoiceLine/cbc:AccountingCost !=''">
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-19'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
			<xsl:value-of select="cac:InvoiceLine/cbc:AccountingCost"/>
		</xsl:if>
		<xsl:if test="cac:CreditNoteLine/cbc:AccountingCost !=''">
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-19'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
			<xsl:value-of select="cac:CreditNoteLine/cbc:AccountingCost"/>
		</xsl:if>
	</xsl:template>
	
	<!--Delivery templates start: -->
	<xsl:template match="cac:Delivery" mode="DocumentHeader">
		<p>
			<xsl:if test="cac:DeliveryLocation !=''">
				<h3>
					<xsl:if test="local-name(../.)  != 'Order'">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-303-3'"/>
							<xsl:with-param name="Colon-Suffix" select="false()"/>
						</xsl:call-template>
						<br/>
					</xsl:if>	
					<br/>
				</h3>
				<xsl:if test="cac:DeliveryParty/cac:PartyName/cbc:Name != ''">
					<strong>
						<xsl:apply-templates select="cac:DeliveryParty/cac:PartyName/cbc:Name"/>
					</strong>
					<br/>
				</xsl:if>
				<xsl:apply-templates select="cac:DeliveryLocation"/>
			</xsl:if>
		</p>
	</xsl:template>
	
	<xsl:template match="cac:DeliveryLocation">
		<xsl:if test="cbc:ID !=''">
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-71'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
			<xsl:value-of select="@schemeID"/>
			<xsl:apply-templates select="cbc:ID"/>
			<xsl:choose>
				<xsl:when test="cbc:ID/@schemeID !=''">
							&#160;[<xsl:apply-templates select="cbc:ID/@schemeID"/>]
						</xsl:when>
				<xsl:otherwise>
							&#160;[No schemeID]
						</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
		<xsl:if test="cac:Address !=''">
			<br/>
			<br/>
			<xsl:call-template name="DeliveryAddress"/>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="DeliveryAddress">
		<strong>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-214'"/>
				<xsl:with-param name="Colon-Suffix" select="false()"/>
			</xsl:call-template>
		</strong>
		<xsl:if test="cac:Address/cbc:StreetName !=''">
			<span class="UBLStreetName">
				<br/>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-75'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cac:Address/cbc:StreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="cac:Address/cbc:AdditionalStreetName !=''">
			<span class="UBLAdditionalStreetName">
				<!--<br/>-->
				<span>&#160;</span>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-76'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cac:Address/cbc:AdditionalStreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="cac:Address/cac:AddressLine/cbc:Line !=''">
			<span class="UBLAdditionalStreetName">
				<!--<br/>-->
				<span>&#160;</span>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-165'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cac:Address/cac:AddressLine/cbc:Line"/>
			</span>
		</xsl:if>
		<xsl:if test="cac:Address/cbc:PostalZone !='' or cac:Address/cbc:CityName !=''">
			<br/>
			<span class="UBLCityName">
				<xsl:choose>
					<xsl:when test="cac:Address/cbc:PostalZone !=''">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-78'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:apply-templates select="cac:Address/cbc:PostalZone"/>&#160;
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-77'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:apply-templates select="cac:Address/cbc:CityName"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-77'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:apply-templates select="cac:Address/cbc:CityName"/>
					</xsl:otherwise>
				</xsl:choose>
			</span>
		</xsl:if>
		<xsl:if test="cac:Address/cbc:CountrySubentity !='' or cac:Address/cac:Country !=''">
			<xsl:choose>
				<xsl:when test="cac:Address/cbc:CountrySubentity !='' and cac:Address/cac:Country !=''">
					<br/>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-79'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:apply-templates select="cac:Address/cbc:CountrySubentity"/>,
							<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-80'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<br/>
					<xsl:call-template name="ISO3166Code">
						<xsl:with-param name="ISO3166Code" select="cac:Address/cac:Country/cbc:IdentificationCode"/>
					</xsl:call-template>
                        ( <xsl:value-of select="cac:Address/cac:Country/cbc:IdentificationCode"/> )
				</xsl:when>
				<xsl:otherwise>
					<br/>
					<xsl:if test="cac:Address/cbc:CountrySubentity !=''">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-79'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:apply-templates select="cac:Address/cbc:CountrySubentity"/>
					</xsl:if>
					<xsl:if test="cac:Address/cac:Country !=''">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-80'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
					<xsl:call-template name="ISO3166Code">
						<xsl:with-param name="ISO3166Code" select="cac:Address/cac:Country/cbc:IdentificationCode"/>
					</xsl:call-template>
                        ( <xsl:value-of select="cac:Address/cac:Country/cbc:IdentificationCode"/> )
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	
	<!--Contact from here: -->
	<xsl:template match="cac:AccountingSupplierParty/cac:Party" mode="accsupcontact">
		<xsl:apply-templates select="cac:Contact"/>
	</xsl:template>
	
	<xsl:template match="cac:AccountingCustomerParty/cac:Party" mode="acccuscontact">
		<xsl:apply-templates select="cac:Contact"/>
	</xsl:template>
	
	<!--Invoiceline start: -->
	<xsl:template match="cac:InvoiceLine | cac:CreditNoteLine">
		<tr>
			<td rowspan="2" align="center">
				<xsl:apply-templates select="cbc:ID"/>
			</td>
			<td>
				<xsl:apply-templates select="cac:Item/cbc:Name"/>
				<br/>
				<br/>
				<small>
					<xsl:if test="cac:Item/cac:StandardItemIdentification/cbc:ID !=''">
						<strong>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-157'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
						</strong>
						<xsl:apply-templates select="cac:Item/cac:StandardItemIdentification/cbc:ID"/>
						<xsl:choose>
							<xsl:when test="cac:Item/cac:StandardItemIdentification/cbc:ID/@schemeID !=''">
								<small>&#160;[<xsl:apply-templates select="cac:Item/cac:StandardItemIdentification/cbc:ID/@schemeID"/>]</small>
							</xsl:when>
							<xsl:otherwise>
								<small>&#160;[No schemeID]</small>
							</xsl:otherwise>
						</xsl:choose>
						<br/>
					</xsl:if>
					<xsl:if test="cac:Item/cbc:Description !=''">
						<strong>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-154'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
						</strong>
						<xsl:apply-templates select="cac:Item/cbc:Description"/>
						<br/>
					</xsl:if>
						<xsl:if test="cac:Item/cac:SellersItemIdentification/cbc:ID !=''">
							<strong>
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-155'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cac:Item/cac:SellersItemIdentification/cbc:ID"/>
							<br/>
						</xsl:if>
					<xsl:if test="cac:Item/cac:AdditionalItemProperty !=''">
						<xsl:apply-templates select="cac:Item/cac:AdditionalItemProperty"/>
					</xsl:if>
					<xsl:if test="cbc:Note !=''">
						<strong>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-127'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
						</strong>
						<xsl:apply-templates select="cbc:Note"/>
						<br/>
					</xsl:if>
					<xsl:if test="cac:Item/cac:CommodityClassification !=''">
						<xsl:apply-templates select="cac:Item/cac:CommodityClassification"/>
					</xsl:if>
					<xsl:if test="cac:Item/cac:BuyersItemIdentification/cbc:ID != ''">
						<strong>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-156'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
						</strong>
						<xsl:apply-templates select="cac:Item/cac:BuyersItemIdentification/cbc:ID"/>
						<br/>
					</xsl:if>
					<xsl:if test="cbc:AccountingCost !=''">
						<strong>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-19'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
						</strong>
						<xsl:apply-templates select="cbc:AccountingCost"/>
						<br/>
					</xsl:if>
					<xsl:if test="cac-pl:InvoicePeriod !=''">
						<strong>
							<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BG-26'"/>
							<xsl:with-param name="Colon-Suffix" select="false()"/>
						</xsl:call-template>
						</strong>
						<br/>
						<strong>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-134'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
						</strong>
						<xsl:value-of select="cac-pl:InvoicePeriod/cbc-pl:StartDate"/>
						<br/>
						<strong>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-135'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
						</strong>
						<xsl:value-of select="cac-pl:InvoicePeriod/cbc-pl:EndDate"/>
						<br/>
					</xsl:if>
					<xsl:if test="cac:Price/cac:AllowanceCharge !=''">
						<xsl:call-template name="PriceUnit-new">
							<xsl:with-param name="Value" select="cac:Price/cac:AllowanceCharge"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="cac:Item/cac:OriginCountry/cbc:IdentificationCode !=''">
						<strong>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-159'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
						</strong>
						<xsl:apply-templates select="cac:Item/cac:OriginCountry/cbc:IdentificationCode"/>
						<xsl:if test="cac:Item/cac:OriginCountry/cbc:IdentificationCode/@listID !=''">
							<small>&#160;[<xsl:apply-templates select="cac:Item/cac:OriginCountry/cbc:IdentificationCode/@listID"/>]</small>
						</xsl:if>
						<br/>
					</xsl:if>
					<xsl:if test="cac:OrderLineReference/cbc:LineID !=''">
						<strong>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-132'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
						</strong>
						<xsl:apply-templates select="cac:OrderLineReference/cbc:LineID"/>
						<br/>
					</xsl:if>
					<xsl:if test="cac:DocumentReference/cbc:ID !=''">
						<strong>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-128'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
						</strong>
						<xsl:apply-templates select="cac:DocumentReference/cbc:ID"/> [<xsl:apply-templates select="cac:DocumentReference/cbc:ID/@schemeID"/>]
						<br/>
					</xsl:if>
				</small>
			</td>
			<td align="left">
				<xsl:if test="cbc:InvoicedQuantity !=''">
					<xsl:apply-templates select="cbc:InvoicedQuantity"/>&#160;
					<xsl:if test="cbc:InvoicedQuantity/@unitCode !=''">
						<small>
							<xsl:call-template name="UNECECode">
								<xsl:with-param name="UNECECode" select="cbc:InvoicedQuantity/@unitCode"/>
							</xsl:call-template>
							</small>
					</xsl:if>
				</xsl:if>
				<xsl:if test="cbc:CreditedQuantity !=''">
					<xsl:apply-templates select="cbc:CreditedQuantity"/>&#160;
					<xsl:if test="cbc:CreditedQuantity/@unitCode !=''">
						<small>
							<xsl:call-template name="UNECECode">
								<xsl:with-param name="UNECECode" select="cbc:CreditedQuantity/@unitCode"/>
							</xsl:call-template>
						</small>
					</xsl:if>
				</xsl:if>
			</td>
			<td>
				<xsl:apply-templates select="cac:Price"/>
				<xsl:if test="cac:Price/cbc:BaseQuantity">
					<small>
						<br/>
						<strong>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-149'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
						</strong>
						<xsl:apply-templates select="cac:Price/cbc:BaseQuantity"/>
					</small>
				</xsl:if>
			</td>
			<td>
				<xsl:if test="cac:Item/cac:ClassifiedTaxCategory !='' ">
					<xsl:choose>
						<xsl:when test="cac:Item/cac:ClassifiedTaxCategory/cbc:Percent !=''">
							<xsl:apply-templates select="cac:Item/cac:ClassifiedTaxCategory/cbc:ID"/>,&#160;
							<xsl:apply-templates select="cac:Item/cac:ClassifiedTaxCategory/cbc:Percent"/>%
						</xsl:when>
						<xsl:otherwise>
							<xsl:apply-templates select="cac:Item/cac:ClassifiedTaxCategory/cac:TaxScheme/cbc:ID"/>:&#160;
							<xsl:apply-templates select="cac:Item/cac:ClassifiedTaxCategory/cbc:ID"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
				<xsl:if test="cac:TaxTotal/cbc:TaxAmount">
					<small>
						<xsl:choose>
							<xsl:when test="cac:Item/cac:ClassifiedTaxCategory/cbc:Percent !=''">
								<br/>(<xsl:value-of select='format-number(cac:TaxTotal/cbc:TaxAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:TaxTotal/cbc:TaxAmount/@currencyID"/>)
						</xsl:when>
							<xsl:otherwise>
							(<xsl:value-of select='format-number(cac:TaxTotal/cbc:TaxAmount, "#0.00")'/>&#160;<xsl:value-of select="cac:TaxTotal/cbc:TaxAmount/@currencyID"/>)
						</xsl:otherwise>
						</xsl:choose>
					</small>
				</xsl:if>
			</td>
			<td>
				<xsl:if test="cac:AllowanceCharge !=''">
					<xsl:apply-templates select="cac:AllowanceCharge" mode="LineLevel-new"/>
				</xsl:if>
			</td>
			<td align="right">
				<xsl:value-of select='format-number(cbc:LineExtensionAmount, "#0.00")'/>&#160;<xsl:value-of select="cbc:LineExtensionAmount/@currencyID"/>
			</td>
		</tr>
		<tr>
			<td bgcolor="lightblue"/>
			<td colspan="6">
				<xsl:apply-templates select="cac:Item/cbc:Name"/>
			</td>
		</tr>
		<tr>
			<td colspan="4">Dodatkowa linia</td>
		</tr>
		<!-- Invoice line/part 3: -->
		<xsl:if test="cac:Delivery !=''">
			<tr>
				<td>
				</td>
				<td>
				</td>
				<td class="UBLName">
					<table border="0" width="90%" cellspacing="0" cellpadding="2">
						<xsl:apply-templates select="cac:Delivery" mode="line-new"/>
					</table>
				</td>
			</tr>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="cac:CommodityClassification">
		<xsl:if test="cbc:CommodityCode !=''">
			<strong>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-158'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
			</strong>
			<xsl:apply-templates select="cbc:CommodityCode"/>
			<xsl:choose>
				<xsl:when test="cbc:CommodityCode/@listID !=''">
					<small>&#160;[
						<xsl:call-template name="UBLClassificationCode">
							<xsl:with-param name="Code" select="cbc:CommodityCode/@listID"/>
						</xsl:call-template>
					]</small>
				</xsl:when>
				<xsl:otherwise>
					<small>&#160;[No listID]</small>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="cbc:CommodityCode/@listVersionID !=''">
				 [<xsl:apply-templates select="cbc:CommodityCode/@listeVersionID"/>]
			</xsl:if>
			<br/>
		</xsl:if>
		<xsl:if test="cbc:ItemClassificationCode !=''">
			<strong>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-158'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
			</strong>
			<xsl:apply-templates select="cbc:ItemClassificationCode"/>
			<xsl:choose>
				<xsl:when test="cbc:ItemClassificationCode/@listID !=''">
					<small>&#160;[
						<xsl:call-template name="UBLClassificationCode">
							<xsl:with-param name="Code" select="cbc:ItemClassificationCode/@listID"/>
						</xsl:call-template>
					]</small>
				</xsl:when>
				<xsl:otherwise>
					<small>&#160;[No listID]</small>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="cbc:ItemClassificationCode/@listVersionID !=''">
				 [<xsl:apply-templates select="cbc:ItemClassificationCode/@listVersionID"/>]
			</xsl:if>
			<br/>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="cac:AdditionalItemProperty">
		<strong>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-160'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
		</strong>
		<xsl:apply-templates select="cbc:Name"/> = 
		<xsl:apply-templates select="cbc:Value"/>
		<br/>
	</xsl:template>
	
	<xsl:template match="cac:SellersItemIdentification">
		<xsl:apply-templates select="cbc:ID"/>
	</xsl:template>
	
	<xsl:template match="cac:Price">
		<xsl:value-of select='format-number(cbc:PriceAmount, "#0.00")'/>&#160;<xsl:value-of select="cbc:PriceAmount/@currencyID"/>
	</xsl:template>
	<!--Invoiceline end-->
	
	<xsl:template match="cac:SellerSupplierParty">
		<xsl:call-template name="Party"/>
	</xsl:template>
	
	<xsl:template match="cac:SellerSupplierParty/cac:Party/cac:PostalAddress">
		<xsl:call-template name="PartyPostalAddress"/>
	</xsl:template>
	
	<xsl:template match="cac:SellerSupplierParty/cac:Party/cac:Contact">
		<xsl:call-template name="PartyContact"/>
	</xsl:template>
	
	<xsl:template match="cac:SellerSupplierParty/cac:Party/cac:PartyLegalEntity">
		<xsl:call-template name="PartyLegalEntity"/>
	</xsl:template>
	
	<xsl:template match="cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme">
		<xsl:call-template name="PartyTaxScheme"/>
	</xsl:template>
	
	<xsl:template match="cac:BuyerCustomerParty">
		<xsl:call-template name="Party"/>
	</xsl:template>
	
	<xsl:template match="cac:BuyerCustomerParty/cac:Party/cac:PostalAddress">
		<xsl:call-template name="PartyPostalAddress"/>
	</xsl:template>
	
	<xsl:template match="cac:BuyerCustomerParty/cac:Party/cac:Contact">
		<xsl:call-template name="PartyContact"/>
	</xsl:template>
	
	<xsl:template match="cac:BuyerCustomerParty/cac:Party/cac:PartyLegalEntity">
		<xsl:call-template name="PartyLegalEntity"/>
	</xsl:template>
	
	<xsl:template match="cac:BuyerCustomerParty/cac:Party/cac:PartyTaxScheme">
		<xsl:call-template name="PartyTaxScheme"/>
	</xsl:template>
	
	<xsl:template match="cac:DeliveryCustomerParty">
		<xsl:call-template name="Party"/>
	</xsl:template>
	
	<xsl:template match="cac:DeliveryCustomerParty/cac:Party/cac:PostalAddress">
		<xsl:call-template name="PartyPostalAddress"/>
	</xsl:template>
	
	<xsl:template match="cac:DeliveryCustomerParty/cac:DeliveryContact">
		<xsl:call-template name="PartyContact"/>
	</xsl:template>
	
	<xsl:template match="cac:DeliveryCustomerParty/cac:Party/cac:PartyLegalEntity">
		<xsl:call-template name="PartyLegalEntity"/>
	</xsl:template>
	
	<xsl:template match="cac:DespatchSupplierParty">
		<xsl:call-template name="Party"/>
	</xsl:template>
	
	<xsl:template match="cac:DespatchSupplierParty/cac:Party/cac:PostalAddress">
		<xsl:call-template name="PartyPostalAddress"/>
	</xsl:template>
	
	<xsl:template match="cac:DespatchSupplierParty/cac:Party/cac:Contact">
		<xsl:call-template name="PartyContact"/>
	</xsl:template>
	
	<xsl:template match="cac:DespatchSupplierParty/cac:Party/cac:PartyLegalEntity">
		<xsl:call-template name="PartyLegalEntity"/>
	</xsl:template>
	
	<xsl:template match="cac:DespatchSupplierParty/cac:Party/cac:PartyTaxScheme">
		<xsl:call-template name="PartyTaxScheme"/>
	</xsl:template>
	
	<xsl:template match="cac:OriginatorCustomerParty">
		<xsl:call-template name="Party"/>
	</xsl:template>
	
	<xsl:template match="cac:OriginatorCustomerParty/cac:Party/cac:PostalAddress">
		<xsl:call-template name="PartyPostalAddress"/>
	</xsl:template>
	
	<xsl:template match="cac:OriginatorCustomerParty/cac:Party/cac:Contact">
		<xsl:call-template name="PartyContact"/>
	</xsl:template>
	
	<xsl:template match="cac:Shipment/cac:Delivery/cac:Despatch/cac:DespatchAddress">
		<xsl:call-template name="PartyPostalAddress"/>
	</xsl:template>
	
	<xsl:template match="cac:Shipment/cac:Consignment">
		<xsl:call-template name="Consignment"/>
	</xsl:template>

	<!-- Start Party Template -->
	<xsl:template name="Party">
		<xsl:call-template name="LabelName">
			<xsl:with-param name="BT-ID" select="'BT-45'"/>
			<xsl:with-param name="Colon-Suffix" select="true()"/>
		</xsl:call-template>
		<strong>
			<xsl:choose>
				<xsl:when test="cac:Party/cac:PartyName">
					<xsl:apply-templates select="cac:Party/cac:PartyName"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates select="cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
				</xsl:otherwise>
			</xsl:choose>
		</strong>
		<br/>
		<xsl:if test="count(cac:Party/cac:PostalAddress) >0 ">
			<br/>
			<xsl:apply-templates select="cac:Party/cac:PostalAddress"/>
		</xsl:if>
		<xsl:if test="cac:Party/cac:PartyIdentification/cbc:ID">
			<xsl:call-template name="PartyIdentification"/>
		</xsl:if>
		<xsl:if test="count(cac:Party/cac:PartyTaxScheme) > 0">
			<br/>
			<xsl:apply-templates select="cac:Party/cac:PartyTaxScheme"/>
		</xsl:if>
	</xsl:template>
	<!-- End Party Template -->
	
	<!-- Start PostalAddress Template -->
	<xsl:template name="PartyPostalAddress">
		<strong>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BG-8'"/>
				<xsl:with-param name="Colon-Suffix" select="false()"/>
			</xsl:call-template>
		</strong>
		<xsl:if test="cbc:ID !=''">
			<br/>
			<span class="UBLStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-513'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cbc:ID"/>
			</span>
		</xsl:if>
		<xsl:if test="cbc:StreetName !=''">
			<br/>
			<span class="UBLStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-50'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cbc:StreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="cbc:AdditionalStreetName !=''">
			<span class="UBLAdditionalStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-51'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>&#160;
                <xsl:apply-templates select="cbc:AdditionalStreetName"/>
			</span>
		</xsl:if>
		<xsl:if test="cac:AddressLine/cbc:Line !=''">
			<br/>
			<span class="UBLAdditionalStreetName">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-162'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cac:AddressLine/cbc:Line"/>
			</span>
		</xsl:if>
		<xsl:if test="cbc:PostalZone !='' or cbc:CityName !=''">
			<br/>
			<span class="UBLCityName">
				<xsl:choose>
					<xsl:when test="cbc:PostalZone !=''">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-53'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:apply-templates select="cbc:PostalZone"/>&#160;
                        <xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-52'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:apply-templates select="cbc:CityName"/>
					</xsl:when>
					<xsl:otherwise>
						<br/>
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-52'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:apply-templates select="cbc:CityName"/>
					</xsl:otherwise>
				</xsl:choose>
			</span>
		</xsl:if>
		<xsl:if test="cbc:CountrySubentity !='' or cac:Country !=''">
			<xsl:choose>
				<xsl:when test="cbc:CountrySubentity !='' and cac:Country !=''">
					<br/>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-54'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:apply-templates select="cbc:CountrySubentity"/>,
					<br/>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-55'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
					<xsl:call-template name="ISO3166Code">
						<xsl:with-param name="ISO3166Code" select="cac:Country/cbc:IdentificationCode"/>
					</xsl:call-template>
                        ( <xsl:value-of select="cac:Country/cbc:IdentificationCode"/> )
				</xsl:when>
				<xsl:otherwise>
					<br/>
					<xsl:if test="cbc:CountrySubentity !=''">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-54'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:apply-templates select="cbc:CountrySubentity"/>
					</xsl:if>
					<br/>
					<xsl:if test="cac:Country !=''">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-55'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template> --
					<xsl:call-template name="ISO3166Code">
						<xsl:with-param name="ISO3166Code" select="cac:Country/cbc:IdentificationCode"/>
					</xsl:call-template>
                        ( <xsl:value-of select="cac:Country/cbc:IdentificationCode"/> )
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<!-- End PostalAddress Template -->
	
	<!-- Start PartyIdentification Template -->
	<xsl:template name="PartyIdentification">
		<br/>
		<small>
			<strong>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-46'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
			</strong>
			<xsl:apply-templates select="cac:Party/cac:PartyIdentification/cbc:ID"/>
			<xsl:if test="cac:Party/cac:PartyIdentification/cbc:ID/@schemeID !='' ">
                &#160;[<xsl:apply-templates select="cac:Party/cac:PartyIdentification/cbc:ID/@schemeID"/>]
            </xsl:if>
		</small>
	</xsl:template>
	<!-- End PartyIdentification Template -->
	
	<!-- Start PartyContact Template -->
	<xsl:template name="PartyContact">
		<xsl:if test="cbc:ID">
			<small>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-22'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cbc:ID"/>
			</small>
		</xsl:if>
		<xsl:if test="cbc:Name !=''">
			<br/>
			<xsl:call-template name="LabelName">
				<xsl:with-param name="BT-ID" select="'BT-41'"/>
				<xsl:with-param name="Colon-Suffix" select="true()"/>
			</xsl:call-template>
			<xsl:apply-templates select="cbc:Name"/>
		</xsl:if>
		<xsl:if test="cbc:Telephone !=''">
			<br/>
			<span class="UBLTelephone">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-42'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cbc:Telephone"/>
			</span>
		</xsl:if>
		<xsl:if test="cbc:Telefax !=''">
			<br/>
			<span class="UBLTelefax">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-22'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cbc:Telefax"/>
			</span>
		</xsl:if>
		<xsl:if test="cbc:ElectronicMail !=''">
			<br/>
			<span class="UBLElectronicMail">
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-43'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cbc:ElectronicMail"/>
			</span>
		</xsl:if>
	</xsl:template>
	<!-- End PartyContact Template -->
	
	<!-- Start PartyLegalEntity Template -->
	<xsl:template name="PartyLegalEntity">
		<xsl:if test="cbc:CompanyID">
			<br/>
			<small>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-616'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cbc:CompanyID"/>
				<xsl:if test="cbc:CompanyID/@schemeID !='' ">

                    &#160;[<xsl:apply-templates select="cbc:CompanyID/@schemeID"/>]
                    <xsl:if test="cbc:CompanyLegalForm != ''">
						<br/>
						<xsl:apply-templates select="cbc:CompanyLegalForm"/>
					</xsl:if>
				</xsl:if>
			</small>
		</xsl:if>
		<xsl:if test="cbc:RegistrationName !=''">
			<br/>
			<small>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-27'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:apply-templates select="cbc:RegistrationName"/>
			</small>
		</xsl:if>
		<xsl:if test="cac:RegistrationAddress !=''">
			<br/>
			<small>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BG-5'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
				<xsl:choose>
					<xsl:when test="cac:RegistrationAddress/cbc:CityName !='' and cac:RegistrationAddress/cac:Country !=''">
						<xsl:apply-templates select="cac:RegistrationAddress/cbc:CityName"/>,&#160;
					<xsl:call-template name="ISO3166Code">
						<xsl:with-param name="ISO3166Code" select="cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/>
					</xsl:call-template>
                        ( <xsl:value-of select="cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/> )
					</xsl:when>
					<xsl:otherwise>
						<xsl:if test="cac:RegistrationAddress/cbc:CityName !=''">
							<xsl:apply-templates select="cac:RegistrationAddress/cbc:CityName"/>
						</xsl:if>
						<xsl:if test="cac:RegistrationAddress/cac:Country !=''">
							<xsl:call-template name="ISO3166Code">
								<xsl:with-param name="ISO3166Code" select="cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/>
							</xsl:call-template>
								( <xsl:value-of select="cac:RegistrationAddress/cac:Country/cbc:IdentificationCode"/> )
						</xsl:if>
					</xsl:otherwise>
				</xsl:choose>
			</small>
		</xsl:if>
	</xsl:template>
	<!-- End PartyLegalEntity Template -->
	
	<!-- Start PartyTaxScheme Template -->
	<xsl:template name="PartyTaxScheme">
		<small>
			<xsl:for-each select=".">
				<xsl:choose>
					<xsl:when test="cac:TaxScheme/cbc:ID = 'VAT'">
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-31'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:apply-templates select="cbc:CompanyID"/>
						<xsl:if test="cac:TaxScheme/cbc:ID !='' ">
                            &#160;[<xsl:apply-templates select="cac:TaxScheme/cbc:ID"/>]
                        </xsl:if>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-32'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
						<xsl:apply-templates select="cbc:CompanyID"/>
						<xsl:if test="cac:TaxScheme/cbc:ID !='' ">
                            &#160;[<xsl:apply-templates select="cac:TaxScheme/cbc:ID"/>]
                        </xsl:if>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="cbc:ExemptionReason">
					<br/>
                    &#160;<xsl:apply-templates select="cbc:ExemptionReason"/>
				</xsl:if>
			</xsl:for-each>
		</small>
	</xsl:template>
	<!-- End PartyTaxScheme Template -->
	
	<!-- Start Consignment Template -->
	<xsl:template name="Consignment">
		<tr>
			<td>
				<xsl:apply-templates select="cbc:ID"/>
			</td>
			<td>
				<xsl:apply-templates select="cac:CarrierParty/cac:PartyName/cbc:Name"/>
			</td>
			<td>
				<xsl:apply-templates select="cac:CarrierParty/cac:Person/cac:IdentityDocumentReference/cbc:ID"/>
			</td>
			<td>
				<xsl:apply-templates select="cac:CarrierParty/cac:Person/cac:IdentityDocumentReference/cbc:DocumentType"/>
			</td>
		</tr>
	</xsl:template>
	<!-- End Consignment Template -->
	
	<!-- Start OrderReference Template -->
	<xsl:template match="cac:OrderReference">
		<br/>
		<xsl:apply-templates select="cbc:ID"/>
	</xsl:template>
	<!-- End OrderReference Template -->
	
	<!-- Start DespatchDocumentReference Template -->
	<xsl:template match="cac:DespatchDocumentReference">
		<br/>
		<xsl:apply-templates select="cbc:ID"/>
	</xsl:template>
	<!-- End DespatchDocumentReference Template -->
	
	<!-- Start DespatchLine Template -->
	<xsl:template match="cac:DespatchLine">
		<tr>
			<td align="center">
				<xsl:apply-templates select="cbc:ID"/>
			</td>
			<td>
				<xsl:apply-templates select="cac:Item/cbc:Name"/>
				<br/>
				<br/>
				<xsl:apply-templates select="cac:Item"/>
			</td>
			<td align="center">
				<xsl:apply-templates select="cac:OrderLineReference/cbc:LineID"/>.
                <xsl:apply-templates select="cac:OrderLineReference/cac:OrderReference/cbc:ID"/>
			</td>
			<td align="right">
				<xsl:if test="cbc:DeliveredQuantity !=''">
					<xsl:apply-templates select="cbc:DeliveredQuantity"/>&#160;
                    <xsl:if test="cbc:DeliveredQuantity/@unitCode !=''">
						<small>
							<xsl:call-template name="UNECECode">
								<xsl:with-param name="UNECECode" select="cbc:DeliveredQuantity/@unitCode"/>
							</xsl:call-template>
                        </small>
					</xsl:if>
				</xsl:if>
			</td>
			<td align="right">
				<xsl:if test="cbc:OutstandingQuantity !=''">
					<xsl:apply-templates select="cbc:OutstandingQuantity"/>&#160;
                    <xsl:if test="cbc:OutstandingQuantity/@unitCode !=''">
						<small>
							<xsl:call-template name="UNECECode">
								<xsl:with-param name="UNECECode" select="cbc:OutstandingQuantity/@unitCode"/>
							</xsl:call-template>
                        </small>
					</xsl:if>
				</xsl:if>
			</td>
			<td align="center">
				<xsl:apply-templates select="cbc:OutstandingReason"/>
			</td>
			<td>
				<small>
					<strong>
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-507'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
					</strong>
					<xsl:apply-templates select="cbc:Note"/>
				</small>
				<xsl:if test="count(cac:Shipment) >0">
					<br/>
					<small>
						<strong>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-318'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
						</strong>
						<xsl:value-of select="cac:Shipment/cbc:ID"/>
					</small>
					<xsl:if test="count(cac:Shipment/cac:TransportHandlingUnit) >0">
						<xsl:apply-templates select="cac:Shipment/cac:TransportHandlingUnit"/>
					</xsl:if>
				</xsl:if>
			</td>
		</tr>
	</xsl:template>
	<!-- End DespatchLine Template -->
	
	<!-- Start ReceiptLine Template -->
	<xsl:template match="cac:ReceiptLine">
		<tr>
			<td align="center">
				<xsl:apply-templates select="cbc:ID"/>
			</td>
			<td>
				<xsl:apply-templates select="cac:Item/cbc:Name"/>
				<br/>
				<br/>
				<xsl:apply-templates select="cac:Item"/>
			</td>
			<td align="center">
				<xsl:apply-templates select="cac:OrderLineReference/cbc:LineID"/>.
                <xsl:apply-templates select="cac:OrderLineReference/cac:OrderReference/cbc:ID"/>
			</td>
			<td align="center">
				<xsl:apply-templates select="cac:DespatchLineReference/cbc:LineID"/>
			</td>
			<td align="right">
				<xsl:if test="cbc:ReceivedQuantity !=''">
					<xsl:apply-templates select="cbc:ReceivedQuantity"/>&#160;
                    <xsl:if test="cbc:ReceivedQuantity/@unitCode !=''">
						<small>
							<xsl:call-template name="UNECECode">
								<xsl:with-param name="UNECECode" select="cbc:ReceivedQuantity/@unitCode"/>
							</xsl:call-template>
                        </small>
					</xsl:if>
				</xsl:if>
			</td>
			<td align="right">
				<xsl:if test="cbc:ShortQuantity !=''">
					<xsl:apply-templates select="cbc:ShortQuantity"/>&#160;
                    <xsl:if test="cbc:ShortQuantity/@unitCode !=''">
						<small>
							<xsl:call-template name="UNECECode">
								<xsl:with-param name="UNECECode" select="cbc:ShortQuantity/@unitCode"/>
							</xsl:call-template>
                        </small>
					</xsl:if>
				</xsl:if>
			</td>
			<td align="right">
				<xsl:if test="cbc:OversupplyQuantity !=''">
					<xsl:apply-templates select="cbc:OversupplyQuantity"/>&#160;
                    <xsl:if test="cbc:OversupplyQuantity/@unitCode !=''">
						<small>
							<xsl:call-template name="UNECECode">
								<xsl:with-param name="UNECECode" select="cbc:OversupplyQuantity/@unitCode"/>
							</xsl:call-template>
                        </small>
					</xsl:if>
				</xsl:if>
			</td>
			<td align="right">
				<xsl:if test="cbc:RejectedQuantity !=''">
					<xsl:apply-templates select="cbc:RejectedQuantity"/>&#160;
                    <xsl:if test="cbc:RejectedQuantity/@unitCode !=''">
						<small>
							<xsl:call-template name="UNECECode">
								<xsl:with-param name="UNECECode" select="cbc:RejectedQuantity/@unitCode"/>
							</xsl:call-template>
                        </small>
					</xsl:if>
					<br/>
					<xsl:if test="cbc:RejectReason !=''">
						<br/>
						<small>
							<strong>
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-314'"/>
									<xsl:with-param name="Colon-Suffix" select="true()"/>
								</xsl:call-template>
							</strong>
							<xsl:value-of select="cbc:RejectReason"/>
						</small>
					</xsl:if>
				</xsl:if>
			</td>
			<td>
				<small>
					<strong>
						<xsl:call-template name="LabelName">
							<xsl:with-param name="BT-ID" select="'BT-315'"/>
							<xsl:with-param name="Colon-Suffix" select="true()"/>
						</xsl:call-template>
					</strong>
					<xsl:apply-templates select="cbc:ReceivedDate"/>
				</small>
				<xsl:if test="count(cac:Shipment) >0">
					<br/>
					<small>
						<strong>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-318'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
						</strong>
						<xsl:value-of select="cac:Shipment/cbc:ID"/>
					</small>
					<xsl:if test="count(cac:Shipment/cac:TransportHandlingUnit) >0">
						<xsl:apply-templates select="cac:Shipment/cac:TransportHandlingUnit"/>
					</xsl:if>
				</xsl:if>
				<xsl:if test="cbc:ShortageActionCode !=''">
					<br/>
					<small>
						<strong>
							<xsl:call-template name="LabelName">
								<xsl:with-param name="BT-ID" select="'BT-322'"/>
								<xsl:with-param name="Colon-Suffix" select="true()"/>
							</xsl:call-template>
						</strong>
						<br/>
						<xsl:apply-templates select="cbc:ShortageActionCode"/>
					</small>
				</xsl:if>
			</td>
		</tr>
	</xsl:template>
	<!-- End ReceiptLine Template -->
	
	<!-- Start Item Template -->
	<xsl:template match="cac:Item">
		<small>
			<strong>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-315-1'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
			</strong>
			<xsl:apply-templates select="cac:SellersItemIdentification/cbc:ID"/>
		</small>
		<br/>
		<small>
			<strong>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-315-2'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
			</strong>
			<xsl:apply-templates select="cac:BuyersItemIdentification/cbc:ID"/>
		</small>
		<br/>
		<small>
			<strong>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-616'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
			</strong>
			<xsl:apply-templates select="cac:StandardItemIdentification/cbc:ID"/>
			<xsl:if test="cac:StandardItemIdentification/cbc:ID/@schemeID !='' ">
                &#160;[<xsl:apply-templates select="cac:StandardItemIdentification/cbc:ID/@schemeID"/>]
            </xsl:if>
		</small>
		<br/>
		<xsl:if test="cac:AdditionalItemProperty !=''">
			<!-- dodatkowe właściwości / parametry -->
			<small>
				<strong>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-509'"/>
						<xsl:with-param name="Colon-Suffix" select="false()"/>
					</xsl:call-template>
				</strong>
			</small>
			<span style="font-size:0.8vw; text-align: left;">
				<table>
					<tbody>
						<tr>
							<th style="font-size:0.8vw;">
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-510'"/>
									<xsl:with-param name="Colon-Suffix" select="false()"/>
								</xsl:call-template>
							</th>
							<th style="font-size:0.8vw;">
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-511'"/>
									<xsl:with-param name="Colon-Suffix" select="false()"/>
								</xsl:call-template>
							</th>
							<th style="font-size:0.8vw;">
								<xsl:call-template name="LabelName">
									<xsl:with-param name="BT-ID" select="'BT-512'"/>
									<xsl:with-param name="Colon-Suffix" select="false()"/>
								</xsl:call-template>
							</th>
						</tr>
						<xsl:for-each select="cac:AdditionalItemProperty">
							<tr>
								<td style="font-size:0.8vw;" align="center">
									<xsl:value-of select="position()"/>
								</td>
								<td style="font-size:0.8vw;" align="center">
									<xsl:value-of select="cbc:Name"/>
								</td>
								<td style="font-size:0.8vw;" align="center">
									<xsl:value-of select="cbc:Value"/>
								</td>
							</tr>
						</xsl:for-each>
					</tbody>
				</table>
			</span>
		</xsl:if>
		<xsl:if test="count(cac:HazardousItem) >0">
			<br/>
			<small>
				<strong>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-316'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
				</strong>
				<xsl:apply-templates select="cac:HazardousItem/cbc:UNDGCode"/>
                &#160;
                <strong>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-316-1'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
				</strong>
				<xsl:apply-templates select="cac:HazardousItem/cbc:HazardClassID"/>
			</small>
		</xsl:if>
		<xsl:if test="count(cac:ItemInstance) >0">
			<xsl:apply-templates select="cac:ItemInstance"/>
		</xsl:if>
	</xsl:template>
	<!-- End Item Template -->
	
	<!-- Start ItemInstance Template -->
	<xsl:template match="cac:ItemInstance">
		<br/>
		<small>
			<strong>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-317'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
			</strong>
			<xsl:apply-templates select="cbc:ManufactureDate"/>
		</small>
		<br/>
		<small>
			<strong>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-317-1'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
			</strong>
			<xsl:apply-templates select="cbc:BestBeforeDate"/>
		</small>
		<br/>
		<small>
			<strong>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-317-2'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
			</strong>
			<xsl:apply-templates select="cbc:SerialID"/>
		</small>
		<br/>
		<small>
			<strong>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-317-3'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
			</strong>
			<xsl:apply-templates select="cac:LotIdentification/cbc:LotNumberID"/>
		</small>
		<br/>
		<small>
			<strong>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-317-4'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
			</strong>
			<xsl:apply-templates select="cac:LotIdentification/cbc:ExpiryDate"/>
		</small>
		<br/>
	</xsl:template>
	<!-- End ItemInstance Template -->
	
	<!-- Start TransportHandlingUnit Template -->
	<xsl:template match="cac:Shipment/cac:TransportHandlingUnit">
		<br/>
		<small>
			<strong>
				<!-- Id opakowania -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-318-1'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
			</strong>
			<xsl:apply-templates select="cbc:ID"/>
		</small>
		<br/>
		<small>
			<strong>
				<!-- Typ opakowania -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-318-2'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
			</strong>
			<xsl:apply-templates select="cbc:TransportHandlingUnitTypeCode"/>
		</small>
		<br/>
		<small>
			<strong>
				<!-- Czy towar niebezpieczny w dostawie -->
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-318-4'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
			</strong>
			<xsl:choose>
				<xsl:when test="cbc:HazardousRiskIndicator='true'">
					<!-- tak -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-166'"/>
						<xsl:with-param name="Colon-Suffix" select="false()"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="cbc:HazardousRiskIndicator='false'">
					<!-- nie -->
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-167'"/>
						<xsl:with-param name="Colon-Suffix" select="false()"/>
					</xsl:call-template>
				</xsl:when>
			</xsl:choose>
		</small>
		<br/>
		<small>
			<strong>
				<xsl:call-template name="LabelName">
					<xsl:with-param name="BT-ID" select="'BT-318-3'"/>
					<xsl:with-param name="Colon-Suffix" select="true()"/>
				</xsl:call-template>
			</strong>
			<xsl:apply-templates select="cbc:ShippingMarks"/>
		</small>
		<br/>
		<xsl:if test="count(cac:MeasurementDimension) >0">
			<small>
				<strong>
					<xsl:call-template name="LabelName">
						<xsl:with-param name="BT-ID" select="'BT-318-5'"/>
						<xsl:with-param name="Colon-Suffix" select="true()"/>
					</xsl:call-template>
				</strong>
				<br/>
				<xsl:apply-templates select="cac:MeasurementDimension/cbc:AttributeID"/>
                &#160;:&#160;
                <xsl:apply-templates select="cac:MeasurementDimension/cbc:Measure"/>&#160;
                <xsl:if test="cac:MeasurementDimension/cbc:Measure/@unitCode !=''">
					<small>
						<xsl:call-template name="UNECECode">
							<xsl:with-param name="UNECECode" select="cac:MeasurementDimension/cbc:Measure/@unitCode"/>
						</xsl:call-template>
                    </small>
				</xsl:if>
			</small>
		</xsl:if>
	</xsl:template>
	<!-- End TransportHandlingUnit Template -->
	
	<!-- Start CreditNoteLine Template -->
	<xsl:template match="cac:CreditNoteLine">
		<tr>
			<td align="center">
				<xsl:apply-templates select="cbc:ID"/>
			</td>
			<td>
				<xsl:apply-templates select="cbc:Note"/>
			</td>
			<td align="center">
				<xsl:apply-templates select="cbc:AccountingCost"/>
                &#160;<xsl:apply-templates select="cbc:PriceAmount/@currencyID"/>
			</td>
			<td align="right">
				<xsl:value-of select='format-number(cbc:LineExtensionAmount, "#0.00")'/>&#160;<xsl:value-of select="cbc:LineExtensionAmount/@currencyID"/>
			</td>
		</tr>
	</xsl:template>
	<!-- End CreditNoteLine Template -->
	
	<!-- Start Visualisation Info -->
	<xsl:template name="VisualisationInfo">
		<br/>Ten dokument został wygenerowany na podstawie wizualizacji PEF.v_1.14<br/>
	</xsl:template>
	<!-- End Visualisation Info -->
	
	<!-- Start Dokument Info -->
	<xsl:template name="DocumentInfo">
		<p>
			<strong>
				<em>Wydruk dokumentu elektronicznego z Platformy Elektronicznego Fakturowania</em>
			</strong>
		</p>
	</xsl:template>
	<!-- End Dokument Info -->
</xsl:stylesheet>
